2020-12-10  Paul Ramsey <pramsey@cleverelephant.ca>

	* NEWS, Version.txt: Prep RC1

2020-12-10  Paul Ramsey <pramsey@cleverelephant.ca>

	* CMakeLists.txt, configure.ac: Remove compile-time switches to
	disable OverlayNG, leaving the defines in place in case developers
	have a need to flip the switch

2020-12-10  Sandro Santilli <strk@kbt.io>

	* tests/xmltester/Makefile.am,
	tests/xmltester/tests/issue/issue-geos-1085.xml: Add tests for
	relate with empty components (#1085)

2020-12-09  Paul Ramsey <pramsey@cleverelephant.ca>

	* NEWS, Version.txt: Bump versions for 3.9 branch

2020-12-09  Paul Ramsey <pramsey@cleverelephant.ca>

	* NEWS, Version.txt: 3.9.0 Release

2020-12-09  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/util/NodingTestUtil.cpp: remove leak in noding test?

2020-12-09  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/precision/GeometryPrecisionReducer.h,
	src/precision/GeometryPrecisionReducer.cpp: Initialize
	useAreaReducer. Closes #1067

2020-12-08  EC2 Default User <ec2-user@ip-172-31-55-124.us-west-2.compute.internal>

	* CMakeLists.txt, configure.ac: Add fp-contract=off flag to builds
	to avoid precision mistakes in the double-double code

2020-12-08  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/geomgraph/EdgeEndStar.h,
	include/geos/util/GeometricShapeFactory.h,
	src/algorithm/Orientation.cpp, src/geom/Polygon.cpp,
	src/geomgraph/Depth.cpp, src/geomgraph/DirectedEdge.cpp,
	src/geomgraph/DirectedEdgeStar.cpp, src/geomgraph/EdgeEndStar.cpp,
	src/util/GeometricShapeFactory.cpp: Quiet compiler warnings

2020-12-08  Paul Ramsey <pramsey@cleverelephant.ca>

	* benchmarks/algorithm/UnaryUnionSegmentsPerfTest.cpp,
	benchmarks/capi/GEOSPreparedContainsPerfTest.cpp,
	tests/bigtest/GeometryTestFactory.cpp, tests/bigtest/bigtest.h: 
	Quite compiler warnings

2020-12-08  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/geomgraph/Label.h, include/geos/geomgraph/Label.inl,
	include/geos/geomgraph/TopologyLocation.h,
	include/geos/geomgraph/TopologyLocation.inl: Remove more CI warnings


2020-12-08  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/algorithm/LineIntersector.h,
	include/geos/geomgraph/Label.h, include/geos/geomgraph/Label.inl,
	include/geos/geomgraph/TopologyLocation.h,
	include/geos/geomgraph/TopologyLocation.inl,
	src/algorithm/LineIntersector.cpp, src/algorithm/Orientation.cpp,
	tests/unit/utility.h: Quiet some compiler warnings

2020-12-03  Paul Ramsey <pramsey@cleverelephant.ca>

	* Version.txt: Revert partial revision edit in version.txt

2020-12-02  Paul Ramsey <pramsey@cleverelephant.ca>

	* Version.txt: bump version for beta2

2020-12-02  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/index/strtree/SimpleSTRtree.h: quiet build noise

2020-12-02  Mike Taves <mwtoews@gmail.com>

	* CMakeLists.txt, doc/CMakeLists.txt: CMake: re-write GEOS_VERSION
	and GEOS_VERSION_PATCH after project()  This is only done if
	GEOS_PATCH_WORD is used. Remove GEOS_VERSION_FULL.  Closes #1082

2020-12-01  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/index/kdtree/KdTree.cpp,
	src/operation/overlayng/LineLimiter.cpp: Add <algorithm> to allow
	GEOSwift build issues

2020-12-01  Paul Ramsey <pramsey@cleverelephant.ca>

	Return WKT parsing to 3.8 model for inputs with mixed
	dimensionality.

2020-11-30  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/operation/buffer/BufferOp.cpp,
	tests/unit/operation/buffer/BufferOpTest.cpp: Use SnapRoundingNoder
	in BufferOp This avoids doing a precision reduction on the input
	geometry. It maps more closely to the implementation in JTS. It
	still does an increasing loop of larger tolerance, in the event of a
	failure. This is to address the regression reported by GEOSwift
	downstream on 3.9.0beta1

2020-11-30  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/io/WKTReader.cpp, tests/unit/io/WKTReaderTest.cpp: Match WKT
	reader behaviour to 3.8 For mixed dimension WKT, take the first
	coordinate as gospel and then coerce all following coordinates into
	that dimension. This should be updated in the next release with a
	stricter parser (no mixed dimensions? or at least be consistent,
	since MULTIPOINT doesn't quite follow this behaviour).

2020-11-30  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/xmltester/Makefile.am,
	tests/xmltester/tests/issue/issue-geos-1046.xml: Remove duplicate
	XML test file

2020-11-30  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'mwtoews-trac-1046'

2020-11-30  Mike Taves <mwtoews@gmail.com>

	* tests/xmltester/Makefile.am,
	tests/xmltester/tests/issue/issue-geos-1046.xml: Validate complex
	UnaryUnion test with OverlayNG  Closes #1046

2020-11-28  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/index/strtree/SimpleSTRnode.h,
	include/geos/index/strtree/SimpleSTRtree.h,
	src/index/strtree/SimpleSTRnode.cpp,
	src/index/strtree/SimpleSTRtree.cpp,
	tests/unit/index/strtree/SimpleSTRtreeTest.cpp: Clean-ups that
	hopefully will make python downstream happier

2020-11-28  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/index/strtree/SimpleSTRnode.h,
	tests/unit/capi/GEOSSTRtreeTest.cpp: Allow nullptr to be a valid
	item in the tree

2020-11-28  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/capi/GEOSSTRtreeTest.cpp: Remove shadow var warning

2020-11-28  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/capi/GEOSSTRtreeTest.cpp: Add another test like the
	Python tests currently failing

2020-11-28  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/index/strtree/SimpleSTRnode.cpp: Rename parameter variable
	shadowing member var

2020-11-28  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'jorisvandenbossche-fix-setordinate-error'

2020-11-28  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'fix-setordinate-error' of
	https://github.com/jorisvandenbossche/geos into
	jorisvandenbossche-fix-setordinate-error

2020-11-28  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'master' of https://git.osgeo.org/gitea/geos/geos

2020-11-28  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/capi/GEOSSTRtreeTest.cpp: Add unit test that matches
	failure described by python community

2020-11-28  Joris Van den Bossche <jorisvandenbossche@gmail.com>

	* capi/geos_ts_c.cpp,
	include/geos/geom/FixedSizeCoordinateSequence.h,
	src/geom/CoordinateArraySequence.cpp,
	tests/unit/capi/GEOSCoordSeqTest.cpp: Fix return error code of
	GEOSCoordSeq_setOrdinate (closes #1078)

2020-11-27  Daniel Baston <dbaston@gmail.com>

	Merge branch 'dbaston/clear-assignment-warnings'

2020-11-27  Paul Ramsey <pramsey@cleverelephant.ca>

	* NEWS, capi/Makefile.am, configure.ac: Fixes to harmonize
	cmake/automake builds for release

2020-11-27  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'master' of https://git.osgeo.org/gitea/geos/geos

2020-11-27  Paul Ramsey <pramsey@cleverelephant.ca>

	* HOWTO_RELEASE, benchmarks/capi/Makefile.am, tools/Makefile.am: 
	Minor changes to fix up release

2020-11-13  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/LineSegment.h,
	include/geos/geom/LineSegment.inl,
	include/geos/geom/PrecisionModel.h,
	include/geos/geom/PrecisionModel.inl, src/geom/PrecisionModel.cpp: 
	Clear warnings about deprecated assignment operator  The LineSegment
	and PrecisionModel assignment operators were implicitly declared
	because these classes have declared destructors and/or copy
	constructors. Since the destructors and copy constructors are not
	needed, the warning can be removed by deleting them.

2020-11-28  Sandro Santilli <strk@kbt.io>

	* include/geos/operation/overlayng/ElevationModel.h,
	include/geos/operation/overlayng/OverlayNG.h,
	src/operation/overlayng/ElevationModel.cpp,
	src/operation/overlayng/OverlayNG.cpp,
	tests/unit/operation/overlayng/ElevationModelTest.cpp,
	tests/unit/operation/overlayng/OverlayNGZTest.cpp: Update port info
	after JTS merges

2020-11-27  pramsey <pramsey@cleverelephant.ca>

	Merge pull request 'Drop SWIG bindings, including for Ruby and
	Python' (#111) from mwtoews/geos:drop-swig into master  Reviewed-on:
	https://git.osgeo.org/gitea/geos/geos/pulls/111

2020-11-27  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/index/strtree/SimpleSTRnode.h,
	include/geos/index/strtree/SimpleSTRtree.h,
	src/index/strtree/SimpleSTRnode.cpp,
	src/index/strtree/SimpleSTRtree.cpp,
	tests/unit/index/strtree/SimpleSTRtreeTest.cpp: Implement
	SimpleSTRtree::remove() for final piece of compatibility with origin
	STRtree implementation.

2020-11-27  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'mwtoews-pkg-config'

2020-11-28  Mike Taves <mwtoews@gmail.com>

	* .gitignore, Makefile.am, NEWS, configure.ac,
	tools/CMakeLists.txt, tools/geos.pc.cmake, tools/geos.pc.in: 
	Feature: add support for pkg-config for GEOS C API (only)  Closes
	#1073

2020-11-27  Paul Ramsey <pramsey@cleverelephant.ca>

	* benchmarks/capi/memleak_mp_prep.c, include/geos/io/WKBWriter.h,
	include/geos/io/WKTWriter.h, src/geom/LineString.cpp,
	src/geom/Point.cpp, src/io/WKBWriter.cpp, src/io/WKTWriter.cpp: More
	warning work

2020-11-27  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/capi/GEOSSetSRIDTest.cpp,
	tests/unit/operation/overlayng/ElevationModelTest.cpp: Quiet some
	longstanding MSVC warnings?

2020-11-27  Paul Ramsey <pramsey@cleverelephant.ca>

	* CMakeLists.txt, capi/geos_ts_c.cpp,
	include/geos/algorithm/LineIntersector.h,
	include/geos/algorithm/locate/PointOnGeometryLocator.h,
	include/geos/edgegraph/HalfEdge.h, include/geos/geom/Geometry.h,
	include/geos/geom/GeometryCollection.h,
	include/geos/geom/LineString.h, include/geos/geom/Point.h,
	include/geos/geom/Polygon.h, include/geos/io/WKBWriter.h,
	include/geos/io/WKTWriter.h,
	include/geos/operation/overlayng/OverlayEdge.h,
	src/algorithm/LineIntersector.cpp,
	src/algorithm/MinimumBoundingCircle.cpp,
	src/geom/GeometryCollection.cpp, src/geom/LineString.cpp,
	src/geom/Point.cpp, src/geom/Polygon.cpp,
	src/operation/overlay/OverlayOp.cpp,
	tests/unit/operation/overlayng/LineLimiterTest.cpp,
	tests/unit/shape/fractal/HilbertCodeTest.cpp,
	tests/unit/shape/fractal/MortonCodeTest.cpp: Quiet compiler warnings
	(clang macos)

2020-11-28  Mike Taves <mwtoews@gmail.com>

	* .gitignore, Makefile.am, NEWS, README.md, configure.ac,
	include/geos/geom.h, macros/ac_pkg_swig.m4,
	macros/ac_python_devel.m4, macros/python.m4, macros/ruby.m4,
	swig/Makefile.am, swig/geos.i.in, swig/python/Makefile.am,
	swig/python/README.txt, swig/python/geos.pth, swig/python/geos.py,
	swig/python/geos_wrap.cxx, swig/python/python.i,
	swig/python/tests/Makefile.am, swig/python/tests/TESTING.txt,
	swig/python/tests/example.py, swig/python/tests/runtests.py,
	swig/python/tests/test_geometry.py, swig/ruby/Makefile.am,
	swig/ruby/geos_wrap.cxx, swig/ruby/ruby.i,
	swig/ruby/test/Makefile.am, swig/ruby/test/example.rb,
	swig/ruby/test/geos_tests.rb, swig/ruby/test/test_buffer.rb,
	swig/ruby/test/test_combinations.rb,
	swig/ruby/test/test_coordinate_sequence.rb,
	swig/ruby/test/test_envelope.rb, swig/ruby/test/test_geometry.rb,
	swig/ruby/test/test_helper.rb, swig/ruby/test/test_io.rb,
	swig/ruby/test/test_operations.rb,
	swig/ruby/test/test_relations.rb, swig/ruby/test/test_srid.rb,
	swig/ruby/test/test_version.rb: Drop SWIG bindings, including for
	Ruby and Python  Closes #1076

2020-11-27  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/algorithm/locate/SimplePointInAreaLocator.h: Export
	function symbol for MSVC compilation

2020-11-27  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/geom/HeuristicOverlay.h: Export function symbol for
	MSVC compilation

2020-11-27  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/index/strtree/SimpleSTRtree.cpp: CI MS build error

2020-11-26  Martin Davis <mtnclimb@gmail.com>

	* include/geos/operation/union/OverlapUnion.h,
	src/operation/union/CascadedPolygonUnion.cpp: Remove OverlapUnion
	from CascadedPolygonUnion

2020-11-26  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/ElevationModel.h: Fix minor
	doxygen error

2020-11-23  Sandro Santilli <strk@kbt.io>

	* include/geos/geom/CoordinateSequence.h,
	include/geos/operation/overlayng/ElevationModel.h,
	include/geos/operation/overlayng/Makefile.am,
	include/geos/operation/overlayng/OverlayNG.h,
	src/operation/overlayng/ElevationModel.cpp,
	src/operation/overlayng/Makefile.am,
	src/operation/overlayng/OverlayNG.cpp, tests/unit/Makefile.am,
	tests/unit/operation/overlayng/ElevationModelTest.cpp,
	tests/unit/operation/overlayng/OverlayNGZTest.cpp: Port
	ElevationModel class from JTS  Closes #1070  Differences from JTS:
	- Cells are all initialized upfront, no heap allocations   -
	CoordinateSequence::hasZ implemented as non-virtual   -
	ElevationModel::populateZ uses CoordinateFilter instead     of
	CoordinateSequenceFilter (see note 1)  Note1:   Using
	CoordinateFilter instead of CoordinateSequenceFilter   allows
	CoordinateSequence to clear the dimension cache which   would
	otherwise not properly set the sequence as having Z   (see #435)

2020-11-26  Paul Ramsey <pramsey@cleverelephant.ca>

	* NEWS: Note that SimpleSTRtree is now the tree used in the C API

2020-11-26  Paul Ramsey <pramsey@cleverelephant.ca>

	* capi/geos_c.cpp, capi/geos_ts_c.cpp,
	include/geos/index/strtree/SimpleSTRtree.h,
	src/index/strtree/SimpleSTRtree.cpp: Change CAPI STRTree functions
	to use the SimpleSTRtree so that third parties can also get the
	performance win of the new tree.

2020-11-26  Paul Ramsey <pramsey@cleverelephant.ca>

	* configure.ac, include/geos/Makefile.am,
	include/geos/shape/Makefile.am,
	include/geos/shape/fractal/HilbertCode.h,
	include/geos/shape/fractal/HilbertEncoder.h,
	include/geos/shape/fractal/Makefile.am,
	include/geos/shape/fractal/MortonCode.h, src/Makefile.am,
	src/operation/union/CascadedPolygonUnion.cpp,
	src/shape/Makefile.am, src/shape/fractal/HilbertCode.cpp,
	src/shape/fractal/HilbertEncoder.cpp,
	src/shape/fractal/Makefile.am, src/shape/fractal/MortonCode.cpp,
	tests/unit/Makefile.am,
	tests/unit/shape/fractal/HilbertCodeTest.cpp,
	tests/unit/shape/fractal/MortonCodeTest.cpp: Add MortonCode and
	HilbertCode for future use. Also add relevant tests. Back out
	removal of the float-store flag for 32-bit platforms.

2020-11-25  Daniel Baston <dbaston@gmail.com>

	* benchmarks/capi/UnaryOpPerfTest.cpp: Add union to UnaryOpPerfTest


2020-11-25  Paul Ramsey <pramsey@cleverelephant.ca>

	* configure.ac: Remove -ffloat-store from autoconf build. This flag
	has not been set in the cmake build for quite some time, so we can
	be pretty sure that losing it here won't matter either.

2020-11-25  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/index/strtree/SimpleSTRnode.h: Mark some methods
	const again, since getEnvelope changed

2020-11-25  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/index/strtree/SimpleSTRnode.h,
	src/index/strtree/SimpleSTRnode.cpp: Replace lazy envelope
	generation with calculation of node bounds as tree builds.

2020-11-24  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/index/strtree/SimpleSTRtreeTest.cpp: quiet CI build
	warning

2020-11-24  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/index/strtree/SimpleSTRtree.cpp,
	tests/xmltester/tinyxml2/tinyxml2.cpp: Quiet CI build warnings

2020-11-24  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/utility.h: Quiet warnings in CI build

2020-11-24  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/noding/SegmentNodeList.cpp: Change to automatic iterator
	syntax

2020-11-23  Sandro Santilli <strk@kbt.io>

	* include/geos/index/strtree/SimpleSTRnode.h: Add compiler-suggested
	override keywords

2020-11-22  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/index/strtree/Makefile.am,
	include/geos/index/strtree/SimpleSTRdistance.h,
	include/geos/index/strtree/SimpleSTRnode.h,
	include/geos/index/strtree/SimpleSTRtree.h,
	src/index/strtree/Makefile.am,
	src/index/strtree/SimpleSTRdistance.cpp,
	src/index/strtree/SimpleSTRnode.cpp,
	src/index/strtree/SimpleSTRtree.cpp,
	tests/unit/index/strtree/SimpleSTRtreeTest.cpp: Add
	nearestNeighbor() to the SimpleSTRtree implementation as well as
	isWithinDistance(). Refactor classes a little to put all the
	distance related calculations and classes in SimpleSTRdistance
	instead of in the tree class, for a cleaner tree. Add some tests to
	the unit test, but only enough to check that it turns over and
	returns minimally sensible results.

2020-11-19  Sandro Santilli <strk@kbt.io>

	* tests/unit/operation/overlayng/OverlayNGZTest.cpp: Update port
	link

2020-11-19  Sandro Santilli <strk@kbt.io>

	* tests/unit/algorithm/RobustLineIntersectorZTest.cpp,
	tests/unit/operation/overlayng/OverlayNGZTest.cpp: Port new tests
	from JTS overlayng-z branch

2020-11-19  Sandro Santilli <strk@kbt.io>

	* include/geos/index/strtree/SimpleSTRnode.h,
	include/geos/index/strtree/SimpleSTRtree.h: Fix initialization order
	warnings

2020-11-18  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/Makefile.am: Fix type in Makefile.am for SimpleSTRTree
	test

2020-11-18  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/noding/MCIndexNoder.h,
	src/noding/MCIndexSegmentSetMutualIntersector.cpp: Switch
	MCIndexNoder and MCIndexSegmentSetMutualIntersector over to use the
	SimpleSTRtree implementation.

2020-11-18  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/index/strtree/Makefile.am,
	src/index/strtree/Makefile.am, tests/unit/Makefile.am: SimpleSTRtree
	autotools build.

2020-11-18  Paul Ramsey <pramsey@cleverelephant.ca>

	* NEWS, include/geos/geom/Envelope.h,
	include/geos/index/strtree/SimpleSTRnode.h,
	include/geos/index/strtree/SimpleSTRtree.h, src/geom/Envelope.cpp,
	src/index/strtree/SimpleSTRnode.cpp,
	src/index/strtree/SimpleSTRtree.cpp,
	tests/unit/index/strtree/SimpleSTRtreeTest.cpp: SimpleSTRtree
	implementation. Functionally the same as STRtree, but without the
	extra layer of abstraction with AbstractSTRtree. Take advantage of
	simpler inheritance to also avoid heap allocations, and to store
	node envelope information close together and promote memory
	locality, hopefully better CPU efficiency and cache coherence.

2020-11-17  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/index/strtree/AbstractSTRtree.h,
	include/geos/index/strtree/SIRtree.h,
	include/geos/index/strtree/STRtree.h,
	src/index/strtree/AbstractSTRtree.cpp,
	src/index/strtree/SIRtree.cpp, src/index/strtree/STRtree.cpp,
	tests/xmltester/tests/issue/issue-geos-488.xml,
	tests/xmltester/tests/issue/issue-geos-837.xml: Sort STRtree inputs
	in the X direction before slicing, then the Y direction, matching
	JTS behaviour. Remove old virtual method set-up for more direct code
	on the class in question. Strip out old comparator but retain the
	comment thread on why it got so complex.

2020-11-16  Mike Taves <mwtoews@gmail.com>

	* CMakeLists.txt: Fix CMake Windows install: keep geos-config.cmake


2020-06-24  Mike Taves <mwtoews@gmail.com>

	* CMakeLists.txt: CMake: Remove NAMELINK_SKIP for C++ lib install

2020-11-16  Sandro Santilli <strk@kbt.io>

	* tests/unit/operation/overlayng/OverlayNGZTest.cpp,
	tests/unit/utility.h: Add OverlayNG Z tests  Porting commit
	0524f550f76e32fb0c2f1badc3775d67a9fa9189 from JTS

2020-11-13  Sandro Santilli <strk@kbt.io>

	* include/geos/geom/prep/Makefile.am,
	include/geos/geom/prep/PreparedLineStringDistance.h,
	include/geos/geom/prep/PreparedPolygon.h,
	include/geos/geom/prep/PreparedPolygonDistance.h,
	src/geom/prep/Makefile.am, src/geom/prep/PreparedPolygon.cpp,
	src/geom/prep/PreparedPolygonDistance.cpp: Put prepared polygon
	distance in its own class

2020-11-13  Sandro Santilli <strk@kbt.io>

	* NEWS, capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	include/geos/geom/prep/BasicPreparedGeometry.h,
	include/geos/geom/prep/Makefile.am,
	include/geos/geom/prep/PreparedGeometry.h,
	include/geos/geom/prep/PreparedLineString.h,
	include/geos/geom/prep/PreparedLineStringDistance.h,
	include/geos/geom/prep/PreparedLineStringNearestPoints.h,
	include/geos/geom/prep/PreparedPolygon.h,
	src/geom/prep/BasicPreparedGeometry.cpp, src/geom/prep/Makefile.am,
	src/geom/prep/PreparedLineString.cpp,
	src/geom/prep/PreparedLineStringDistance.cpp,
	src/geom/prep/PreparedLineStringNearestPoints.cpp,
	src/geom/prep/PreparedPolygon.cpp, tests/unit/Makefile.am,
	tests/unit/capi/GEOSPreparedDistanceTest.cpp: Add
	GEOSPreparedDistance to C-API  References #1066  By default
	implemented by computing distance between nearest points. Custom
	implementation for polygon and linestring.

2020-11-13  Daniel Baston <dbaston@gmail.com>

	* tests/unit/capi/GEOSDistanceTest.cpp,
	tests/unit/capi/capi_test_utils.h: Fix some memory leaks in tests

2020-11-13  Sandro Santilli <strk@kbt.io>

	* tests/unit/capi/GEOSNearestPointsTest.cpp,
	tests/unit/capi/GEOSPreparedNearestPointsTest.cpp: Add another
	NearestPoints test, improve error output

2020-11-13  Sandro Santilli <strk@kbt.io>

	* tests/unit/capi/GEOSNearestPointsTest.cpp,
	tests/unit/capi/GEOSPreparedNearestPointsTest.cpp: Simplify and
	improve NearestPoint CAPI tests

2020-11-12  Daniel Baston <dbaston@gmail.com>

	Merge branch 'segment-node-list'

2020-11-12  Daniel Baston <dbaston@gmail.com>

	* include/geos/noding/SegmentNodeList.h,
	src/noding/SegmentNodeList.cpp: Add const to SegmentNodeList methods


2020-11-12  Daniel Baston <dbaston@gmail.com>

	* include/geos/noding/SegmentNodeList.h,
	src/noding/SegmentNodeList.cpp: Return SegmentString by unique_ptr

2020-11-12  Daniel Baston <dbaston@gmail.com>

	* src/noding/SegmentNodeList.cpp: Remove heap alloc in
	SegmentNodeList

2020-11-07  Sandro Santilli <strk@kbt.io>

	* include/geos/algorithm/LineIntersector.h,
	src/algorithm/LineIntersector.cpp, tests/unit/Makefile.am,
	tests/unit/algorithm/RobustLineIntersectorZTest.cpp,
	tests/unit/operation/overlayng/OverlayNGZTest.cpp,
	tests/unit/utility.h: Port Z handling in JTS Intersection
	References #1063

2020-11-05  Martin Davis <mtnclimb@gmail.com>

	* src/triangulate/quadedge/QuadEdgeSubdivision.cpp,
	tests/unit/triangulate/VoronoiTest.cpp: Remove incorrect isoceles
	heuristic in QuadEdgeSubdivision::TriangleCircumcentreVisitor, fix
	unit test  References #976 in master (3.9.0dev)

2020-09-02  sumeerbhola <sumeer@cockroachlabs.com>

	* src/algorithm/locate/SimplePointInAreaLocator.cpp,
	tests/unit/algorithm/PointLocatorTest.cpp: Fix segfault in
	SimplePointInAreaLocator caused by casting MultiPolygon to Polygon
	Closes #1047 References
	https://github.com/cockroachdb/cockroach/issues/53254
	Signed-off-by: Sandro Santilli <strk@kbt.io>

2020-11-06  Paul Ramsey <pramsey@cleverelephant.ca>

	* .gitignore, src/geom/Point.cpp, src/io/WKBReader.cpp,
	tests/unit/io/WKBReaderTest.cpp: Correctly handle higher-dimension
	empty geometries in the WKB reader.

2020-11-05  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/math/DD.h, src/math/DD.cpp: Remove un-used method

2020-11-04  Martin Davis <mtnclimb@gmail.com>

	* include/geos/triangulate/quadedge/QuadEdgeSubdivision.h,
	src/triangulate/quadedge/QuadEdgeSubdivision.cpp: Remove no-op code
	from QESubdiv::remove

2020-11-04  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/simplify/TopologyPreservingSimplifierTest.cpp: Comment
	out output for AppVeyor, which is failing tests in 32bit windows

2020-11-04  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/simplify/TopologyPreservingSimplifierTest.cpp: add
	output to debug appveyor?

2020-11-03  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/simplify/TopologyPreservingSimplifierTest.cpp: Add
	output to a test that AppVeyor is failing

2020-11-03  Paul Ramsey <pramsey@cleverelephant.ca>

	* README.md: add github badges to readme

2020-11-03  Paul Ramsey <pramsey@cleverelephant.ca>

	* README.md: Add GitHub Actions badge to README

2020-11-03  Paul Ramsey <pramsey@cleverelephant.ca>

	* .github/workflows/ci.yml, tests/geostest/geostest.c,
	tests/thread/badthreadtest.c, tests/thread/threadtest.c: Add GitHub
	Actions recipe in preparation for the loss of Travis

2020-11-03  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'ng-default'

2020-11-03  Martin Davis <mtnclimb@gmail.com>

	* include/geos/triangulate/quadedge/QuadEdge.h,
	src/triangulate/quadedge/QuadEdge.cpp: Add QuadEdge output

2020-11-03  Martin Davis <mtnclimb@gmail.com>

	* src/triangulate/quadedge/QuadEdgeSubdivision.cpp: Simplify logic
	for edge erase-remove

2020-11-03  Martin Davis <mtnclimb@gmail.com>

	* src/triangulate/quadedge/QuadEdgeSubdivision.cpp,
	tests/unit/triangulate/DelaunayTest.cpp: Fix QuadEdgeSubdivision
	remove method

2020-11-03  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'master' into ng-default

2020-11-03  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/geom/prep/PreparedGeometry.h: Match doxygen to
	function signature

2020-11-03  Paul Ramsey <pramsey@cleverelephant.ca>

	* CMakeLists.txt, configure.ac, src/geom/Geometry.cpp,
	src/geom/HeuristicOverlay.cpp,
	tests/unit/capi/GEOSMakeValidTest.cpp,
	tests/xmltester/XMLTester.cpp,
	tests/xmltester/tests/general/TestOverlayAAPrec.xml,
	tests/xmltester/tests/issue/issue-geos-350.xml,
	tests/xmltester/tests/issue/issue-geos-358.xml,
	tests/xmltester/tests/issue/issue-geos-360.xml,
	tests/xmltester/tests/issue/issue-geos-459.xml,
	tests/xmltester/tests/issue/issue-geos-488.xml,
	tests/xmltester/tests/issue/issue-geos-527.xml,
	tests/xmltester/tests/issue/issue-geos-586.xml,
	tests/xmltester/tests/issue/issue-geos-599.xml,
	tests/xmltester/tests/issue/issue-geos-615.xml,
	tests/xmltester/tests/issue/issue-geos-837.xml,
	tests/xmltester/tests/issue/issue-geos-838.xml,
	tests/xmltester/tests/misc/makevalid.xml,
	tests/xmltester/tests/robust/TestRobustOverlayFixed.xml: Enable
	OverlayNG by default

2020-11-02  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'master' of https://git.osgeo.org/gitea/geos/geos

2020-11-02  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/operation/valid/MakeValidTest.cpp: Comment out
	accidental test case

2020-11-02  Sandro Santilli <strk@kbt.io>

	* NEWS, capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	include/geos/geom/prep/BasicPreparedGeometry.h,
	include/geos/geom/prep/PreparedGeometry.h,
	include/geos/geom/prep/PreparedLineString.h,
	src/geom/prep/BasicPreparedGeometry.cpp,
	src/geom/prep/PreparedLineString.cpp,
	src/geom/prep/PreparedPolygon.cpp, tests/unit/Makefile.am,
	tests/unit/capi/GEOSPreparedNearestPointsTest.cpp: Add
	GEOSPreparedNearestPoints in C-API  Implement for LineString input
	Closes #1007

2020-11-02  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/algorithm/LineIntersector.h,
	src/noding/snapround/HotPixelIndex.cpp,
	tests/unit/operation/valid/MakeValidTest.cpp: Use shuffle instead of
	random_shuffle to avoid C++ deprecations, use a type-strong
	enumeration

2020-11-02  Sandro Santilli <strk@kbt.io>

	* include/geos/geom/Envelope.inl: Fix debug build of Envelop.inl

2020-11-02  Sandro Santilli <strk@kbt.io>

	* tests/unit/capi/GEOSNearestPointsTest.cpp: Add GEOSNearestPoints
	test for point contained in polygon

2020-11-02  Sandro Santilli <strk@kbt.io>

	* include/geos/operation/distance/ConnectedElementLocationFilter.h,
	src/operation/distance/ConnectedElementLocationFilter.cpp: Update
	last port info for ConnectedElementLocationFilter  Verify reported
	crash in distance op is under test. Closes #1023

2020-11-02  Sandro Santilli <strk@kbt.io>

	* src/operation/distance/FacetSequenceTreeBuilder.cpp,
	tests/unit/operation/distance/IndexedFacetDistanceTest.cpp: Avoid
	crash from IndexedFacetDistance with empty input  Closes #1065
	Include test

2020-10-30  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/geom/GeometryFactory.h, include/geos/io/WKTReader.h,
	src/geom/GeometryFactory.cpp, src/geom/Point.cpp,
	src/io/WKTReader.cpp,
	src/operation/buffer/BufferInputLineSimplifier.cpp,
	tests/unit/geom/PointTest.cpp, tests/unit/io/WKBWriterTest.cpp,
	tests/unit/io/WKTReaderTest.cpp: Create new EMPTY geometry with 2D
	coordinates by default. Parse Z EMPTY geometry in WKT reader, for
	simple (non-multi) geometries. Closes #1048

2020-10-26  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/operation/buffer/BufferInputLineSimplifier.cpp: Remove
	un-needed std::move in return value

2020-10-26  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/noding/snapround/HotPixelIndex.cpp: match type in the index to
	type in the iteration

2020-10-26  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/OverlayNG.h: Avoid doxygen
	linking errors

2020-10-26  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/noding/snapround/HotPixelIndex.cpp: Randomize input to kdtree
	to avoid unbalanced tree

2020-10-26  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/noding/snapround/HotPixelIndex.cpp: Add coordinate sequence to
	kdtree in random order

	https://github.com/locationtech/jts/commit/d73c798f8e54f2c8fbff66e27f2fca24a9ebb710

2020-10-26  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/noding/snap/SnappingNoder.h,
	include/geos/noding/snap/SnappingPointIndex.h,
	src/noding/snap/SnappingIntersectionAdder.cpp: Minor SnappingNoder
	performance enhancement by moving test up

	https://github.com/locationtech/jts/commit/5e9404918adb13796b3d9df7878b0a885cd627c9

2020-10-26  Sandro Santilli <strk@kbt.io>

	* include/geos/operation/overlayng/EdgeNodingBuilder.h,
	include/geos/operation/overlayng/OverlayNG.h,
	include/geos/operation/overlayng/OverlayNGRobust.h,
	src/operation/overlayng/EdgeNodingBuilder.cpp,
	src/operation/overlayng/OverlayNGRobust.cpp,
	tests/xmltester/Makefile.am,
	tests/xmltester/tests/robust/overlay/TestOverlay-rsf-794.xml: Fix
	OverlayNGRobust self-snapping to prevent heterogeneous results   *
	Add explicit check for hetero overlay input  * Fix to prevent hetero
	results from self-snapping  * Include test case  Closes #1062 This
	is a port of https://github.com/locationtech/jts/pull/618

2020-10-19  Sandro Santilli <strk@kbt.io>

	* tests/unit/operation/geounion/CoverageUnionTest.cpp: Simplify
	unused variable handling

2020-10-16  Joris Van den Bossche <jorisvandenbossche@gmail.com>

	* capi/geos_ts_c.cpp, tests/unit/Makefile.am,
	tests/unit/capi/GEOSProjectTest.cpp: BUG: Fix GEOSProjectNormalized
	return -1 on exception

2020-10-15  Joris Van den Bossche <jorisvandenbossche@gmail.com>

	* capi/geos_c.h.in: DOC: clarify that GEOSProject returns -1 on
	exception (C API)

2020-10-13  Sandro Santilli <strk@kbt.io>

	* src/linearref/LinearLocation.cpp,
	tests/unit/capi/GEOSInterpolateTest.cpp: Surivive empty collection
	from GEOSInterpolate  References #1055 in master branch (3.9.0dev)

2020-10-12  Sandro Santilli <strk@kbt.io>

	* tests/unit/operation/overlayng/OverlayNGRobustTest.cpp: Fix
	compilation

2020-10-12  Sandro Santilli <strk@kbt.io>

	* tests/unit/operation/overlayng/OverlayNGRobustTest.cpp: Another
	test for 1051, at another level  References #1051

2020-10-12  Sandro Santilli <strk@kbt.io>

	* tests/unit/noding/NodedSegmentStringTest.cpp: Add test for
	https://trac.osgeo.org/geos/ticket/1051  References #1051

2020-10-07  Sandro Santilli <strk@kbt.io>

	* include/geos/noding/SegmentNode.h, src/noding/SegmentNode.cpp,
	src/operation/overlayng/EdgeMerger.cpp: Port JTS fix for very close
	nodes on same segment.  References #1051 fixing its root cause.
	This commit partially reverts abb96620c275 to avoid hiding eventual
	other missing ports from JTS.

2020-10-02  Even Rouault <even.rouault@spatialys.com>

	* src/noding/snapround/HotPixel.cpp: HotPixel.cpp: fix -Wreorder
	warning

2020-10-02  Even Rouault <even.rouault@spatialys.com>

	* src/index/kdtree/KdTree.cpp: KdTree.cpp: remove useless duplicated
	condition

2020-10-02  Even Rouault <even.rouault@spatialys.com>

	* src/geomgraph/EdgeList.cpp: EdgeList.cpp: *(&foo)) is equivalent
	to foo

2020-06-27  Even Rouault <even.rouault@spatialys.com>

	* .azure-pipelines.yml: .azure-pipelines.yml: add a job to run
	tools/cppcheck.sh

2020-06-27  Even Rouault <even.rouault@spatialys.com>

	* tools/cppcheck.sh: Add tools/cppcheck.sh

2020-06-27  Even Rouault <even.rouault@spatialys.com>

	* src/geomgraph/EdgeIntersectionList.cpp,
	src/geomgraph/NodeMap.cpp, src/geomgraph/PlanarGraph.cpp,
	src/geomgraph/index/SegmentIntersector.cpp,
	src/index/strtree/AbstractSTRtree.cpp,
	src/noding/SegmentNodeList.cpp, src/operation/IsSimpleOp.cpp,
	src/operation/relate/EdgeEndBuilder.cpp,
	src/operation/relate/EdgeEndBundle.cpp,
	src/operation/relate/RelateComputer.cpp,
	src/operation/relate/RelateNodeGraph.cpp,
	src/simplify/TopologyPreservingSimplifier.cpp: Fix cppcheck warnings
	related to postfixOperator

2020-09-04  Even Rouault <even.rouault@spatialys.com>

	* src/operation/overlayng/MaximalEdgeRing.cpp: operator<< on
	MaximalEdgeRing: remove useless nullptr check

2020-06-27  Even Rouault <even.rouault@spatialys.com>

	* src/simplify/TaggedLineStringSimplifier.cpp: 
	TaggedLineStringSimplifier.cpp: avoid importing whole std namespace
	to avoid cppcheck confusing the class' remove method with
	std::remove

2020-10-01  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/noding/snapround/HotPixel.h,
	include/geos/noding/snapround/HotPixel.inl,
	src/noding/snapround/HotPixel.cpp,
	tests/unit/noding/snapround/HotPixelTest.cpp: Fix HotPixel
	intersects test

	https://github.com/locationtech/jts/commit/c1977c8181137e8f705a66f0ea6784f428716953

2020-09-29  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/noding/snapround/HotPixel.h,
	src/noding/snapround/HotPixel.cpp: Improve HotPixel memory usage by
	dropping some fields

	https://github.com/locationtech/jts/commit/02f0a258778c840dc257879c18697f2544445f59

2020-09-29  Sandro Santilli <strk@kbt.io>

	* tests/xmltester/Makefile.am,
	tests/xmltester/tests/robust/overlay/{TestOverlayNG-geos-1051.xml
	=> TestOverlay-geos-1051.xml}: Rename TestOverlayNG-geos-1051.xml to
	TestOverlay-geos-1051.xml

2020-09-28  Sandro Santilli <strk@kbt.io>

	* src/operation/overlayng/EdgeMerger.cpp,
	tests/xmltester/Makefile.am,
	tests/xmltester/tests/robust/overlay/TestOverlayNG-geos-1051.xml: 
	Throw TopologyException on noding error after snapping  Fixes #1051
	NOTE: JTS passes the test without change, so we should really fix
	the noding code...

2020-09-28  Sandro Santilli <strk@kbt.io>

	* src/operation/overlayng/OverlayNGRobust.cpp: Drop excessive
	newlines in debug output

2020-09-28  Sandro Santilli <strk@kbt.io>

	* tests/unit/operation/buffer/BufferOpTest.cpp: Add test for ticket
	#960  No exception is thrown, so this commit closes #960

2020-09-21  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/OverlayUtil.h,
	src/operation/overlayng/OverlayUtil.cpp: Private method name change,

	https://github.com/dr-jts/jts/commit/1def2ed0c80de4243fa81342a5c876c98bc3f987

2020-09-17  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/IntersectionPointBuilder.h,
	include/geos/operation/overlayng/LineBuilder.h,
	include/geos/operation/overlayng/OverlayNG.h,
	src/operation/overlayng/IntersectionPointBuilder.cpp,
	src/operation/overlayng/LineBuilder.cpp,
	src/operation/overlayng/OverlayNG.cpp, tests/unit/Makefile.am,
	tests/unit/operation/overlayng/OverlayNGStrictModeTest.cpp: Add
	OverlayNG strict mode, from

	https://github.com/dr-jts/jts/commit/0da1f61ad6e71c04c7de22853cb06fb1b394bec6 and https://github.com/dr-jts/jts/commit/b0d6f035777de7035cbe915ec18e65c2b9f0838e

2020-09-17  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/operation/overlayng/OverlayNGRobustTest.cpp: Update
	comments on test

2020-09-17  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/geom/Geometry.h,
	src/operation/overlayng/OverlayNG.cpp,
	src/operation/overlayng/RobustClipEnvelopeComputer.cpp,
	tests/unit/Makefile.am,
	tests/unit/operation/overlayng/OverlayNGRobustTest.cpp: Unit test
	and fix for dateline clipping case reported by @roualt

2020-09-17  Even Rouault <even.rouault@spatialys.com>

	* tests/unit/capi/GEOSGeom_setPrecisionTest.cpp: 
	GEOSGeom_setPrecisionTest.cpp: fix warning about initialization of
	members not in the order of their declaration

2020-09-17  Even Rouault <even.rouault@spatialys.com>

	* src/io/WKBReader.cpp: WKBReader.cpp: fix warning about signed vs
	unsigned comparison

2020-09-17  Even Rouault <even.rouault@spatialys.com>

	* src/algorithm/Orientation.cpp: Orientation.cpp: fix warning about
	implicit cast of size_t to int

2020-09-16  Paul Ramsey <pramsey@cleverelephant.ca>

	* capi/geos_ts_c.cpp, include/geos/operation/overlayng/Makefile.am,
	include/geos/operation/overlayng/OverlayNG.h,
	include/geos/operation/overlayng/{OverlayNGSnapIfNeeded.h =>
	OverlayNGRobust.h}, src/geom/Geometry.cpp,
	src/geom/HeuristicOverlay.cpp, src/operation/overlayng/Makefile.am,
	src/operation/overlayng/{OverlayNGSnapIfNeeded.cpp =>
	OverlayNGRobust.cpp}, tests/unit/capi/GEOSMakeValidTest.cpp,
	tests/xmltester/XMLTester.cpp: Rename OverlayNGSnapIfNeeded to
	OverlayNGRobust,

	https://github.com/dr-jts/jts/commit/c1277b0658868bf49db0f9583255eebed7d0a757

2020-09-15  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/union/UnaryUnionOp.h,
	src/geom/Geometry.cpp, src/geom/HeuristicOverlay.cpp: Move
	OverlayNGSnapIfNeeded out of Geometry and into HeuristicOverlay.
	Move OverlayNGSnapIfNeeded to the front of the heuristic list, if
	its turned on, as it subsumes the behaviour in all the other
	heuristics.

2020-09-14  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/operation/overlayng/OverlayNGSnapIfNeeded.cpp: Add SR fallback
	to snapifneeded NG,

	https://github.com/dr-jts/jts/commit/a81078568f0c78ab2c7fadbfa0936669d9f09256

2020-09-14  Paul Ramsey <pramsey@cleverelephant.ca>

	* capi/geos_ts_c.cpp, include/geos/operation/overlayng/Edge.h,
	include/geos/operation/overlayng/OverlayLabel.h,
	include/geos/operation/overlayng/OverlayNG.h,
	include/geos/operation/overlayng/PrecisionReducer.h,
	include/geos/precision/GeometryPrecisionReducer.h,
	src/geom/HeuristicOverlay.cpp, src/operation/overlayng/Edge.cpp,
	src/operation/overlayng/InputGeometry.cpp,
	src/operation/overlayng/LineBuilder.cpp,
	src/operation/overlayng/OverlayLabel.cpp,
	src/operation/overlayng/OverlayNG.cpp,
	src/operation/overlayng/PrecisionReducer.cpp,
	src/precision/GeometryPrecisionReducer.cpp,
	tests/unit/capi/GEOSGeom_setPrecisionTest.cpp,
	tests/unit/operation/overlayng/OverlayNGTest.cpp,
	tests/unit/operation/overlayng/PrecisionReducerTest.cpp,
	tests/unit/precision/GeometryPrecisionReducerTest.cpp,
	tests/unit/utility.h, tests/xmltester/XMLTester.cpp,
	tests/xmltester/tests/general/TestNGOverlayAPrec.xml: Allow
	OverlayNG results to include collapsed edges

	https://github.com/dr-jts/jts/commit/764bb49cd461686d51d77f743441591b3fe70080 use OverlayNG in GeometryPrecisionReducer https://github.com/dr-jts/jts/commit/c6f2208dd906f76c1075fcc410d19057382f587e Update GEOSGeom_setPrecision to use NG PrecisionReducer Add debugging output to overlayng::Edge Handle differing cases of changing/retaining factories in precision reduction

2020-08-24  Sandro Santilli <strk@kbt.io>

	* src/geom/HeuristicOverlay.cpp: Add OverlayNG in HeuristicOverlay,
	kept disabled

2020-08-21  Sandro Santilli <strk@kbt.io>

	* capi/geos_c.cpp, capi/geos_ts_c.cpp,
	include/geos/geom/HeuristicOverlay.h,
	include/geos/geom/Makefile.am,
	include/geos/operation/overlay/OverlayOp.h,
	include/geos/operation/union/UnaryUnionOp.h, src/geom/Geometry.cpp,
	include/geos/geom/BinaryOp.h => src/geom/HeuristicOverlay.cpp,
	src/geom/Makefile.am, src/operation/union/CascadedPolygonUnion.cpp,
	src/operation/valid/MakeValid.cpp,
	tests/xmltester/BufferResultMatcher.cpp,
	tests/xmltester/SingleSidedBufferResultMatcher.cpp,
	tests/xmltester/XMLTester.cpp: Rename BinaryOp to HeuristicOverlay
	This is in preparation of using OverlayNG as a possible fallback
	heuristic.

2020-08-24  Sandro Santilli <strk@kbt.io>

	* tests/xmltester/XMLTester.cpp: OID are not needed by modern QGIS
	anymore

2020-09-09  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/noding/snapround/SnapRoundingNoderTest.cpp: Port

	https://github.com/dr-jts/jts/commit/c9cd451e7b6f21ae4d8ddde95757433587a4ec76, Add SnapRoundingNoder unit test

2020-09-09  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/operation/overlayng/OverlayNGTest.cpp: Port

	https://github.com/dr-jts/jts/commit/1f41dd9906fb710ac0662423ae2f1a956f92c6e1, unit test testPolygonFlatCollapseIntersection

2020-09-08  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/OverlayLabel.h,
	src/operation/overlayng/LineBuilder.cpp,
	src/operation/overlayng/MaximalEdgeRing.cpp,
	src/operation/overlayng/OverlayLabel.cpp: Port

	https://github.com/dr-jts/jts/commit/959a61dcf5c5bb993e9de462f316b14e5c564ed7, Add optimization for line building

2020-09-08  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/OverlayNG.h,
	src/operation/overlayng/LineBuilder.cpp,
	src/operation/overlayng/OverlayNG.cpp: Port

	https://github.com/dr-jts/jts/commit/ea45557987f4e992094842e7badde65811ea75cd, Cleanup of mixed result logic

2020-09-08  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/OverlayLabeller.h,
	src/operation/overlayng/OverlayLabeller.cpp: Port

	https://github.com/dr-jts/jts/commit/feee2334edbc968bf1f7adf0d0de3c11cb2521a2

2020-09-01  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'otan-cockroach-fix_warn'

2020-09-01  Oliver Tan <otan@cockroachlabs.com>

	* src/io/WKBWriter.cpp: WKBWriter: fix -Wsign-conversion compilation
	error

2020-08-28  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'master' of https://git.osgeo.org/gitea/geos/geos

2020-08-28  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/algorithm/Orientation.h,
	include/geos/algorithm/locate/IndexedPointInAreaLocator.h,
	include/geos/algorithm/locate/SimplePointInAreaLocator.h,
	src/algorithm/Orientation.cpp,
	tests/unit/algorithm/CGAlgorithms/isCCWTest.cpp: Port JTS

	https://github.com/locationtech/jts/commit/be18a8a797763116346ca605f8d7aedc66153773 Improve Orientation isCCW to handle topology collapse

2020-08-26  Sandro Santilli <strk@kbt.io>

	* tests/unit/Makefile.am,
	tests/unit/capi/GEOSDifferencePrecTest.cpp,
	tests/unit/capi/GEOSDifferenceTest.cpp: Add unit test for
	GEOSDifference and GEOSDifferencePrec CAPI funx

2020-08-26  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'brm'

2020-08-25  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/xmltester/BufferResultMatcher.cpp,
	tests/xmltester/BufferResultMatcher.h,
	tests/xmltester/XMLTester.cpp: Change BufferResultMatcher to static
	methods

2020-08-25  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/xmltester/CTS.cpp, tests/xmltester/Makefile.am,
	tests/xmltester/SimpleWKTTester.cpp: Remove unused CTS class file

2020-08-25  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/xmltester/JTSXMLTester.sh: Update script to new JTS cmd
	setup

2020-08-25  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'master' of https://git.osgeo.org/gitea/geos/geos

2020-08-25  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/capi/GEOSBoundaryTest.cpp,
	tests/unit/capi/GEOSEnvelopeTest.cpp,
	tests/unit/capi/GEOSGeomFromWKBTest.cpp,
	tests/unit/capi/GEOSGeom_createLineStringTest.cpp,
	tests/unit/capi/GEOSGeom_getCoordSeqTest.cpp,
	tests/unit/capi/GEOSGeom_getCoordinateDimensionTest.cpp,
	tests/unit/capi/GEOSGeom_getDimensionsTest.cpp,
	tests/unit/capi/GEOSGeom_setPrecisionTest.cpp,
	tests/unit/capi/GEOSGetNumInteriorRingsTest.cpp,
	tests/unit/capi/GEOSIntersectionTest.cpp,
	tests/unit/capi/GEOSLengthTest.cpp,
	tests/unit/capi/GEOSSetSRIDTest.cpp,
	tests/unit/capi/GEOSUnionPrecTest.cpp,
	tests/unit/capi/GEOSUnionTest.cpp,
	tests/unit/capi/GEOSisValidReasonTest.cpp,
	tests/unit/capi/GEOSisValidTest.cpp,
	tests/unit/capi/capi_test_utils.h: Rename the utility test functions
	to ensure_* and change the struct name to reflect larger goals than
	just providing helper init/finish code

2020-08-25  Sandro Santilli <strk@kbt.io>

	* tests/unit/capi/GEOSIntersectionPrecTest.cpp: Add another test for
	GEOSIntersectionPrec

2020-08-24  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'master' of https://git.osgeo.org/gitea/geos/geos

2020-08-24  Paul Ramsey <pramsey@cleverelephant.ca>

	* capi/geos_ts_c.cpp, include/geos/operation/overlayng/OverlayNG.h,
	src/geom/LineString.cpp, src/operation/overlayng/OverlayNG.cpp,
	src/operation/overlayng/PrecisionReducer.cpp,
	tests/unit/Makefile.am, tests/unit/capi/GEOSGeomFromWKBTest.cpp,
	tests/unit/capi/GEOSGeom_createLineStringTest.cpp,
	tests/unit/capi/GEOSGeom_setPrecisionTest.cpp,
	tests/unit/capi/capi_test_utils.h: When called without options, use
	OverlayNG for CAPI GEOSGeom_setPrecision

2020-08-21  Sandro Santilli <strk@kbt.io>

	* NEWS, capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	tests/unit/Makefile.am,
	tests/unit/capi/GEOSIntersectionPrecTest.cpp,
	tests/unit/capi/GEOSUnionPrecTest.cpp: Expose "precise" overlay CAPI
	functions  Provide "Prec" suffixed functions for all overlay ops,
	having them call OverlayNGSnapIfNeeded when passed a gridSize=0 and
	precision-mediated OverlayNG otherwise.  Enable existing GEOSUnion
	test Add GEOSUnionPrec and GEOSIntersectionPrec tests  Includes NEWS
	entry

2020-08-24  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/xmltester/Makefile.am,
	tests/xmltester/tests/robust/overlay/TestOverlay-geos-1046-union-li
	nes.xml: Add test for geos-1046

2020-08-21  Sandro Santilli <strk@kbt.io>

	* src/operation/overlayng/OverlayNGSnapIfNeeded.cpp: Add more
	debugging and fix existing one

2020-08-20  Sandro Santilli <strk@kbt.io>

	* src/operation/overlayng/OverlayNGSnapIfNeeded.cpp: Debug print of
	OverlayNG failure exceptions

2020-08-18  Sandro Santilli <strk@kbt.io>

	* src/operation/overlayng/OverlayNGSnapIfNeeded.cpp: Add debugging
	lines

2020-08-17  Sandro Santilli <strk@kbt.io>

	* src/operation/overlayng/EdgeNodingBuilder.cpp: [OverlayNG] Fix
	handling of LinearRing  Closes #1043

2020-08-17  Sandro Santilli <strk@kbt.io>

	* src/operation/overlayng/OverlayGraph.cpp,
	src/operation/overlayng/OverlayNG.cpp: Add debugging lines (default
	to off)

2020-08-17  Sandro Santilli <strk@kbt.io>

	* include/geos/operation/overlay/OverlayOp.h,
	src/geom/Geometry.cpp, tests/unit/capi/GEOSIntersectionTest.cpp,
	tests/xmltester/Makefile.am,
	tests/xmltester/tests/general/TestFunctionLA.xml,
	tests/xmltester/tests/general/TestFunctionLLPrec.xml,
	tests/xmltester/tests/general/{TestFunctionAA.xml =>
	TestOverlayAA.xml},
	tests/xmltester/tests/general/{TestFunctionAAPrec.xml =>
	TestOverlayAAPrec.xml},
	tests/xmltester/tests/general/TestOverlayEmpty.xml,
	tests/xmltester/tests/general/TestOverlayLA.xml,
	tests/xmltester/tests/general/{TestFunctionLAPrec.xml =>
	TestOverlayLAPrec.xml},
	tests/xmltester/tests/general/{TestFunctionLL.xml =>
	TestOverlayLL.xml},
	tests/xmltester/tests/general/TestOverlayLLPrec.xml,
	tests/xmltester/tests/general/{TestFunctionPA.xml =>
	TestOverlayPA.xml},
	tests/xmltester/tests/general/{TestFunctionPL.xml =>
	TestOverlayPL.xml},
	tests/xmltester/tests/general/{TestFunctionPLPrec.xml =>
	TestOverlayPLPrec.xml},
	tests/xmltester/tests/general/{TestFunctionPP.xml =>
	TestOverlayPP.xml}: Synchronize overlay tests with JTS, fix EMPTY
	handling  TestFunction*.xml were renamed to TestOverlay*.xml in JTS,
	we do the same in this commit.  Moreover, some more tests were added
	in JTS, we add them here too. The test for EMPTY geoms were failing,
	so this commit also ports proper update of EMPTY handling in GEOS,
	work which was started in 2018 with commit
	6ef28f282e6a336302267b249fcac6cc59 but evidently wasn't fully
	completed.

2020-08-13  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/io/WKBReader.h, src/io/WKBReader.cpp,
	tests/unit/capi/GEOSContainsTest.cpp,
	tests/unit/capi/GEOSPreparedGeometryTest.cpp,
	tests/unit/io/WKBReaderTest.cpp: Support reading WKB that includes M
	coordinates, but do not actually store the M (because we have
	nowhere to store it right now). References #460

2020-08-13  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/operation/valid/MakeValid.cpp: Add some interrupt checking in
	MakeValid loop, references
	https://trac.osgeo.org/postgis/ticket/4582

2020-08-11  Paul Ramsey <pramsey@cleverelephant.ca>

	* .travis.yml: Comment out s390 as seems to hang builds from time to
	time

2020-08-11  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/io/WKBWriter.h, src/io/WKBWriter.cpp,
	tests/unit/io/WKBWriterTest.cpp: Output POINT EMPTY in WKB.
	References #1005

2020-08-11  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/IndexedPointOnLineLocator.h,
	src/noding/ValidatingNoder.cpp,
	src/operation/overlayng/OverlayNGSnapIfNeeded.cpp,
	tests/unit/algorithm/RobustLineIntersectorTest.cpp,
	tests/unit/operation/overlayng/OverlayNGFloatingNoderTest.cpp: Quiet
	some MSVC warnings

2020-08-10  Paul Ramsey <pramsey@cleverelephant.ca>

	* .travis.yml: Add s390x build target to Travis matrix

2020-08-10  Paul Ramsey <pramsey@cleverelephant.ca>

	* .travis.yml: Add ARM64 build host to travis matrix

2020-08-10  Paul Ramsey <pramsey@cleverelephant.ca>

	* .travis.yml: Add ARM64 build host to travis matrix

2020-08-10  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/algorithm/CGAlgorithmsDD.h,
	include/geos/edgegraph/EdgeGraph.h,
	include/geos/edgegraph/EdgeGraphBuilder.h,
	include/geos/edgegraph/HalfEdge.h,
	include/geos/index/kdtree/KdNode.h,
	include/geos/index/kdtree/KdTree.h,
	include/geos/noding/ValidatingNoder.h,
	include/geos/noding/snap/SnappingNoder.h,
	include/geos/noding/snapround/HotPixel.h,
	include/geos/noding/snapround/SnapRoundingNoder.h,
	include/geos/operation/overlayng/EdgeNodingBuilder.h,
	include/geos/operation/overlayng/OverlayEdge.h,
	include/geos/operation/overlayng/OverlayGraph.h,
	include/geos/operation/overlayng/OverlayLabel.h,
	include/geos/operation/overlayng/OverlayNG.h,
	include/geos/operation/overlayng/OverlayNGSnapIfNeeded.h,
	include/geos/operation/overlayng/OverlayUtil.h,
	include/geos/operation/overlayng/PrecisionReducer.h,
	include/geos/operation/overlayng/PrecisionUtil.h,
	include/geos/operation/union/CascadedPolygonUnion.h,
	include/geos/operation/union/OverlapUnion.h,
	include/geos/operation/union/UnionStrategy.h,
	tools/ci/script_cmake.sh: Fix doxygen errors and re-enable CI test

2020-08-10  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/noding/snapround/HotPixelIndex.cpp,
	src/noding/snapround/SnapRoundingNoder.cpp,
	src/operation/overlayng/LineBuilder.cpp,
	tests/unit/operation/geounion/CascadedPolygonUnionTest.cpp,
	tests/xmltester/XMLTester.cpp, tests/xmltester/XMLTester.h: Quiet
	warnings from CI

2020-08-10  Paul Ramsey <pramsey@cleverelephant.ca>

	* tools/ci/script_cmake.sh: Comment out docs target in cmake

2020-08-10  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/geom/Location.h, include/geos/geomgraph/Label.h,
	include/geos/geomgraph/Label.inl,
	include/geos/geomgraph/TopologyLocation.h,
	include/geos/geomgraph/TopologyLocation.inl,
	include/geos/operation/overlay/OverlayOp.h,
	include/geos/operation/overlayng/OverlayLabel.h,
	src/geom/IntersectionMatrix.cpp, src/geom/Location.cpp,
	src/geom/prep/PreparedPolygonPredicate.cpp,
	src/geomgraph/DirectedEdgeStar.cpp, src/geomgraph/EdgeEndStar.cpp,
	src/geomgraph/EdgeRing.cpp, src/geomgraph/Node.cpp,
	src/geomgraph/TopologyLocation.cpp,
	src/operation/overlayng/Edge.cpp,
	src/operation/overlayng/OverlayLabeller.cpp,
	src/operation/relate/EdgeEndBundle.cpp,
	tests/unit/geom/LocationTest.cpp,
	tests/unit/geomgraph/TopologyLocationTest.cpp: Check Location::UNDEF
	to Location::NONE to match JTS

2020-08-10  Paul Ramsey <pramsey@cleverelephant.ca>

	* tools/ci/script.sh, tools/ci/script_cmake.sh: Error out on failure
	in ctest call

2020-08-10  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/EdgeMerger.h,
	include/geos/operation/overlayng/EdgeNodingBuilder.h,
	src/operation/overlayng/EdgeMerger.cpp,
	src/operation/overlayng/EdgeNodingBuilder.cpp,
	src/operation/overlayng/LineBuilder.cpp,
	src/operation/overlayng/OverlayNG.cpp: Make function calls look more
	like JTS originals, counting on copy elision to avoid overhead of
	returning vector<>

2020-08-10  Paul Ramsey <pramsey@cleverelephant.ca>

	* benchmarks/operation/predicate/RectangleIntersectsPerfTest.cpp,
	src/geomgraph/DirectedEdgeStar.cpp, src/noding/MCIndexNoder.cpp,
	src/noding/SimpleNoder.cpp,
	src/noding/snapround/MCIndexSnapRounder.cpp: Clean out some old
	iterator loops in favour of for loops

2020-08-10  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/xmltester/tests/general/TestFunctionAA.xml,
	tests/xmltester/tests/general/TestFunctionAAPrec.xml,
	tests/xmltester/tests/general/TestFunctionLA.xml,
	tests/xmltester/tests/general/TestFunctionLAPrec.xml,
	tests/xmltester/tests/general/TestFunctionLL.xml,
	tests/xmltester/tests/general/TestFunctionLLPrec.xml,
	tests/xmltester/tests/general/TestFunctionPA.xml,
	tests/xmltester/tests/general/TestFunctionPL.xml,
	tests/xmltester/tests/general/TestFunctionPP.xml,
	tests/xmltester/tests/general/TestUnaryUnion.xml: Remove
	precisionModel from test files to harmonize with JTS. Move failing
	tests to Prec files, where they are run under a precisionModel
	again.

2020-08-08  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/capi/GEOSIntersectionTest.cpp: Normalize test results
	before comparing and use tolerance in comparison.

2020-08-07  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/LineBuilder.h,
	include/geos/operation/overlayng/OverlayEdge.h,
	include/geos/operation/overlayng/OverlayLabel.h,
	include/geos/operation/overlayng/OverlayNG.h,
	src/operation/overlayng/LineBuilder.cpp,
	src/operation/overlayng/OverlayEdge.cpp,
	src/operation/overlayng/OverlayLabel.cpp,
	src/operation/overlayng/OverlayNG.cpp,
	tests/unit/operation/overlayng/OverlayNGTest.cpp,
	tests/xmltester/tests/general/TestNGOverlayA.xml,
	tests/xmltester/tests/general/TestNGOverlayAPrec.xml,
	tests/xmltester/tests/general/TestNGOverlayL.xml: Port

	https://github.com/dr-jts/jts/commit/ea13dc32415a7cf6e38279354f7a06e5e2aff1ea Switch to outputting all components for intersection op

2020-08-07  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/operation/overlayng/OverlayNGSnapIfNeeded.cpp,
	tests/unit/noding/snap/SnappingNoderTest.cpp,
	tests/xmltester/Makefile.am, tests/xmltester/XMLTester.cpp,
	tests/xmltester/tests/failure/robust-overlay-stmlf-failures.xml,
	tests/xmltester/tests/{failure/robust-overlay-misc-3.xml =>
	robust/overlay/TestOverlay-misc-3.xml},
	tests/xmltester/tests/{failure/robust-overlay-stmlf.xml =>
	robust/overlay/TestOverlay-stmlf.xml}: Add snap-if-needed
	intersectionSIN mode to XMLTester that handles the misc-3 test
	cases. Sever the 2 failing STMLF cases from the 1800 passing ones
	and move the passing ones back into the active test area.

2020-08-07  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/xmltester/XMLTester.cpp: Use default C++ std out precision

2020-08-07  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/index/kdtree/KdNode.h,
	include/geos/index/kdtree/KdTree.h,
	include/geos/noding/snapround/HotPixel.h,
	include/geos/noding/snapround/HotPixelIndex.h,
	include/geos/noding/snapround/SnapRoundingIntersectionAdder.h,
	include/geos/noding/snapround/SnapRoundingNoder.h,
	include/geos/operation/overlayng/LineBuilder.h,
	include/geos/operation/overlayng/OverlayLabel.h,
	src/index/kdtree/KdNode.cpp, src/index/kdtree/KdTree.cpp,
	src/noding/snapround/HotPixel.cpp,
	src/noding/snapround/HotPixelIndex.cpp,
	src/noding/snapround/SnapRoundingNoder.cpp,
	src/operation/overlayng/LineBuilder.cpp,
	src/operation/overlayng/OverlayLabel.cpp,
	src/operation/overlayng/OverlayLabeller.cpp,
	src/operation/overlayng/OverlayNG.cpp, tests/unit/Makefile.am,
	tests/unit/geom/EnvelopeTest.cpp,
	tests/unit/noding/snapround/SnapRoundingNoderTest.cpp,
	tests/unit/operation/overlayng/OverlayNGOneTest.cpp,
	tests/unit/operation/overlayng/OverlayNGTest.cpp,
	tests/xmltester/tests/general/TestNGOverlayA.xml,
	tests/xmltester/tests/general/TestNGOverlayL.xml,
	tests/xmltester/tests/general/TestNGOverlayLPrec.xml: Port

	https://github.com/dr-jts/jts/commit/2a385fe46dc12e7b765569d010fb50c19e9bca46 Change line output behaviour to preserve noding

2020-08-03  Andrew Bell <andrew.bell.ia@gmail.com>

	* include/geos/operation/overlayng/IntersectionPointBuilder.h,
	include/geos/operation/overlayng/LineBuilder.h,
	include/geos/operation/overlayng/OverlayGraph.h,
	include/geos/operation/overlayng/OverlayPoints.h,
	include/geos/operation/overlayng/PolygonBuilder.h,
	src/operation/overlayng/OverlayGraph.cpp,
	tests/xmltester/XMLTester.cpp: Fix windows compilation issues.

2020-08-02  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'master' of https://git.osgeo.org/gitea/geos/geos

2020-08-02  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/OverlayGraph.h: try making geom
	explicit in CoordinateSequence vector

2020-08-01  Regina Obe <lr@pcorp.us>

	* .drone-1.0.yml: Turn off doc building on dronie for now -- all
	screwy since we are in flux

2020-07-31  Paul Ramsey <pramsey@cleverelephant.ca>

	* tools/ci/script_cmake.sh: turn off doco build for now

2020-07-31  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/EdgeMerger.h,
	include/geos/operation/overlayng/OverlayEdgeRing.h,
	src/operation/overlayng/EdgeMerger.cpp: Make sure there are no
	forward declarations in templates

2020-07-31  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/OverlayGraph.h: Make sure
	geos::geom namespace is available

2020-07-31  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/EdgeNodingBuilder.h,
	include/geos/operation/overlayng/IntersectionPointBuilder.h,
	include/geos/operation/overlayng/LineBuilder.h,
	include/geos/operation/overlayng/LineLimiter.h,
	include/geos/operation/overlayng/MaximalEdgeRing.h,
	include/geos/operation/overlayng/OverlayGraph.h,
	include/geos/operation/overlayng/OverlayMixedPoints.h,
	include/geos/operation/overlayng/OverlayPoints.h,
	include/geos/operation/overlayng/OverlayUtil.h,
	include/geos/operation/overlayng/PolygonBuilder.h,
	src/operation/overlayng/IntersectionPointBuilder.cpp,
	src/operation/overlayng/LineBuilder.cpp,
	src/operation/overlayng/LineLimiter.cpp,
	src/operation/overlayng/MaximalEdgeRing.cpp,
	src/operation/overlayng/OverlayGraph.cpp,
	src/operation/overlayng/OverlayMixedPoints.cpp,
	src/operation/overlayng/OverlayPoints.cpp,
	src/operation/overlayng/OverlayUtil.cpp,
	src/operation/overlayng/PolygonBuilder.cpp: Replace forward defns
	with headers for classes in vector<unique_ptr<>> situations for MSVC


2020-07-31  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge remote-tracking branch 'raul/clang_warning_202007'

2020-07-31  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/capi/GEOSMakeValidTest.cpp: Add cstring header to pick
	up std::strlen

2020-07-31  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/capi/GEOSMakeValidTest.cpp: Add cstring header to pick
	up std::strlen

2020-07-31  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/operation/valid/MakeValid.cpp,
	tests/unit/capi/GEOSMakeValidTest.cpp: Use BinaryOp instead of
	OverlayOp in order to access old fall-back behaviour in overlay.
	References #1037

2020-07-31  Raúl Marín <git@rmr.ninja>

	* include/geos/math/DD.h: DD: Address clang warning  In file
	included from DD.cpp:18: ../../include/geos/math/DD.h:122:9: error:
	definition of implicit copy assignment operator for 'DD' is
	deprecated because it has a user-declared copy constructor
	[-Werror,-Wdeprecated-copy]         DD(const DD &dd) : hi(dd.hi),
	lo(dd.lo) {};         ^ DD.cpp:389:15: note: in implicit copy
	assignment operator for 'geos::math::DD' first required here
	r = r*r;

2020-07-30  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/operation/valid/MakeValid.cpp: Tie MakeValid implementation
	directly to the old overlay operations

2020-07-30  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/xmltester/XMLTester.cpp: Remove unused compile-time options
	for BinaryOp

2020-07-30  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/xmltester/XMLTester.cpp: output geometries with a bit more
	precision

2020-07-29  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/capi/GEOSIntersectionTest.cpp,
	tests/unit/capi/GEOSMakeValidTest.cpp,
	tests/unit/capi/GEOSUnaryUnionTest.cpp,
	tests/unit/operation/geounion/CascadedPolygonUnionTest.cpp,
	tests/unit/operation/linemerge/LineMergerTest.cpp,
	tests/unit/operation/overlay/OverlayOpUnionTest.cpp: Fix up unit
	tests were issues of representation (ring order, component order,
	etc) were causing failures

2020-07-29  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/operation/overlayng/OverlayNGSnapIfNeeded.cpp: Run a
	snap-rounded overlay when provided with geometries that have fixed
	precision model

2020-07-29  Paul Ramsey <pramsey@cleverelephant.ca>

	* CMakeLists.txt, configure.ac, src/geom/Geometry.cpp: Add
	compile-time flags to turn on OverlayNG In autoconf,
	--enable-overlayng In cmake, use -DDISABLE_OVERLAYNG=OFF

2020-07-28  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'overlay-sr'

2020-07-28  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/RingClipper.h: remove unused
	member variable

2020-07-28  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/operation/union/CascadedPolygonUnion.cpp: remove std::move per
	compiler suggestion

2020-07-28  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/noding/snap/SnappingPointIndex.h,
	include/geos/noding/snapround/SnapRoundingIntersectionAdder.h,
	src/noding/snap/SnappingPointIndex.cpp,
	src/noding/snapround/SnapRoundingIntersectionAdder.cpp: comment out
	unused member variables

2020-07-28  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'overlay-sr' of github.com:libgeos/geos into
	overlay-sr

2020-07-28  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/xmltester/Makefile.am,
	tests/xmltester/tests/failure/robust-overlay-misc-3.xml,
	tests/xmltester/tests/failure/robust-overlay-stmlf.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-geos-1034.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-geos-153.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-geos-234.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-geos-275.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-geos-350.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-geos-358.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-geos-360.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-geos-368.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-geos-392-lines.xml
	, tests/xmltester/tests/robust/overlay/TestOverlay-geos-392.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-geos-398.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-geos-459.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-geos-488.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-geos-522.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-geos-527.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-geos-586.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-geos-599.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-geos-600-lines.xml
	, tests/xmltester/tests/robust/overlay/TestOverlay-geos-615.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-geos-737.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-geos-837.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-geos-838.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-geos-979.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-geos-994.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-geos-997-union-fai
	l.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-geos-997-union-slo
	w.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-geos-list.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-gisse-345341-lines
	.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-isochrone.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-jts-300.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-misc-1.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-misc-2.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-misc-4.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-misc-5.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-osmwater.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-pg-4182-2.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-pg-4538.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-pg-list.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-qgis-29400.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-qgis-31552.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-qgis-37032.xml,
	tests/xmltester/tests/robust/overlay/TestOverlay-shapely-829.xml: 
	Add JTS robust/overlay tests

2020-07-29  Sandro Santilli <strk@kbt.io>

	* src/noding/snapround/SnapRoundingNoder.cpp,
	src/operation/union/CascadedPolygonUnion.cpp: Mark override and
	catch by const ref

2020-07-25  Sandro Santilli <strk@kbt.io>

	* src/noding/snapround/SnapRoundingNoder.cpp: typo

2020-07-24  Sandro Santilli <strk@kbt.io>

	* src/operation/overlayng/OverlayNGSnapIfNeeded.cpp: Catch exception
	by const reference, add TODO items

2020-07-24  Sandro Santilli <strk@kbt.io>

	* include/geos/noding/snapround/SnapRoundingIntersectionAdder.h: Add
	suggested "override" keywords on overridden methods  Suggested by
	GCC 9.3.0

2020-07-28  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/xmltester/Makefile.am: move TestOverlay-misc-5.xml to new
	home

2020-07-28  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'overlay-sr' of github.com:libgeos/geos into
	overlay-sr

2020-07-28  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/xmltester/XMLTester.cpp, tests/xmltester/XMLTester.h,
	tests/xmltester/tests/{failure/TestOverlay.xml =>
	robust/overlay/TestOverlay-misc-5.xml}: Add unionArea test type

2020-07-28  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/noding/SegmentNodeList.cpp: store segmentnodes in a deque to
	avoid many teeny allocations

2020-07-28  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/noding/ValidatingNoder.cpp,
	tests/unit/util/NodingTestUtil.cpp: Fix snap noding test to use
	validating noder correctly

2020-07-27  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/index/kdtree/KdTree.h,
	include/geos/noding/snap/SnappingIntersectionAdder.h: Quiet gcc
	warnings about overridden functions

2020-07-27  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/Makefile.am: Add NodingTestUtil to autotools build

2020-07-27  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/Makefile.am: Fix reference to SnappingNoderTest in
	makefile

2020-07-27  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/Makefile.am: Fix makefile in
	overlayng

2020-07-27  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/noding/snap/SnappingNoder.cpp: Remove memory leak in
	SnappingNoder

2020-07-27  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/noding/ValidatingNoder.cpp,
	src/noding/snapround/MCIndexPointSnapper.cpp,
	src/noding/snapround/SnapRoundingNoder.cpp,
	src/operation/overlayng/OverlayGraph.cpp,
	src/operation/overlayng/OverlayLabel.cpp: Remove memory leak when
	ValidatingNoder throws TopologyException

2020-07-25  Sandro Santilli <strk@kbt.io>

	* include/geos/noding/Noder.h: Be more explicit about memory
	management in noder

2020-07-23  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/noding/SegmentNodeList.h,
	src/noding/NodedSegmentString.cpp, src/noding/SegmentNodeList.cpp,
	src/operation/overlayng/EdgeNodingBuilder.cpp: old segmentnodelist
	behavior

2020-07-23  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/operation/overlayng/EdgeNodingBuilder.cpp: Free sublcass?

2020-07-23  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/operation/overlayng/EdgeNodingBuilder.cpp: Switch to
	unique_ptr

2020-07-22  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/EdgeNodingBuilder.h,
	src/operation/overlayng/EdgeNodingBuilder.cpp: manage vector as
	unique_ptr

2020-07-22  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/operation/overlayng/OverlayNGFloatingNoderTest.cpp,
	tests/unit/operation/overlayng/UnaryUnionNGTest.cpp: quiet debugging
	output in unit tests

2020-07-22  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/EdgeNodingBuilder.h,
	src/noding/SegmentNodeList.cpp: Remove leak in EdgeNodingBuilder

2020-07-22  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'overlay-sr' of github.com:libgeos/geos into
	overlay-sr

2020-07-22  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/operation/overlayng/EdgeNodingBuilder.cpp: Close up memory
	leak where SegmentStrings are converted to Edges

2020-07-22  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/xmltester/XMLTester.cpp: Quiet gcc warnings

2020-07-21  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/xmltester/XMLTester.cpp: Add unionLength op type

2020-07-21  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/OverlayUtil.h,
	include/geos/operation/overlayng/PrecisionReducer.h,
	include/geos/operation/union/OverlapUnion.h,
	src/operation/overlayng/OverlayPoints.cpp,
	src/operation/overlayng/PolygonBuilder.cpp: Quiet gcc warnings

2020-07-21  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/noding/snap/SnappingNoder.h,
	include/geos/operation/overlayng/IntersectionPointBuilder.h,
	include/geos/operation/overlayng/LineBuilder.h,
	include/geos/operation/overlayng/MaximalEdgeRing.h,
	include/geos/operation/overlayng/OverlayEdge.h,
	include/geos/operation/overlayng/OverlayMixedPoints.h,
	include/geos/operation/union/UnionStrategy.h,
	src/noding/snap/SnappingNoder.cpp,
	src/operation/overlayng/EdgeNodingBuilder.cpp,
	src/operation/overlayng/EdgeSourceInfo.cpp,
	src/operation/overlayng/LineBuilder.cpp,
	src/operation/overlayng/MaximalEdgeRing.cpp,
	src/operation/overlayng/OverlayEdge.cpp,
	src/operation/overlayng/OverlayEdgeRing.cpp,
	src/operation/overlayng/OverlayMixedPoints.cpp,
	src/operation/overlayng/OverlayNG.cpp: Quiet gcc warnings

2020-07-21  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/noding/snapround/SnapRoundingIntersectionAdder.h,
	include/geos/operation/overlayng/Edge.h,
	include/geos/operation/overlayng/OverlayLabel.h,
	src/noding/SegmentNodeList.cpp,
	src/noding/snap/SnappingIntersectionAdder.cpp,
	src/noding/snapround/SnapRoundingIntersectionAdder.cpp,
	src/operation/overlayng/Edge.cpp,
	src/operation/overlayng/EdgeNodingBuilder.cpp: Quiet gcc warnings

2020-07-21  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'overlay-sr' of github.com:libgeos/geos into
	overlay-sr

2020-07-21  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/noding/SegmentNodeList.h: Quiet gcc warning

2020-07-21  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/edgegraph/HalfEdge.h,
	include/geos/edgegraph/MarkHalfEdge.h,
	include/geos/operation/union/UnionStrategy.h,
	src/edgegraph/EdgeGraphBuilder.cpp, src/edgegraph/HalfEdge.cpp: 
	Quiet some gcc warnings

2020-07-17  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/xmltester/XMLTester.cpp, tests/xmltester/XMLTester.h: Add
	overlayareatest support.

2020-07-17  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/Makefile.am,
	include/geos/operation/overlayng/OverlayNGSnapIfNeeded.h,
	src/operation/overlayng/Makefile.am,
	src/operation/overlayng/OverlayNGSnapIfNeeded.cpp: Add
	OverlayNGSnapIfNeeded

2020-07-17  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/algorithm/CGAlgorithmsDD.h,
	include/geos/operation/overlayng/Makefile.am,
	include/geos/operation/overlayng/UnaryUnionNG.h,
	include/geos/operation/union/CascadedPolygonUnion.h,
	include/geos/operation/union/OverlapUnion.h,
	include/geos/operation/union/UnaryUnionOp.h,
	src/algorithm/CGAlgorithmsDD.cpp,
	src/operation/overlayng/Makefile.am,
	src/operation/overlayng/UnaryUnionNG.cpp,
	src/operation/union/CascadedPolygonUnion.cpp,
	src/operation/union/OverlapUnion.cpp, tests/unit/Makefile.am,
	tests/unit/operation/overlayng/OverlayNGTest.cpp,
	tests/unit/operation/overlayng/UnaryUnionNGTest.cpp: Add
	UnaryUnionNG and some misc diffs

2020-07-16  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/noding/SegmentNodeList.h,
	src/noding/SegmentNodeList.cpp: Manage SegmentNodes inside
	SegmentNodeList

2020-07-16  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/union/CascadedPolygonUnion.h,
	include/geos/operation/union/Makefile.am,
	include/geos/operation/union/OverlapUnion.h,
	include/geos/operation/union/UnaryUnionOp.h,
	include/geos/operation/union/UnionStrategy.h,
	src/operation/union/CascadedPolygonUnion.cpp,
	src/operation/union/OverlapUnion.cpp,
	src/operation/union/UnaryUnionOp.cpp,
	tests/unit/operation/overlayng/LineLimiterTest.cpp,
	tests/unit/operation/overlayng/OverlayGraphTest.cpp,
	tests/unit/operation/overlayng/OverlayNGFloatingNoderTest.cpp,
	tests/unit/operation/overlayng/OverlayNGMixedPointsTest.cpp,
	tests/unit/operation/overlayng/OverlayNGOneTest.cpp,
	tests/unit/operation/overlayng/OverlayNGPointsTest.cpp,
	tests/unit/operation/overlayng/OverlayNGSnappingNoderTest.cpp,
	tests/unit/operation/overlayng/OverlayNGSnappingOneTest.cpp,
	tests/unit/operation/overlayng/OverlayNGTest.cpp,
	tests/unit/operation/overlayng/PrecisionReducerTest.cpp,
	tests/unit/operation/overlayng/PrecisionUtilTest.cpp,
	tests/unit/operation/overlayng/RingClipperTest.cpp: Add
	UnionStrategy and associated refactoring in CascadedUnion. Fix unit
	test names so cmake tests pass.

2020-07-16  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/xmltester/Makefile.am: Move NG tests into alphabetical order


2020-07-16  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/geom/LineString.h,
	include/geos/operation/overlayng/OverlayNG.h,
	src/geom/LineString.cpp, src/operation/overlayng/OverlayNG.cpp,
	tests/unit/capi/GEOSNodeTest.cpp, tests/xmltester/Makefile.am,
	tests/xmltester/XMLTester.cpp,
	tests/xmltester/tests/general/TestNGOverlayA.xml,
	tests/xmltester/tests/general/TestNGOverlayAPrec.xml,
	tests/xmltester/tests/general/TestNGOverlayEmpty.xml,
	tests/xmltester/tests/general/TestNGOverlayL.xml,
	tests/xmltester/tests/general/TestNGOverlayLPrec.xml,
	tests/xmltester/tests/general/TestNGOverlayP.xml,
	tests/xmltester/tests/general/TestNGOverlayPPrec.xml: Add XML tests
	and necessary fixes

2020-07-15  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/Makefile.am,
	include/geos/operation/overlayng/PrecisionReducer.h,
	src/operation/overlayng/Makefile.am,
	src/operation/overlayng/PrecisionReducer.cpp,
	tests/unit/Makefile.am,
	tests/unit/operation/overlayng/PrecisionReducerTest.cpp: 
	PrecisionReducer and PrecisionReducerText

2020-07-15  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/operation/overlayng/PrecisionUtil.cpp: Add safeguard against
	infinite loop in decimal check

2020-07-15  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/Makefile.am,
	include/geos/operation/overlayng/PrecisionUtil.h,
	src/operation/overlayng/Makefile.am,
	src/operation/overlayng/PrecisionUtil.cpp,
	tests/unit/operation/overlayng/PrecisionUtilTest.cpp: Added
	PrecisionUtil and PrecisionUtilTest

2020-07-15  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/Makefile.am,
	tests/unit/operation/overlayng/OverlayNGOneTest.cpp: Add
	OverlayNGOneTest

2020-07-15  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/Makefile.am,
	tests/unit/operation/overlayng/OverlayNGSnappingOneTest.cpp: Add
	OverlayNGSnappingOneTest

2020-07-15  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/Makefile.am,
	tests/unit/operation/overlayng/OverlayNGFloatingNoderTest.cpp,
	tests/unit/utility.h: Add OverlayNGFloatingNoderTest and alter
	ensure_geometry_equals to test geometry equality in addition to
	metadata equality.

2020-07-14  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/OverlayLabeller.h,
	src/operation/overlayng/OverlayLabeller.cpp: Port refactor of
	OverlayLabeller

	https://github.com/dr-jts/jts/commit/9ebe2a5acfc0d43357e6e7e569e8da9d33abcefb

2020-07-14  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/operation/overlayng/OverlayNGMixedPointsTest.cpp,
	tests/unit/operation/overlayng/OverlayNGPointsTest.cpp,
	tests/unit/operation/overlayng/OverlayNGSnappingNoderTest.cpp,
	tests/unit/operation/overlayng/OverlayNGTest.cpp: Strip extraneous
	header entries

2020-07-14  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/simplify/TopologyPreservingSimplifierTest.cpp: Stop
	using ensure_geometry_equals to test non-equal things

2020-07-14  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/geom/Geometry.h: Add commentary on compareTo and
	normalize

2020-07-14  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/operation/overlayng/OverlayPoints.cpp: Fix regression due to
	Point being constructed without rounding

2020-07-14  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/Makefile.am,
	tests/unit/operation/overlayng/OverlayNGSnappingNoderTest.cpp: Add
	OverlayNGSnappingNoderTest

2020-07-14  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/operation/overlayng/OverlayMixedPoints.cpp,
	tests/unit/Makefile.am,
	tests/unit/operation/overlayng/OverlayNGMixedPointsTest.cpp: Add
	OverlayNGMixedPointsTest

2020-07-14  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/Makefile.am,
	tests/unit/operation/overlayng/LineLimiterTest.cpp,
	tests/unit/operation/overlayng/OverlayGraphTest.cpp,
	tests/unit/operation/overlayng/OverlayNGPointsTest.cpp,
	tests/unit/operation/overlayng/OverlayNGTest.cpp,
	tests/unit/operation/overlayng/RingClipperTest.cpp: Add
	OverlayNGPointsTest

2020-07-14  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/edgegraph/HalfEdge.h,
	include/geos/operation/overlayng/Edge.h,
	include/geos/operation/overlayng/EdgeNodingBuilder.h,
	include/geos/operation/overlayng/MaximalEdgeRing.h,
	include/geos/operation/overlayng/OverlayEdge.h,
	include/geos/operation/overlayng/OverlayGraph.h,
	include/geos/operation/overlayng/OverlayLabel.h,
	include/geos/operation/overlayng/PolygonBuilder.h,
	src/edgegraph/HalfEdge.cpp, src/operation/overlayng/Edge.cpp,
	src/operation/overlayng/EdgeSourceInfo.cpp,
	src/operation/overlayng/LineBuilder.cpp,
	src/operation/overlayng/MaximalEdgeRing.cpp,
	src/operation/overlayng/OverlayEdge.cpp,
	src/operation/overlayng/OverlayGraph.cpp,
	src/operation/overlayng/OverlayLabel.cpp,
	src/operation/overlayng/OverlayNG.cpp,
	src/operation/overlayng/PolygonBuilder.cpp,
	tests/unit/operation/overlayng/OverlayNGTest.cpp: Add OverlayNGTest
	and fix all failing tests

2020-07-10  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/operation/overlayng/OverlayNGTest.cpp: Add more tests
	on OverlayNGTest

2020-07-10  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/EdgeSourceInfo.h,
	include/geos/operation/overlayng/OverlayEdge.h,
	include/geos/operation/overlayng/OverlayNG.h,
	src/operation/overlayng/EdgeSourceInfo.cpp,
	src/operation/overlayng/OverlayEdge.cpp,
	src/operation/overlayng/OverlayEdgeRing.cpp,
	src/operation/overlayng/OverlayGraph.cpp,
	tests/unit/operation/overlayng/OverlayNGTest.cpp: Add OverlayNGTest
	and first test case, fixes to allow it to run

2020-07-09  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/geom/GeometryFactory.h,
	include/geos/operation/overlayng/IndexedPointOnLineLocator.h,
	include/geos/operation/overlayng/IntersectionPointBuilder.h,
	include/geos/operation/overlayng/LineBuilder.h,
	include/geos/operation/overlayng/Makefile.am,
	include/geos/operation/overlayng/MaximalEdgeRing.h,
	include/geos/operation/overlayng/OverlayEdge.h,
	include/geos/operation/overlayng/OverlayEdgeRing.h,
	include/geos/operation/overlayng/OverlayGraph.h,
	include/geos/operation/overlayng/OverlayLabeller.h,
	include/geos/operation/overlayng/OverlayMixedPoints.h,
	include/geos/operation/overlayng/OverlayNG.h,
	include/geos/operation/overlayng/OverlayPoints.h,
	include/geos/operation/overlayng/OverlayUtil.h,
	include/geos/operation/overlayng/PolygonBuilder.h,
	include/geos/operation/overlayng/RobustClipEnvelopeComputer.h,
	src/geom/GeometryFactory.cpp, src/noding/snap/SnappingNoder.cpp,
	src/operation/overlayng/IndexedPointOnLineLocator.cpp,
	src/operation/overlayng/IntersectionPointBuilder.cpp,
	src/operation/overlayng/LineBuilder.cpp,
	src/operation/overlayng/Makefile.am,
	src/operation/overlayng/MaximalEdgeRing.cpp,
	src/operation/overlayng/OverlayEdge.cpp,
	src/operation/overlayng/OverlayEdgeRing.cpp,
	src/operation/overlayng/OverlayGraph.cpp,
	src/operation/overlayng/OverlayLabeller.cpp,
	src/operation/overlayng/OverlayMixedPoints.cpp,
	src/operation/overlayng/OverlayNG.cpp,
	src/operation/overlayng/OverlayPoints.cpp,
	src/operation/overlayng/OverlayUtil.cpp,
	src/operation/overlayng/PolygonBuilder.cpp,
	src/operation/overlayng/RobustClipEnvelopeComputer.cpp: 
	IndexedPointOnLineLocator, IntersectionPointBuilder, LineBuilder,
	OverlayLabeller, OverlayMixedPoints, OverlayNG, OverlayPoints,
	PolygonBuilder, RobustClipEnvelopeComputer completed and build!

2020-07-06  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/noding/NodedSegmentString.h,
	include/geos/operation/overlayng/Edge.h,
	include/geos/operation/overlayng/{OverlayNoder.h =>
	EdgeNodingBuilder.h}, include/geos/operation/overlayng/Makefile.am,
	include/geos/operation/overlayng/OverlayEdge.h,
	include/geos/operation/overlayng/OverlayGraph.h,
	src/operation/overlayng/Edge.cpp,
	src/operation/overlayng/{OverlayNoder.cpp =>
	EdgeNodingBuilder.cpp}, src/operation/overlayng/Makefile.am,
	src/operation/overlayng/OverlayGraph.cpp,
	tests/unit/operation/overlayng/OverlayGraphTest.cpp: Refactor
	OverlayNoder to EdgeNodingBuilder

2020-07-05  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/edgegraph/HalfEdge.h,
	include/geos/operation/overlayng/EdgeSourceInfo.h,
	include/geos/operation/overlayng/OverlayEdge.h,
	src/edgegraph/HalfEdge.cpp,
	src/operation/overlayng/EdgeSourceInfo.cpp,
	tests/unit/operation/overlayng/OverlayGraphTest.cpp: Add
	OverlayGraphTest and fix failures, caused by not declaring
	directionPt() virtual in HalfEdge

2020-07-03  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/Edge.h,
	include/geos/operation/overlayng/Makefile.am,
	include/geos/operation/overlayng/OverlayGraph.h,
	src/operation/overlayng/Edge.cpp,
	src/operation/overlayng/Makefile.am,
	src/operation/overlayng/OverlayEdge.cpp,
	src/operation/overlayng/OverlayGraph.cpp: OverlayGraph draft builds


2020-07-02  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/Edge.h,
	include/geos/operation/overlayng/Makefile.am,
	include/geos/operation/overlayng/MaximalEdgeRing.h,
	include/geos/operation/overlayng/OverlayEdge.h,
	include/geos/operation/overlayng/OverlayEdgeRing.h,
	src/operation/overlayng/Edge.cpp,
	src/operation/overlayng/Makefile.am,
	src/operation/overlayng/MaximalEdgeRing.cpp,
	src/operation/overlayng/OverlayEdge.cpp,
	src/operation/overlayng/OverlayEdgeRing.cpp: OverlayEdge,
	OverlayEdgeRing, MaximalEdgeRing draft builds

2020-06-29  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/EdgeKey.h,
	include/geos/operation/overlayng/EdgeMerger.h,
	include/geos/operation/overlayng/Makefile.am,
	src/operation/overlayng/EdgeKey.cpp,
	src/operation/overlayng/EdgeMerger.cpp,
	src/operation/overlayng/Makefile.am: EdgeMerger draft

2020-06-29  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/Edge.h,
	include/geos/operation/overlayng/EdgeKey.h,
	include/geos/operation/overlayng/Makefile.am,
	src/operation/overlayng/Edge.cpp,
	src/operation/overlayng/EdgeKey.cpp,
	src/operation/overlayng/Makefile.am: EdgeKey draft builds

2020-06-29  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/Edge.h,
	include/geos/operation/overlayng/Makefile.am,
	src/operation/overlayng/Edge.cpp,
	src/operation/overlayng/Makefile.am,
	src/operation/overlayng/OverlayNoder.cpp: Edge draft builds

2020-06-27  Regina Obe <lr@pcorp.us>

	* tools/ci/berrie64.sh: Add berrie64 to jenkins bot chain.
	References #1033

2020-06-26  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/operation/overlayng/RingClipper.cpp, tests/unit/Makefile.am,
	tests/unit/operation/overlayng/LineLimiterTest.cpp,
	tests/unit/operation/overlayng/RingClipperTest.cpp: RingClipperTest
	and LineLimiterTest with fix to RingClipper

2020-06-25  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/geom/Envelope.h, include/geos/geom/Envelope.inl,
	include/geos/operation/overlayng/LineLimiter.h,
	include/geos/operation/overlayng/Makefile.am,
	include/geos/operation/overlayng/OverlayNoder.h,
	include/geos/operation/overlayng/OverlayUtil.h,
	include/geos/operation/overlayng/RingClipper.h,
	src/operation/overlayng/LineLimiter.cpp,
	src/operation/overlayng/Makefile.am,
	src/operation/overlayng/OverlayNoder.cpp,
	src/operation/overlayng/OverlayUtil.cpp,
	src/operation/overlayng/RingClipper.cpp: OverlayNoder, LineLimiter,
	RingClipper, start of OverlayUtil, un-tested drafts that compile

2020-06-23  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/EdgeSourceInfo.h,
	include/geos/operation/overlayng/InputGeometry.h,
	include/geos/operation/overlayng/Makefile.am,
	include/geos/operation/overlayng/OverlayLabel.h,
	src/operation/overlayng/InputGeometry.cpp,
	src/operation/overlayng/Makefile.am: InputGeometry draft

2020-06-23  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/CMakeLists.txt: Only run tests in files that end in
	Test.cpp

2020-06-23  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/overlayng/EdgeSourceInfo.h,
	include/geos/operation/overlayng/Makefile.am,
	src/operation/overlayng/EdgeSourceInfo.cpp,
	src/operation/overlayng/Makefile.am: EdgeSourceInfo draft

2020-06-22  Paul Ramsey <pramsey@cleverelephant.ca>

	* configure.ac, include/geos/operation/Makefile.am,
	include/geos/operation/overlayng/Makefile.am,
	include/geos/operation/overlayng/OverlayLabel.h,
	src/operation/Makefile.am, src/operation/overlayng/Makefile.am,
	src/operation/overlayng/OverlayLabel.cpp: OverlayLabel draft

2020-06-22  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/noding/SegmentNodeList.cpp: Fix mistake in update to
	SegmentNodeList

2020-06-20  Daniel Baston <dbaston@gmail.com>

	Merge remote-tracking branch 'dbaston/capi-tests'

2020-06-19  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/index/chain/MonotoneChain.h,
	src/index/chain/MonotoneChain.cpp: Reorg vars

2020-01-17  Daniel Baston <dbaston@gmail.com>

	* tests/unit/capi/GEOSBoundaryTest.cpp,
	tests/unit/capi/GEOSEnvelopeTest.cpp,
	tests/unit/capi/GEOSGeom_createLineStringTest.cpp,
	tests/unit/capi/GEOSGeom_getCoordSeqTest.cpp,
	tests/unit/capi/GEOSGeom_getCoordinateDimensionTest.cpp,
	tests/unit/capi/GEOSGeom_getDimensionsTest.cpp,
	tests/unit/capi/GEOSGetNumInteriorRingsTest.cpp,
	tests/unit/capi/GEOSLengthTest.cpp,
	tests/unit/capi/GEOSSetSRIDTest.cpp,
	tests/unit/capi/GEOSUnionTest.cpp,
	tests/unit/capi/GEOSisValidReasonTest.cpp,
	tests/unit/capi/GEOSisValidTest.cpp,
	tests/unit/capi/capi_test_utils.h: Add some CAPI tests

2020-06-19  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/noding/snap/SnappingNoder.h,
	src/noding/snap/SnappingNoder.cpp,
	tests/unit/noding/snap/SnappingNoderTest.cpp: SnappingNoderTest

2020-06-19  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/Makefile.am,
	tests/unit/noding/snap/SnappingNoderTest.cpp,
	tests/unit/noding/snapround/SnapRoundingNoderTest.cpp,
	tests/unit/util/NodingTestUtil.cpp,
	tests/unit/util/NodingTestUtil.h: Refactor noding test utils out of
	snapping noder test

2020-06-18  Paul Ramsey <pramsey@cleverelephant.ca>

	* configure.ac, include/geos/index/chain/MonotoneChain.h,
	include/geos/noding/MCIndexNoder.h,
	include/geos/noding/Makefile.am,
	include/geos/noding/NodedSegmentString.h,
	include/geos/noding/snap/Makefile.am,
	include/geos/noding/snap/SnappingIntersectionAdder.h,
	include/geos/noding/snap/SnappingNoder.h,
	include/geos/noding/snap/SnappingPointIndex.h,
	include/geos/noding/snapround/SnapRoundingIntersectionAdder.h,
	src/index/chain/MonotoneChain.cpp, src/noding/MCIndexNoder.cpp,
	src/noding/Makefile.am, src/noding/snap/Makefile.am,
	src/noding/snap/SnappingIntersectionAdder.cpp,
	src/noding/snap/SnappingNoder.cpp,
	src/noding/snap/SnappingPointIndex.cpp: SnappingNoder initial build


2020-06-17  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/noding/snapround/SnapRoundingNoderTest.cpp: add
	SnapRoundingNoder tests

2020-06-17  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/index/kdtree/KdTree.h,
	include/geos/noding/snapround/HotPixelIndex.h,
	include/geos/noding/snapround/SnapRoundingIntersectionAdder.h,
	src/index/kdtree/KdTree.cpp, src/noding/snapround/HotPixel.cpp,
	src/noding/snapround/HotPixelIndex.cpp,
	tests/unit/index/kdtree/KdTreeTest.cpp,
	tests/unit/noding/snapround/SnapRoundingNoderTest.cpp: Another big
	fix for SnapRoundingNoder and updates to KdTree and HotPixelIndex

2020-06-16  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/noding/snapround/HotPixel.h,
	include/geos/noding/snapround/MCIndexPointSnapper.h,
	src/noding/SegmentNodeList.cpp, src/noding/snapround/HotPixel.cpp,
	src/noding/snapround/HotPixelIndex.cpp,
	src/noding/snapround/MCIndexPointSnapper.cpp,
	src/noding/snapround/MCIndexSnapRounder.cpp,
	src/noding/snapround/SnapRoundingNoder.cpp,
	tests/unit/noding/snapround/SnapRoundingNoderTest.cpp: start
	debugging SnapRoundingNoder

2020-06-15  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/noding/ValidatingNoder.h,
	include/geos/noding/snapround/HotPixelIndex.h,
	include/geos/noding/snapround/SnapRoundingNoder.h,
	src/noding/ValidatingNoder.cpp,
	src/noding/snapround/SnapRoundingNoder.cpp, tests/unit/Makefile.am,
	tests/unit/noding/snapround/SnapRoundingNoderTest.cpp: 
	SnapRoundingNoderTest builds

2020-06-05  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/noding/Makefile.am,
	include/geos/noding/ValidatingNoder.h, src/noding/Makefile.am,
	src/noding/ValidatingNoder.cpp: Add draft ValidatingNoder

2020-06-05  Paul Ramsey <pramsey@cleverelephant.ca>

	* DEVELOPER-NOTES.md, src/edgegraph/EdgeGraph.cpp: Add developer
	notes draft

2020-06-04  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/noding/NodedSegmentString.h,
	include/geos/noding/snapround/HotPixelIndex.h,
	include/geos/noding/snapround/SnapRoundingIntersectionAdder.h,
	include/geos/noding/snapround/SnapRoundingNoder.h,
	src/noding/NodedSegmentString.cpp,
	src/noding/snapround/HotPixelIndex.cpp,
	src/noding/snapround/SnapRoundingIntersectionAdder.cpp,
	src/noding/snapround/SnapRoundingNoder.cpp: SnapRoundingNoder builds


2020-06-03  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/noding/snapround/Makefile.am,
	include/geos/noding/snapround/{SnapIntersectionAdder.h =>
	SnapRoundingIntersectionAdder.h}, src/noding/snapround/Makefile.am,
	src/noding/snapround/{SnapIntersectionAdder.cpp =>
	SnapRoundingIntersectionAdder.cpp}: rename
	SnapRoundingIntersectionAdder

2020-06-01  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/geom/Makefile.am, include/geos/{geomgraph =>
	geom}/Position.h, include/geos/{geomgraph => geom}/Quadrant.h,
	include/geos/{geomgraph => geom}/Quadrant.inl,
	include/geos/geomgraph/Depth.inl, include/geos/geomgraph/Label.inl,
	include/geos/geomgraph/Makefile.am,
	include/geos/geomgraph/TopologyLocation.inl,
	include/geos/index/kdtree/KdTree.h,
	include/geos/noding/snapround/Makefile.am,
	include/geos/operation/buffer/OffsetCurveBuilder.h,
	src/edgegraph/HalfEdge.cpp, src/geom/Makefile.am, src/{geomgraph =>
	geom}/Position.cpp, src/{geomgraph => geom}/Quadrant.cpp,
	src/geomgraph/Depth.cpp, src/geomgraph/DirectedEdge.cpp,
	src/geomgraph/DirectedEdgeStar.cpp, src/geomgraph/Edge.cpp,
	src/geomgraph/EdgeEnd.cpp, src/geomgraph/EdgeEndStar.cpp,
	src/geomgraph/EdgeRing.cpp, src/geomgraph/GeometryGraph.cpp,
	src/geomgraph/Makefile.am, src/geomgraph/PlanarGraph.cpp,
	src/geomgraph/TopologyLocation.cpp,
	src/geomgraph/index/MonotoneChainIndexer.cpp,
	src/index/chain/MonotoneChainBuilder.cpp,
	src/index/kdtree/KdNode.cpp, src/inlines.cpp,
	src/noding/snapround/Makefile.am,
	src/operation/buffer/BufferBuilder.cpp,
	src/operation/buffer/BufferSubgraph.cpp,
	src/operation/buffer/OffsetCurveBuilder.cpp,
	src/operation/buffer/OffsetCurveSetBuilder.cpp,
	src/operation/buffer/OffsetSegmentGenerator.cpp,
	src/operation/buffer/RightmostEdgeFinder.cpp,
	src/operation/buffer/SubgraphDepthLocater.cpp,
	src/operation/overlay/OverlayOp.cpp,
	src/operation/relate/EdgeEndBundle.cpp,
	src/operation/valid/ConnectedInteriorTester.cpp,
	src/planargraph/DirectedEdge.cpp: Move Position and Quadrant to
	geom/ and update all references and build

2020-05-29  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/noding/snapround/HotPixel.h,
	src/noding/snapround/HotPixel.cpp,
	tests/unit/noding/snapround/HotPixelTest.cpp: Update HotPixelTest to
	the latest JTS version

2020-05-29  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/Makefile.am, tests/unit/edgegraph/EdgeGraphTest.cpp: 
	Add EdgeGraphTest

2020-05-29  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/index/kdtree/KdTree.h, src/index/kdtree/KdTree.cpp,
	tests/unit/Makefile.am, tests/unit/index/kdtree/KdTreeTest.cpp: Add
	KdTreeTest

2020-05-28  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/index/kdtree/KdTree.cpp: Fix tree initialization error

2020-05-28  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/noding/snapround/HotPixelTest.cpp: Update test for new
	HotPixel initializer

2020-05-28  Paul Ramsey <pramsey@cleverelephant.ca>

	* configure.ac, include/geos/index/Makefile.am,
	include/geos/index/kdtree/KdNode.h,
	include/geos/index/kdtree/KdNodeVisitor.h,
	include/geos/index/kdtree/KdTree.h,
	include/geos/index/kdtree/Makefile.am, src/index/Makefile.am,
	src/index/kdtree/KdNode.cpp, src/index/kdtree/KdTree.cpp,
	src/index/kdtree/Makefile.am: KdTree implementation builds

2020-05-28  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/noding/SegmentNodeList.h,
	include/geos/noding/snapround/SimpleSnapRounder.h,
	include/geos/noding/snapround/SnapIntersectionAdder.h,
	src/noding/GeometryNoder.cpp, src/noding/SegmentNodeList.cpp,
	src/noding/snapround/MCIndexPointSnapper.cpp,
	src/noding/snapround/MCIndexSnapRounder.cpp,
	src/noding/snapround/SimpleSnapRounder.cpp,
	src/noding/snapround/SnapIntersectionAdder.cpp,
	src/operation/buffer/BufferBuilder.cpp: Add SnapIntersectionAdder,
	remove SimpleSnapRounder

2020-05-26  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/noding/snapround/Makefile.am,
	include/geos/noding/snapround/SnapIntersectionAdder.h,
	src/noding/snapround/Makefile.am,
	src/noding/snapround/SnapIntersectionAdder.cpp: First draft of
	SnapIntersectionAdder

2020-05-25  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/algorithm/CGAlgorithmsDD.h,
	include/geos/noding/snapround/HotPixel.h,
	include/geos/noding/snapround/HotPixel.inl,
	include/geos/noding/snapround/HotPixelIndex.h,
	src/algorithm/CGAlgorithmsDD.cpp,
	src/noding/snapround/HotPixel.cpp,
	src/noding/snapround/HotPixelIndex.cpp: Bring in further changes to
	HotPixel from JTS

2020-05-22  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/noding/snapround/HotPixel.h,
	include/geos/noding/snapround/HotPixelIndex.h,
	src/noding/snapround/HotPixel.cpp,
	src/noding/snapround/HotPixelIndex.cpp: Bring bug fixes from JTS and
	change storage of HotPixels from the heap to inside the hotPixelMap


2020-05-22  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/edgegraph/EdgeGraph.h: Remove unused constant

2020-05-22  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/edgegraph/EdgeGraph.h, src/edgegraph/EdgeGraph.cpp: 
	Replace array of heap-allocated HalfEdge with deque of
	stack-allocated HalfEdge

2020-05-22  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/edgegraph/EdgeGraph.h, src/edgegraph/EdgeGraph.cpp: 
	Strip out hacked up pool, as we will want a nicer one if we really
	go that way.

2020-05-22  Paul Ramsey <pramsey@cleverelephant.ca>

	* configure.ac, include/geos/Makefile.am,
	include/geos/edgegraph/EdgeGraph.h,
	include/geos/edgegraph/EdgeGraphBuilder.h,
	include/geos/edgegraph/HalfEdge.h,
	include/geos/edgegraph/Makefile.am,
	include/geos/edgegraph/MarkHalfEdge.h, src/Makefile.am,
	src/edgegraph/EdgeGraph.cpp, src/edgegraph/EdgeGraphBuilder.cpp,
	src/edgegraph/HalfEdge.cpp, src/edgegraph/Makefile.am,
	src/edgegraph/MarkHalfEdge.cpp: First port of edgegraph

2020-05-20  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/noding/snapround/HotPixelIndex.h,
	include/geos/noding/snapround/Makefile.am,
	src/noding/snapround/HotPixelIndex.cpp,
	src/noding/snapround/Makefile.am: First port of HotPixelIndex

2020-05-19  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/noding/snapround/HotPixel.h,
	include/geos/noding/snapround/HotPixel.inl,
	src/noding/snapround/HotPixel.cpp: Initial build port of HotPixel

2020-05-07  Paul Ramsey <pramsey@cleverelephant.ca>

	* capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	include/geos/algorithm/construct/LargestEmptyCircle.h,
	src/algorithm/construct/LargestEmptyCircle.cpp,
	tests/unit/capi/GEOSMaximumInscribedCircleTest.cpp: Add boundary
	argument to CAPI for LargestEmptyCircle

2020-05-04  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/io/WKBReaderTest.cpp: Add unit tests for empty WKB
	variants

2020-04-30  Daniel Baston <dbaston@gmail.com>

	* src/operation/distance/FacetSequence.cpp: Add envelope checks to
	FacetSequence::distance

2020-04-30  Daniel Baston <dbaston@gmail.com>

	* src/operation/distance/FacetSequence.cpp: Skip zero-length
	segments in FacetSequence::distance

2020-04-30  Daniel Baston <dbaston@gmail.com>

	* src/operation/distance/FacetSequence.cpp: Optimize FacetSequence
	envelope calculation

2020-04-30  Daniel Baston <dbaston@gmail.com>

	* include/geos/operation/distance/FacetSequenceTreeBuilder.h,
	src/operation/distance/FacetSequenceTreeBuilder.cpp: Avoid heap
	allocs in FacetSequenceTreeBuilder

2020-04-30  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/index/quadtree/DoubleBits.h,
	include/geos/index/quadtree/Makefile.am, src/index/bintree/Key.cpp,
	src/index/quadtree/DoubleBits.cpp,
	src/index/quadtree/IntervalSize.cpp, src/index/quadtree/Key.cpp,
	src/index/quadtree/Makefile.am, tests/unit/Makefile.am,
	tests/unit/index/quadtree/DoubleBitsTest.cpp: Remove DoubleBits in
	favour of exp2 and frexp Closes #252, Closes #317

2020-04-30  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/algorithm/MinimumBoundingCircle.cpp: add static check on input
	array, closes https://github.com/libgeos/geos/issues/261

2020-03-22  Daniel Baston <dbaston@gmail.com>

	* tests/unit/capi/GEOSDistanceTest.cpp: Add failing test for
	GEOSDistance segfault

2020-04-30  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/operation/distance/IndexedFacetDistanceTest.cpp: quiet
	warning about type coersion?

2020-04-30  Paul Ramsey <pramsey@cleverelephant.ca>

	* .gitignore: properly ignore files ending in tilde

2020-04-30  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/algorithm/construct/LargestEmptyCircle.h,
	src/algorithm/construct/LargestEmptyCircle.cpp: Match up parameters
	names to doc names

2020-04-30  Daniel Baston <dbaston@gmail.com>

	Merge branch 'distanceop-perf'

2020-04-29  Daniel Baston <dbaston@gmail.com>

	* include/geos/operation/distance/FacetSequenceTreeBuilder.h,
	include/geos/operation/distance/IndexedFacetDistance.h,
	src/operation/distance/FacetSequenceTreeBuilder.cpp,
	src/operation/distance/IndexedFacetDistance.cpp,
	src/precision/MinimumClearance.cpp: Remove manual memory management
	from FacetSequenceTreeBuilder

2020-04-29  Daniel Baston <dbaston@gmail.com>

	* tests/unit/algorithm/construct/LargestEmptyCircleTest.cpp,
	tests/unit/algorithm/construct/MaximumInscribedCircleTest.cpp: Fix
	invalid reads in LEC and MIC tests

2020-04-29  Daniel Baston <dbaston@gmail.com>

	* tests/unit/geom/EnvelopeTest.cpp: Add some tests for
	Envelope::distance

2020-04-29  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/Envelope.h, include/geos/geom/Envelope.inl,
	src/geom/Geometry.cpp, src/index/strtree/BoundablePair.cpp,
	src/operation/distance/DistanceOp.cpp: Use reference in
	Envelope::distance signature

2020-04-28  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'master-jts-533'

2020-04-28  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/operation/distance/FacetSequence.cpp: avoid some tiny copy
	overhead using emplace over push

2020-04-28  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/index/strtree/BoundablePair.cpp: use magic for loop iterator

2020-04-28  Paul Ramsey <pramsey@cleverelephant.ca>

	* NEWS, include/geos/algorithm/MinimumBoundingCircle.h,
	src/algorithm/MinimumBoundingCircle.cpp,
	tests/unit/algorithm/MinimumBoundingCircleTest.cpp: Fixed
	MinimumBoundingCircle.getMaximumDiameter() to handle case where
	extremalPts[2]-[0] is longest, JTS 533

2020-04-08  Pierre Gergondet <pierre.gergondet@gmail.com>

	* tools/astyle/CMakeLists.txt: Enforce utf-8 charset when building
	astyle

2020-04-28  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'master' of https://git.osgeo.org/gitea/geos/geos

2020-04-28  Paul Ramsey <pramsey@cleverelephant.ca>

	* .azure-pipelines.yml, .gitignore, NEWS, capi/geos_c.cpp,
	capi/geos_c.h.in, capi/geos_ts_c.cpp, configure.ac,
	include/geos/algorithm/Makefile.am,
	include/geos/algorithm/construct/LargestEmptyCircle.h,
	include/geos/algorithm/construct/Makefile.am,
	include/geos/algorithm/construct/MaximumInscribedCircle.h,
	include/geos/geom/Envelope.h, include/geos/geom/Envelope.inl,
	include/geos/index/strtree/Boundable.h, src/algorithm/Makefile.am,
	src/algorithm/construct/LargestEmptyCircle.cpp,
	src/algorithm/construct/Makefile.am,
	src/algorithm/construct/MaximumInscribedCircle.cpp,
	src/index/strtree/BoundablePair.cpp,
	src/operation/distance/FacetSequence.cpp,
	src/operation/overlay/snap/LineStringSnapper.cpp,
	tests/unit/Makefile.am,
	tests/unit/algorithm/construct/LargestEmptyCircleTest.cpp,
	tests/unit/algorithm/construct/MaximumInscribedCircleTest.cpp,
	tests/unit/capi/GEOSMaximumInscribedCircleTest.cpp,
	tests/unit/geom/EnvelopeTest.cpp, tests/unit/io/WKTReaderTest.cpp,
	tests/unit/operation/distance/IndexedFacetDistanceTest.cpp,
	tests/unit/operation/geounion/CoverageUnionTest.cpp,
	tests/xmltester/XMLTester.cpp: Port MaximumInscribedCircle and
	LargestEmptyCircle From https://github.com/locationtech/jts/pull/530
	Closes #1029

2020-04-28  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/Envelope.h, include/geos/geom/Envelope.inl,
	src/operation/distance/DistanceOp.cpp: Add Envelope::distanceSquared


2020-04-28  Daniel Baston <dbaston@gmail.com>

	* src/operation/distance/DistanceOp.cpp: Clarify variable names

2020-04-28  Daniel Baston <dbaston@gmail.com>

	* src/operation/distance/DistanceOp.cpp: Add additional envelope
	test to DistanceOp::computeMinDistance

2020-04-28  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/Envelope.inl, src/geom/Envelope.cpp: Optimize
	and inline Envelope::distance

2020-04-28  Daniel Baston <dbaston@gmail.com>

	* src/operation/distance/DistanceOp.cpp: Add envelope check to
	DistanceOp::computeMinDistance  Also reduce virtual method calls.

2020-04-28  Daniel Baston <dbaston@gmail.com>

	Merge branch 'point-envelope-distance'

2020-04-27  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/math/DD.h: msvc build?

2020-04-27  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/Envelope.inl: Add headers

2020-04-27  Daniel Baston <dbaston@gmail.com>

	* src/operation/overlay/snap/LineStringSnapper.cpp: Add envelope
	distance test in LineStringSnapper  Improves union performance by
	35% in a set of test polygons.

2020-04-27  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/Envelope.h, include/geos/geom/Envelope.inl,
	tests/unit/geom/EnvelopeTest.cpp: Add Envelope::distanceToCoordinate


2020-04-23  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/operation/distance/IndexedFacetDistanceTest.cpp: Add a
	test to IFD and make it actually a test

2020-04-23  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/buffer/OffsetCurveSetBuilder.h,
	src/operation/buffer/OffsetCurveBuilder.cpp,
	src/operation/buffer/OffsetCurveSetBuilder.cpp,
	tests/unit/capi/GEOSSTRtreeTest.cpp, tests/unit/math/DDTest.cpp,
	tests/xmltester/tinyxml2/tinyxml2.cpp: quiet compiler warnings
	(clang)

2020-04-21  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'master' of https://git.osgeo.org/gitea/geos/geos

2020-04-21  Paul Ramsey <pramsey@cleverelephant.ca>

	* NEWS, include/geos/geom/CoordinateSequence.h,
	include/geos/operation/buffer/OffsetCurveBuilder.h,
	include/geos/operation/buffer/OffsetCurveSetBuilder.h,
	src/geom/CoordinateSequence.cpp,
	src/operation/buffer/OffsetCurveBuilder.cpp,
	src/operation/buffer/OffsetCurveSetBuilder.cpp,
	tests/xmltester/tests/general/TestBuffer.xml, tools/ci/berrie.sh: 
	Buffering a specific closed linestring erroneously produces polygon
	without hole. References #1022

2020-04-21  Regina Obe <lr@pcorp.us>

	* tools/ci/berrie.sh: Switch berrie back to autotools cmake not
	working after 64-bit upgrade

2020-04-20  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/io/WKTWriter.cpp, tests/unit/io/WKTWriterTest.cpp: Fix crash
	on WKT write of MULTIPOINT(EMPTY, 1 1)

2020-04-20  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'master' of https://git.osgeo.org/gitea/geos/geos

2020-04-20  Paul Ramsey <pramsey@cleverelephant.ca>

	* NEWS, capi/geos_ts_c.cpp: Remove undefined behaviour in CPI,
	closes #1021

2020-04-19  Regina Obe <lr@pcorp.us>

	* .drone-1.0.yml: Change to use docker.osgeo.org repo

2020-04-17  Paul Ramsey <pramsey@cleverelephant.ca>

	* NEWS: news entry for #1026

2020-04-17  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/algorithm/locate/IndexedPointInAreaLocator.h,
	include/geos/operation/distance/ConnectedElementLocationFilter.h,
	include/geos/operation/distance/DistanceOp.h,
	src/geom/util/LinearComponentExtracter.cpp,
	src/operation/distance/ConnectedElementLocationFilter.cpp,
	tests/xmltester/tests/general/TestDistance.xml: Fix bug in
	DistanceOp for geometries with empty components, Closes #1026

2020-04-16  Paul Ramsey <pramsey@cleverelephant.ca>

	* NEWS: news entry for ttmath retirement

2020-04-16  Paul Ramsey <pramsey@cleverelephant.ca>

	* .codecov.yml, Makefile.am, configure.ac, doc/Doxyfile.in,
	include/geos/Makefile.am, include/geos/algorithm/CGAlgorithmsDD.h,
	include/geos/algorithm/Makefile.am,
	include/geos/algorithm/RayCrossingCounterDD.h,
	include/geos/algorithm/ttmath/COPYRIGHT,
	include/geos/algorithm/ttmath/Makefile.am,
	include/geos/algorithm/ttmath/README,
	include/geos/algorithm/ttmath/ttmath.h,
	include/geos/algorithm/ttmath/ttmathbig.h,
	include/geos/algorithm/ttmath/ttmathdec.h,
	include/geos/algorithm/ttmath/ttmathint.h,
	include/geos/algorithm/ttmath/ttmathmisc.h,
	include/geos/algorithm/ttmath/ttmathobjects.h,
	include/geos/algorithm/ttmath/ttmathparser.h,
	include/geos/algorithm/ttmath/ttmaththreads.h,
	include/geos/algorithm/ttmath/ttmathtypes.h,
	include/geos/algorithm/ttmath/ttmathuint.h,
	include/geos/algorithm/ttmath/ttmathuint_noasm.h,
	include/geos/algorithm/ttmath/ttmathuint_x86.h,
	include/geos/algorithm/ttmath/ttmathuint_x86_64.h,
	include/geos/algorithm/ttmath/ttmathuint_x86_64_msvc.asm,
	include/geos/math/DD.h, include/geos/math/Makefile.am,
	src/Makefile.am, src/algorithm/CGAlgorithmsDD.cpp,
	src/algorithm/InteriorPointArea.cpp, src/geom/LineString.cpp,
	src/math/DD.cpp, src/math/Makefile.am, tests/unit/Makefile.am,
	tests/unit/math/DDTest.cpp: Squashed commit of the following:
	commit ab1b004af900354f907f9a5d31ec514c2547ada4 Author: Paul Ramsey
	<pramsey@cleverelephant.ca> Date:   Thu Apr 16 14:40:23 2020 -0700
	remove ttmath in favour of DD  commit
	472c1f9a12df1a4b9628f61c93594ee162382db4 Merge: 8ccf3bf8 312c085b
	Author: Paul Ramsey <pramsey@cleverelephant.ca> Date:   Thu Apr 16
	13:24:39 2020 -0700      Merge branch 'master' of
	https://git.osgeo.org/gitea/geos/geos into master-dd  commit
	8ccf3bf874a2887b40afbaca57ee67b59b5eb40b Author: Paul Ramsey
	<pramsey@cleverelephant.ca> Date:   Thu Apr 16 13:10:25 2020 -0700
	add informational comment  commit
	8fd12e02f060f8e35d36a162d81d1ef94da1b784 Author: Paul Ramsey
	<pramsey@cleverelephant.ca> Date:   Thu Apr 16 12:15:00 2020 -0700
	add in all JTS unit tests for doubledouble calculations  commit
	e24af3ba8ce7eca76840164c2edd5e066bbebe28 Author: Paul Ramsey
	<pramsey@cleverelephant.ca> Date:   Wed Apr 15 13:47:56 2020 -0700
	autotools build  commit cb5942a13c5113ae42108e0422fed9a34a465abf
	Author: Paul Ramsey <pramsey@cleverelephant.ca> Date:   Wed Apr 15
	13:31:28 2020 -0700      fix doxygen complaint?  commit
	469037a4ca75b0f4df3638256c0fff2b61d37796 Author: Paul Ramsey
	<pramsey@cleverelephant.ca> Date:   Wed Apr 15 12:47:14 2020 -0700
	change name of ifdef guard  commit
	00559ec59b56a0ec6a0481b54f0ab597324d9439 Author: Paul Ramsey
	<pramsey@cleverelephant.ca> Date:   Wed Apr 15 12:40:50 2020 -0700
	allow DD to swap in for ttmath  commit
	75e70f7f28e751f26cc3db5b4964a86f3bae518f Author: Paul Ramsey
	<pramsey@cleverelephant.ca> Date:   Wed Apr 15 11:28:15 2020 -0700
	clean build of all DD functionality from JTS  commit
	e42e9bc0ea3fd35bddc892fbe51b3de5677d8e57 Author: Paul Ramsey
	<pramsey@cleverelephant.ca> Date:   Tue Apr 14 17:27:45 2020 -0700
	DD wip

2020-03-30  Grzegorz Szymaszek <gszymaszek@short.pl>

	* .editorconfig: Remove redundant EditorConfig properties  The
	insert_final_newline and trim_trailing_whitespace properties do not
	have to be enabled for CMakeLists.txt as they are already enabled
	for all files.

2020-03-30  Grzegorz Szymaszek <gszymaszek@short.pl>

	* .drone-1.0.yml: Update the link to the geos-docker repository  The
	repository uses Gitea instead of Gogs these days.

2020-03-30  SpaceIm <30052553+SpaceIm@users.noreply.github.com>

	* CMakeLists.txt: fix multiple definitions with MinGW  Avoid
	multiple definitions if shared and inline with MinGW

2020-03-26  Regina Obe <lr@pcorp.us>

	Merge branch 'robe-patch-1' of robe/geos into master

2020-03-24  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/buffer/OffsetSegmentGenerator.h,
	src/operation/buffer/OffsetSegmentGenerator.cpp,
	tests/unit/operation/buffer/BufferOpTest.cpp: Fix buffer fillet
	generation to avoid extra segments JTS-526,
	https://trac.osgeo.org/geos/ticket/743

2020-03-12  Paul Ramsey <pramsey@cleverelephant.ca>

	* HOWTO_RELEASE: add note about trac milestone

2020-03-09  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/index/{tests/unit/index/chain/MonotoneChainBuilder.cpp
	=> chain/MonotoneChainBuilderTest.cpp},
	tests/xmltester/Makefile.am,
	tests/xmltester/tests/issue/issue-geos-1018.xml: reorder tests for
	#1018

2020-03-09  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/index/tests/unit/index/chain/MonotoneChainBuilder.cpp: 
	add unit test for GH290

2020-03-07  Regina Obe <lr@pcorp.us>

	* tools/ci/berrie.sh: switch berrie to cmake testing  This is just
	to test pull request

2020-03-07  Regina Obe <lr@pcorp.us>

	* NEWS, tools/ci/berrie.sh: Add berrie to jenkins slavebot worker
	runs - references #1017 for GEOS 3.9

2020-03-02  Dan Baston <dbaston@gmail.com>

	* tests/unit/geom/LineStringTest.cpp: Add test showing LineString
	vtable creation  References
	https://github.com/libgeos/geos/issues/285 References #1016

2020-03-02  Dan Baston <dbaston@gmail.com>

	* tests/unit/geom/LineStringTest.cpp: Fix comment typos

2020-03-02  Dan Baston <dbaston@gmail.com>

	Merge remote-tracking branch
	'rouault/add_deleted_copyconstructors'

2020-02-28  Even Rouault <even.rouault@spatialys.com>

	* include/geos/geomgraph/PlanarGraph.h,
	include/geos/index/bintree/Bintree.h,
	include/geos/index/bintree/NodeBase.h,
	include/geos/index/strtree/AbstractSTRtree.h,
	include/geos/operation/buffer/OffsetSegmentString.h,
	include/geos/operation/overlay/EdgeSetNoder.h,
	include/geos/operation/overlay/PointBuilder.h,
	include/geos/operation/relate/RelateNodeGraph.h,
	include/geos/operation/valid/SweeplineNestedRingTester.h,
	include/geos/planargraph/Node.h,
	include/geos/precision/CommonBitsRemover.h: include/: add deleted
	copy constructors and assignment operators  cppcheck spots classes
	that have pointer member variables, but lack an explicit copy
	constructor and assignment operator. The default behaviour of
	bitwise copy is dangerous, so add explicit '= delete'

2020-02-27  Evgen Bodunov <evgen@getyourmap.com>

	* include/geos/geom/CoordinateArraySequenceFactory.inl,
	include/geos/geom/LineString.h,
	src/geom/CoordinateArraySequenceFactory.cpp,
	src/geom/LineString.cpp,
	tests/unit/geom/CoordinateArraySequenceFactoryTest.cpp: Fixed
	https://trac.osgeo.org/geos/ticket/894 and
	https://github.com/libgeos/geos/issues/285  To have a vtable we
	should have explicit definition of key function. Details:
	https://lld.llvm.org/missingkeyfunction.html#missing-key-function

2020-02-21  Raúl Marín <git@rmr.ninja>

	* .travis.yml, tools/ci/script_autotools_scanbuild.sh: Update
	scanbuild job to clang 9

2020-02-21  Raúl Marín <git@rmr.ninja>

	* .travis.yml, tools/ci/script_autotools_scanbuild.sh: Re-enable
	Travis scan-build job  This reverts commit
	e4501a221faffbc3294cecda7a170445312476f7.  Adds the job as
	allow_failures so it's available as part of the CI

2019-12-02  Raúl Marín <git@rmr.ninja>

	* configure.ac: Autotools: Remove deprecated macros

2019-12-02  Raúl Marín <git@rmr.ninja>

	* configure.ac, macros/ax_cxx_compile_stdcxx.m4,
	tools/ci/script_autotools_scanbuild.sh: Autotools: Add std=c++11
	automatically to the builds

2020-02-20  Mike Taves <mwtoews@gmail.com>

	* tools/CMakeLists.txt, tools/geos-config.cmake: Restore #!/bin/sh
	for geos-config.cmake; escape prefix via CMake

2020-02-19  Sandro Santilli <strk@kbt.io>

	* tools/geos-config.in: Recover POSIX compliancy for geos-config,
	and fix exec_prefix  References #1015

2020-02-18  Regina Obe <lr@pcorp.us>

	Merge branch 'posix' of mwtoews/geos into master  switch ci to
	sh from bash

2020-02-19  Mike Taves <mwtoews@gmail.com>

	* tools/ci/bessie.sh, tools/ci/bessie32.sh, tools/ci/common.sh,
	tools/ci/script.sh, tools/ci/script_autotools.sh,
	tools/ci/script_autotools_scanbuild.sh, tools/ci/script_cmake.sh: 
	Convert tools/ci to use POSIX Shell instead of Bash

2020-02-17  Regina Obe <lr@pcorp.us>

	* NEWS: Add credits, Closes #1015

2020-02-17  Regina Obe <lr@pcorp.us>

	Merge branch 'config' of mwtoews/geos into master

2020-02-17  Regina Obe <lr@pcorp.us>

	* .drone-1.0.yml: Remark out valgrind tests.  they are always
	failing

2020-02-17  Regina Obe <lr@pcorp.us>

	* .drone-1.0.yml: Move doc build test above valgrind test so will
	run.

2020-02-17  Mike Taves <mwtoews@gmail.com>

	* CMakeLists.txt, tools/CMakeLists.txt, tools/geos-config.cmake,
	tools/geos-config.in: Update geos-config tool for consistency and
	escape paths  * Specify bash, and use printf to escape paths (if
	needed) * Restore bash variables, e.g. ${prefix}, and use CMake's
	@ONLY option * Consistent indents and style between .in and .cmake
	versions * Remove exec_prefix, which has never been used * Disable
	configure and install for MSVC builds

2020-02-13  Dan Baston <dbaston@gmail.com>

	Merge remote-tracking branch 'rouault/down_cast'

2020-02-13  Even Rouault <even.rouault@spatialys.com>

	* include/geos/util.h, src/geomgraph/DirectedEdgeStar.cpp,
	src/geomgraph/EdgeRing.cpp, src/geomgraph/Node.cpp,
	src/geomgraph/PlanarGraph.cpp, src/noding/IntersectionAdder.cpp,
	src/noding/IntersectionFinderAdder.cpp,
	src/noding/snapround/SimpleSnapRounder.cpp,
	src/operation/buffer/BufferSubgraph.cpp,
	src/operation/buffer/OffsetCurveSetBuilder.cpp,
	src/operation/buffer/RightmostEdgeFinder.cpp,
	src/operation/linemerge/EdgeString.cpp,
	src/operation/linemerge/LineMerger.cpp,
	src/operation/linemerge/LineSequencer.cpp,
	src/operation/overlay/LineBuilder.cpp,
	src/operation/overlay/MaximalEdgeRing.cpp,
	src/operation/overlay/OverlayOp.cpp,
	src/operation/overlay/PolygonBuilder.cpp,
	src/operation/polygonize/PolygonizeGraph.cpp,
	src/operation/relate/RelateComputer.cpp,
	src/operation/relate/RelateNode.cpp,
	src/operation/valid/ConnectedInteriorTester.cpp,
	src/operation/valid/ConsistentAreaTester.cpp: Add a
	geos::detail::down_cast<To>(From*) function  (Ported from what has
	been used since a few years in GDAL, which was added per
	https://trac.osgeo.org/gdal/ticket/6720)  This function can be used
	to replace most patterns where a static_cast or dynamic_cast is
	done, and we are sure that the result is of the target type (except
	programming bugs)  In particular, the following common pattern ```
	assert(dynamic_cast<Target*>(foo)); Target* t =
	static_cast<Target*>(foo); ``` can now been replaced equivalently by
	``` Target* t = detail::down_cast<Target*>(foo); ``` The assertion
	is only done in GEOS_DEBUG mode by down_cast.  This is even safer as
	it avoids the risk of potentially side effect, in the assert() as
	was found in RelateComputer.cpp that had ```
	assert(dynamic_cast<RelateNode*>(nodes.addNode(ei.coord)));
	RelateNode* n = static_cast<RelateNode*>(nodes.addNode(ei.coord));
	```

2020-02-13  Dan Baston <dbaston@gmail.com>

	Merge remote-tracking branch
	'rouault/fix_clang9_wextra_warnings'

2020-02-13  Dan Baston <dbaston@gmail.com>

	Merge remote-tracking branch
	'rouault/fix_mismatch_struct_class_variant2'

2020-02-13  Even Rouault <even.rouault@spatialys.com>

	* capi/geos_c.cpp, capi/geos_c.h.in: Fix -Wmismatched-tags warning
	related to WK[T/B][Reader/Writer]  CLang 9 -Wextra warns about ```
	./geos_c.h:1226:9: warning: struct 'WKTReader' was previously
	declared as a class; this is valid, but may result in linker errors
	under the Microsoft C++ ABI [-Wmismatched-tags] typedef struct
	GEOSWKTReader_t GEOSWKTReader;         ^
	../../include/geos/io/WKTReader.h:58:16: note: previous use is here
	class GEOS_DLL WKTReader {                ^ ./geos_c.h:1226:9: note:
	did you mean class here? typedef struct GEOSWKTReader_t
	GEOSWKTReader;         ^~~~~~         class ``` Similarly for
	WKTWriter, WKBReader and WKBWriter  This is due to capi/geos_c.cpp
	having a ```  #define GEOSWKTReader_t geos::io::WKTReader ```  Adopt
	the same solution as for GEOSGeom and other C++ classes exposed in C
	API

2020-02-13  Even Rouault <even.rouault@spatialys.com>

	* include/geos/noding/NodingIntersectionFinder.h,
	src/noding/MCIndexSegmentSetMutualIntersector.cpp,
	src/operation/union/CascadedPolygonUnion.cpp: Fix a few CLang 9
	-Wextra warnings  - Unused private member --> removed - Unused
	method (likely a debugging one) -> protected by #if GEOS_DEBUG -
	Unused variables in a destructor -> removed

2020-02-13  Even Rouault <even.rouault@spatialys.com>

	* src/algorithm/CGAlgorithmsDD.cpp, src/algorithm/Intersection.cpp: 
	Use !std::isfinite() to exclude nan and infinite values  -
	std::isnan() is useless when !std::isfinite() is tested -
	std::isnan() || std::isinf() can be replaced by !std::isfinite()

2020-01-30  Dan Baston <dbaston@gmail.com>

	* src/geom/MultiLineString.cpp,
	tests/unit/capi/GEOSReverseTest.cpp,
	tests/unit/linearref/LengthIndexedLineTest.cpp: Retain component
	order in MultiLineString::reverse  Updated for consistency with the
	behavior of other geometry types (as changed in
	https://github.com/locationtech/jts/pull/513)

2020-01-22  Dan Baston <dbaston@gmail.com>

	Merge remote-tracking branch 'origin/msvc-warnings'

2020-01-21  Dan Baston <dbaston@gmail.com>

	* tests/unit/capi/GEOSEqualsTest.cpp,
	tests/unit/capi/GEOSIntersectsTest.cpp: Declare nan as constexpr

2020-01-21  Dan Baston <dbaston@gmail.com>

	* include/geos/algorithm/NotRepresentableException.h,
	include/geos/io/ParseException.h,
	include/geos/util/AssertionFailedException.h,
	include/geos/util/IllegalArgumentException.h,
	include/geos/util/IllegalStateException.h,
	include/geos/util/TopologyException.h,
	include/geos/util/UnsupportedOperationException.h: Update deprecated
	throw() specifications

2020-01-21  Dan Baston <dbaston@gmail.com>

	* capi/geos_ts_c.cpp: Remove unreachable code

2020-01-21  Sandro Santilli <strk@kbt.io>

	* capi/geos_ts_c.cpp: report of what the invalid rule was (solves a
	FIXME)  ... and a regression in PostGIS testsuite ...

2020-01-17  Daniel Baston <dbaston@gmail.com>

	* include/geos/operation/linemerge/LineMerger.h: Make LineMerger
	noncopyable (fixes MSVC build)

2020-01-17  Daniel Baston <dbaston@gmail.com>

	Merge branch 'trac-1010'

2020-01-16  Daniel Baston <dbaston@gmail.com>

	* tests/unit/capi/GEOSCAPIDefinesTest.cpp: Add test for GEOSversion


2020-01-16  azhi <azhi@users.noreply.github.com>

	* capi/geos_ts_c.cpp: remove whitespace at the end of capi version

2020-01-15  Daniel Baston <dbaston@gmail.com>

	* capi/geos_ts_c.cpp, doc/example.cpp,
	include/geos/geom/GeometryFactory.h,
	include/geos/operation/linemerge/LineMerger.h,
	src/geom/GeometryFactory.cpp,
	src/operation/buffer/BufferBuilder.cpp,
	src/operation/linemerge/LineMerger.cpp,
	tests/unit/capi/GEOSLineMergeTest.cpp,
	tests/unit/operation/linemerge/LineMergerTest.cpp,
	tests/xmltester/XMLTester.cpp: Fix memory leak in GEOSLineMerge
	Fixes #1010

2020-01-14  Dan Baston <dbaston@gmail.com>

	* README.md: Fix README badge URLs

2020-01-10  Marian Krivos <nezmar@tutok.sk>

	* doc/example.cpp, include/geos/constants.h,
	src/geom/util/SineStarFactory.cpp,
	src/operation/buffer/BufferParameters.cpp,
	src/util/GeometricShapeFactory.cpp,
	tests/unit/capi/GEOSDistanceTest.cpp: Rename geos::M_PI to less
	intrusive MATH_PI (that don't collide with standard <cmath> name

2020-01-13  Dan Baston <dbaston@gmail.com>

	Merge branch 'noding-error-message'

2020-01-09  Dan Baston <dbaston@gmail.com>

	* tests/unit/operation/valid/MakeValidTest.cpp: Add test for
	MakeValid  References https://github.com/libgeos/geos/issues/265

2020-01-09  Dan Baston <dbaston@gmail.com>

	* include/geos/noding/IntersectionAdder.h,
	include/geos/noding/IteratedNoder.h,
	src/noding/IntersectionAdder.cpp, src/noding/IteratedNoder.cpp,
	tests/unit/capi/GEOSNodeTest.cpp: Provide location for GEOSNode
	failure  Also resolve memory leak in error case.

2020-01-07  Yury Kartynnik <kartynnik@aimatter.com>

	* src/algorithm/LineIntersector.cpp,
	src/geomgraph/index/SegmentIntersector.cpp: Minor debug code fixes
	- Fixes a compile-time error when `GEOS_DEBUG` is defined. - Fixes
	redefining `DEBUG_INTERSECT` with 0 regardless of its value.

2019-12-18  nila <n_larsson@yahoo.com>

	* include/geos/geom/prep/PreparedGeometry.h,
	include/geos/geom/prep/PreparedPolygonContainsProperly.h,
	include/geos/geom/prep/PreparedPolygonCovers.h,
	include/geos/geom/prep/PreparedPolygonIntersects.h,
	include/geos/geom/prep/PreparedPolygonPredicate.h: Add missing
	doxygen brief tags

2019-12-18  nila <n_larsson@yahoo.com>

	* include/geos/geom/prep/PreparedGeometry.h,
	include/geos/geom/prep/PreparedGeometryFactory.h: Correct bad docs
	comment indentation.

2019-12-18  nila <n_larsson@yahoo.com>

	* include/geos/operation/distance/IndexedFacetDistance.h: Add
	documentation for IndexedFacetDistance

2019-12-18  nila <n_larsson@yahoo.com>

	* doc/Doxyfile.in: Remove obsolete doxygen tags.  PERL_PATH and
	MSCGEN_PATH are obsolete with Doxygen 1.8.16.

2019-12-17  Daniel Baston <dbaston@gmail.com>

	* src/precision/MinimumClearance.cpp: Remove unneeded ctor calls

2019-12-15  Daniel Baston <dbaston@gmail.com>

	Merge remote-tracking branch 'gergondet/topic/InstallInlFiles'

2019-12-14  Daniel Baston <dbaston@gmail.com>

	* src/operation/valid/IndexedNestedShellTester.cpp: Throw exception
	for unhandled situation in IndexedNestedShellTester

2019-12-13  Daniel Baston <dbaston@gmail.com>

	Merge branch 'indexed-nested-shell-tester'

2019-12-13  Daniel Baston <dbaston@gmail.com>

	Merge branch 'valid-perf2'

2019-12-13  Daniel Baston <dbaston@gmail.com>

	* .travis.yml: Disable Travis scan-build job  Can re-enable in
	future if allow_failures is configured.

2019-12-13  Pierre Gergondet <pierre.gergondet@gmail.com>

	* CMakeLists.txt, include/CMakeLists.txt: Install inl files if
	DISABLE_GEOS_INLINE is OFF

2019-12-10  Daniel Baston <dbaston@gmail.com>

	* src/geomgraph/EdgeRing.cpp: Remove using namespace std

2019-12-07  Daniel Baston <dbaston@gmail.com>

	* include/geos/geomgraph/EdgeRing.h, src/geomgraph/EdgeRing.cpp: 
	Build up EdgeRing points in std::vector, not CoordinateSequence
	Improves performance by allowing use of vector::reserve() and
	CoordinateSequence::toVector().

2019-12-06  Daniel Baston <dbaston@gmail.com>

	* src/operation/valid/IndexedNestedRingTester.cpp,
	src/operation/valid/IndexedNestedRingTester.h,
	src/operation/valid/IsValidOp.cpp: Optimize IndexedNesterRingTester
	- Use IndexedPointInAreaLocator for ring containment tests - Use
	envelope covers test instead of intersection test - Reuse results
	vector across iterations - Presize ring vector  The first change can
	bring a significant performance improvement polygons that have many
	or complex rings. An example is a parcel or land cover dataset that
	models the street network as a single polygon with many holes. It's
	possible that the indexed locator could perform worse in some cases
	but I did not find any in my testing.  The last three changes should
	have no adverse effect in any situation.

2019-12-07  Daniel Baston <dbaston@gmail.com>

	* src/operation/valid/IsValidOp.cpp: Avoid nested shell check for
	single-part MultiPolygons

2019-12-06  Daniel Baston <dbaston@gmail.com>

	* include/geos/algorithm/locate/IndexedPointInAreaLocator.h,
	include/geos/geomgraph/GeometryGraph.h,
	include/geos/operation/valid/IndexedNestedShellTester.h,
	include/geos/operation/valid/IsValidOp.h,
	include/geos/operation/valid/Makefile.am,
	src/geomgraph/GeometryGraph.cpp,
	src/operation/valid/IndexedNestedRingTester.h,
	src/operation/valid/IndexedNestedShellTester.cpp,
	src/operation/valid/IsValidOp.cpp, src/operation/valid/Makefile.am: 
	Use spatial index to check shell nesting in IsValidOp  This commit
	introduces a IndexedNestedShellTester class, modelled after
	IndexedNestedRingTester, to check shell nesting as part of
	MultiPolygon validity checking. Indexes are used both to locate
	rings relative to each other (STRtree) and to check point
	containment within a ring (IndexedPointOnAreaLocator).  This commit
	reduces GEOSisValid runtime for a test geometry (GADM boundary of
	Australia) from about 85 seconds to less than 1 second. It does not
	appreciably change runtime for TIGER counties, HydroBASINS Level 5,
	or a sample parcel dataset.

2019-12-06  Daniel Baston <dbaston@gmail.com>

	* src/noding/MCIndexSegmentSetMutualIntersector.cpp: Pull vector
	declaration out of loop

2019-12-06  Daniel Baston <dbaston@gmail.com>

	* src/algorithm/locate/IndexedPointInAreaLocator.cpp: Lazily build
	index in IndexedPointInAreaLocator

2019-12-06  Daniel Baston <dbaston@gmail.com>

	* benchmarks/capi/CMakeLists.txt,
	benchmarks/capi/UnaryOpPerfTest.cpp: Add generic perf test for unary
	operations

2019-10-05  Daniel Baston <dbaston@gmail.com>

	* src/geomgraph/PlanarGraph.cpp: Improve performance of
	PlanarGraph::findEdgeInSameDirection  Use the nodeMap instead of
	performing a complete scan of all edges.

2019-10-05  Daniel Baston <dbaston@gmail.com>

	* include/geos/geomgraph/GeometryGraph.h: Use unordered_map for
	GeometryGraph::lineEdgeMap  Improves lookup performance.

2019-10-03  Daniel Baston <dbaston@gmail.com>

	* src/operation/valid/IsValidOp.cpp: Avoid indexing polygon shell if
	we have no holes to test

2019-12-04  Daniel Baston <dbaston@gmail.com>

	* tests/unit/geomgraph/TopologyLocationTest.cpp: Add
	TopologyLocation tests

2019-12-02  Daniel Baston <dbaston@gmail.com>

	* tests/unit/capi/GEOSGeom_createCollectionTest.cpp,
	tests/unit/geom/FixedSizeCoordinateSequenceTest.cpp,
	tests/unit/noding/SegmentNodeTest.cpp,
	tests/unit/operation/buffer/BufferBuilderTest.cpp: Fix a few clang
	conversion warnings

2019-12-02  Daniel Baston <dbaston@gmail.com>

	Merge remote-tracking branch
	'nilason/docs-minor-stylistic-fixes'

2019-12-02  Dan Baston <dbaston@gmail.com>

	* include/geos/geom/GeometryFactory.h: Fix MSVC build

2019-12-01  Daniel Baston <dbaston@gmail.com>

	Merge remote-tracking branch 'raul/scanbuild'

2019-11-27  Daniel Baston <dbaston@gmail.com>

	* NEWS, src/geomgraph/index/SimpleMCSweepLineIntersector.cpp: Avoid
	MonotoneChain self-compare in SimpleMCSweepLineIntersector  This is
	a hotspot in validity profiling. This commit reduces the runtime of
	GEOSisValid from 3.7s to 2.0s for the 5,489 polygons in the
	HydroBASINS level 5 dataset, and from 610ms to 360ms for the
	individual polygon components of the boundary of Australia in the
	GADM country dataset.

2019-11-30  Mike Taves <mwtoews@gmail.com>

	* .gitignore, doc/CMakeLists.txt: Fix CMake build without tests
	Fixes #1006

2019-11-29  Mike Taves <mwtoews@gmail.com>

	* capi/geos_ts_c.cpp: Fix typo in error message

2019-11-24  Daniel Baston <dbaston@gmail.com>

	* capi/geos_ts_c.cpp: Simplify GEOSLineMerge_r

2019-11-24  Daniel Baston <dbaston@gmail.com>

	* capi/geos_ts_c.cpp: Remove heap alloc in
	GEOSGeom_createCollection_r

2019-11-24  Daniel Baston <dbaston@gmail.com>

	* capi/geos_ts_c.cpp, doc/example.cpp,
	include/geos/geom/GeometryFactory.h,
	include/geos/operation/polygonize/Polygonizer.h,
	src/geom/GeometryFactory.cpp,
	src/operation/polygonize/BuildArea.cpp,
	src/operation/polygonize/Polygonizer.cpp,
	src/operation/union/CoverageUnion.cpp,
	tests/unit/operation/polygonize/PolygonizeTest.cpp,
	tests/xmltester/XMLTester.cpp: Simplify CAPI polygonizer code

2019-11-24  Daniel Baston <dbaston@gmail.com>

	* capi/geos_ts_c.cpp: Clear unused variable warning

2019-11-24  Daniel Baston <dbaston@gmail.com>

	* capi/geos_ts_c.cpp: Clear signed->unsigned warnings in CAPI

2019-11-24  Daniel Baston <dbaston@gmail.com>

	* include/geos/io/WKBWriter.h: Avoid use of int for boolean in
	WKBWriter

2019-11-24  Daniel Baston <dbaston@gmail.com>

	* tests/unit/geom/PointTest.cpp: Fix memory leak in PointTest

2019-09-24  nila <n_larsson@yahoo.com>

	* include/geos/algorithm/Distance.h,
	include/geos/algorithm/Intersection.h,
	include/geos/algorithm/Length.h,
	include/geos/algorithm/Orientation.h,
	include/geos/algorithm/PointLocation.h,
	include/geos/geom/prep/PreparedPolygonContains.h,
	include/geos/triangulate/quadedge/LastFoundQuadEdgeLocator.h,
	src/algorithm/MinimumBoundingCircle.cpp,
	src/geom/util/PointExtracter.cpp, src/geomgraph/Position.cpp,
	src/geomgraph/index/MonotoneChainIndexer.cpp,
	src/index/bintree/Bintree.cpp,
	src/noding/snapround/MCIndexPointSnapper.cpp,
	src/operation/distance/ConnectedElementPointFilter.cpp,
	src/operation/distance/DistanceOp.cpp,
	src/operation/distance/GeometryLocation.cpp,
	src/operation/linemerge/LineMergeEdge.cpp,
	src/operation/polygonize/BuildArea.cpp,
	src/operation/relate/EdgeEndBundle.cpp,
	src/operation/relate/RelateComputer.cpp,
	src/operation/valid/IsValidOp.cpp, src/planargraph/Edge.cpp,
	tests/bigtest/GeometryTestFactory.cpp,
	tools/astyle/ASBeautifier.cpp, tools/astyle/ASEnhancer.cpp,
	tools/astyle/ASFormatter.cpp, tools/astyle/ASResource.cpp,
	tools/astyle/astyle_main.cpp: Make correct comment block indentation


2019-10-03  nila <n_larsson@yahoo.com>

	* benchmarks/algorithm/InteriorPointAreaPerfTest.cpp,
	benchmarks/operation/predicate/RectangleIntersectsPerfTest.cpp,
	src/algorithm/Area.cpp, src/algorithm/ConvexHull.cpp,
	src/algorithm/InteriorPointArea.cpp,
	src/algorithm/LineIntersector.cpp,
	src/algorithm/MinimumBoundingCircle.cpp,
	src/algorithm/Orientation.cpp,
	src/algorithm/distance/DiscreteHausdorffDistance.cpp,
	src/algorithm/locate/SimplePointInAreaLocator.cpp,
	src/geom/Geometry.cpp,
	src/geom/prep/PreparedLineStringIntersects.cpp,
	src/geom/prep/PreparedPolygonContainsProperly.cpp,
	src/geomgraph/DirectedEdgeStar.cpp, src/geomgraph/EdgeEndStar.cpp,
	src/geomgraph/index/SimpleSweepLineIntersector.cpp,
	src/index/bintree/Bintree.cpp, src/index/bintree/Root.cpp,
	src/index/intervalrtree/SortedPackedIntervalRTree.cpp,
	src/index/quadtree/Root.cpp, src/index/strtree/BoundablePair.cpp,
	src/index/strtree/SIRtree.cpp, src/index/strtree/STRtree.cpp,
	src/index/sweepline/SweepLineIndex.cpp,
	src/linearref/ExtractLineByLocation.cpp,
	src/linearref/LengthIndexOfPoint.cpp,
	src/linearref/LengthLocationMap.cpp,
	src/linearref/LocationIndexOfPoint.cpp,
	src/noding/IteratedNoder.cpp, src/noding/MCIndexNoder.cpp,
	src/noding/NodingIntersectionFinder.cpp,
	src/operation/buffer/BufferInputLineSimplifier.cpp,
	src/operation/buffer/BufferParameters.cpp,
	src/operation/buffer/BufferSubgraph.cpp,
	src/operation/buffer/OffsetSegmentGenerator.cpp,
	src/operation/buffer/SubgraphDepthLocater.cpp,
	src/operation/distance/DistanceOp.cpp,
	src/operation/linemerge/LineSequencer.cpp,
	src/operation/overlay/PointBuilder.cpp,
	src/operation/overlay/snap/GeometrySnapper.cpp,
	src/operation/overlay/snap/LineStringSnapper.cpp,
	src/operation/predicate/RectangleContains.cpp,
	src/operation/relate/RelateNodeGraph.cpp,
	src/operation/union/CascadedUnion.cpp,
	src/operation/union/OverlapUnion.cpp,
	src/operation/union/UnaryUnionOp.cpp,
	src/operation/valid/ConnectedInteriorTester.cpp,
	src/operation/valid/ConsistentAreaTester.cpp,
	src/operation/valid/IndexedNestedRingTester.cpp,
	src/precision/GeometryPrecisionReducer.cpp,
	src/precision/PrecisionReducerCoordinateOperation.cpp,
	src/precision/SimpleGeometryPrecisionReducer.cpp,
	src/simplify/TaggedLineStringSimplifier.cpp,
	src/triangulate/IncrementalDelaunayTriangulator.cpp,
	src/triangulate/quadedge/QuadEdgeSubdivision.cpp,
	tests/unit/precision/GeometryPrecisionReducerTest.cpp,
	tests/xmltester/BufferResultMatcher.cpp: Remove doxygen style
	comment block start tag  from in-code comment blocks.

2019-10-03  nila <n_larsson@yahoo.com>

	* include/geos/algorithm/Angle.h,
	include/geos/algorithm/LineIntersector.h, include/geos/geom.h,
	include/geos/geom/CoordinateSequence.h,
	include/geos/geom/Dimension.h, include/geos/geom/GeometryFactory.h,
	include/geos/geom/LineSegment.h, include/geos/geom/MultiPolygon.h,
	include/geos/geom/PrecisionModel.h,
	include/geos/geomgraph/DirectedEdge.h,
	include/geos/geomgraph/EdgeIntersection.h,
	include/geos/geomgraph/EdgeRing.h,
	include/geos/noding/OrientedCoordinateArray.h,
	include/geos/noding/SegmentNode.h,
	include/geos/noding/SegmentString.h,
	include/geos/operation/buffer/BufferBuilder.h,
	include/geos/operation/buffer/BufferParameters.h,
	include/geos/operation/buffer/BufferSubgraph.h,
	include/geos/operation/buffer/OffsetSegmentGenerator.h,
	include/geos/operation/buffer/OffsetSegmentString.h,
	include/geos/operation/linemerge/EdgeString.h,
	include/geos/operation/overlay/OverlayOp.h,
	include/geos/operation/overlay/snap/LineStringSnapper.h,
	include/geos/operation/overlay/validate/FuzzyPointLocator.h,
	include/geos/operation/sharedpaths/SharedPathsOp.h,
	include/geos/planargraph/Subgraph.h,
	include/geos/precision/PrecisionReducerCoordinateOperation.h,
	include/geos/simplify/TaggedLineString.h, src/io/WKTWriter.cpp,
	src/operation/buffer/OffsetCurveSetBuilder.cpp,
	src/operation/overlay/OverlayOp.cpp,
	src/operation/predicate/RectangleIntersects.cpp,
	src/operation/union/CascadedPolygonUnion.cpp,
	src/precision/SimpleGeometryPrecisionReducer.cpp: Fix correct
	doxygen comment block style

2019-09-24  nila <n_larsson@yahoo.com>

	* include/geos/algorithm/Centroid.h,
	include/geos/operation/polygonize/EdgeRing.h: Add space before
	doxygen tag

2019-11-08  Daniel Baston <dbaston@gmail.com>

	* .azure-pipelines.yml: Disable AzP MSVC C++20 build affected by
	compiler bug

2019-11-08  Dan Baston <dbaston@gmail.com>

	* capi/geos_ts_c.cpp: Remove copy-paste error handling in CAPI

2019-11-08  Raul Marin <git@rmr.ninja>

	* capi/geos_ts_c.cpp, src/algorithm/Orientation.cpp,
	src/geom/util/CoordinateOperation.cpp,
	src/geom/util/ShortCircuitedGeometryVisitor.cpp,
	src/io/WKTReader.cpp, tests/xmltester/SimpleWKTTester.cpp: Fix PR
	indentation

2019-11-08  Raul Marin <git@rmr.ninja>

	* .travis.yml, tools/ci/script_autotools_scanbuild.sh: Add a
	scan-build run to travis

2019-11-08  Raul Marin <git@rmr.ninja>

	* include/geos/algorithm/ttmath/ttmathbig.h: Scanbuild: Give
	ttmathbig member default values

2019-11-08  Daniel Baston <dbaston@gmail.com>

	Merge remote-tracking branch 'nilason/namespaces-header-files'

2019-11-08  Daniel Baston <dbaston@gmail.com>

	Merge branch 'trac-1001-alternate'

2019-11-08  Raul Marin <git@rmr.ninja>

	* src/geom/util/ShortCircuitedGeometryVisitor.cpp: 
	ShortCircuitedGeometryVisitor: scan-build warning
	ShortCircuitedGeometryVisitor.cpp:40:13: warning: Forming reference
	to null pointer             visit(*element);
	^~~~~~~~~~~~~~~

2019-11-08  Raul Marin <git@rmr.ninja>

	* src/geom/util/CoordinateOperation.cpp: CoordinateOperation:
	Silence scan-build warning  CoordinateOperation.cpp:50:12: warning:
	Called C++ object pointer is null     return geometry->clone();
	^~~~~~~~~~~~~~~~~

2019-11-05  Daniel Baston <dbaston@gmail.com>

	* src/index/intervalrtree/SortedPackedIntervalRTree.cpp: Speed up
	sort in SortedPackedIntervalRTree construction

2019-11-05  Daniel Baston <dbaston@gmail.com>

	* src/algorithm/locate/IndexedPointInAreaLocator.cpp: Presize
	segment vector in IntervalIndexedGeometry

2019-11-05  Daniel Baston <dbaston@gmail.com>

	* include/geos/index/intervalrtree/SortedPackedIntervalRTree.h,
	src/index/intervalrtree/SortedPackedIntervalRTree.cpp: Inline
	SortedPackedIntervalRTree::insert

2019-11-05  Daniel Baston <dbaston@gmail.com>

	* src/algorithm/locate/IndexedPointInAreaLocator.cpp: Initialize
	interval tree with known number of segments

2019-11-04  Dan Baston <dbaston@isciences.com>

	* tests/unit/operation/geounion/CoverageUnionTest.cpp: Catch
	exception by reference

2019-11-04  Dan Baston <dbaston@isciences.com>

	Merge remote-tracking branch 'origin/trac-1002'

2019-10-25  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/FixedSizeCoordinateSequence.h,
	include/geos/geom/Point.h, src/geom/Point.cpp,
	tests/unit/geom/FixedSizeCoordinateSequenceTest.cpp,
	tests/unit/geom/PointTest.cpp: Distinguish between 2D and 3D empty
	Points

2019-10-23  Daniel Baston <dbaston@gmail.com>

	* src/geom/Point.cpp, tests/unit/geom/PointTest.cpp: Avoid returning
	size-1 CoordinateSequence from empty point  Fixes #1001

2019-10-18  Daniel Baston <dbaston@gmail.com>

	* include/geos/triangulate/quadedge/Vertex.h: Minor optimization to
	Vertex::isCCW  Verified w/godbolt that this removes a couple of
	instructions.

2019-10-16  Daniel Baston <dbaston@gmail.com>

	* benchmarks/ClassSizes.cpp,
	include/geos/triangulate/quadedge/Makefile.am,
	include/geos/triangulate/quadedge/QuadEdge.h,
	include/geos/triangulate/quadedge/QuadEdgeQuartet.h,
	include/geos/triangulate/quadedge/QuadEdgeSubdivision.h,
	include/geos/triangulate/quadedge/TrianglePredicate.h,
	include/geos/triangulate/quadedge/Vertex.h,
	src/triangulate/IncrementalDelaunayTriangulator.cpp,
	src/triangulate/quadedge/LastFoundQuadEdgeLocator.cpp,
	src/triangulate/quadedge/LocateFailureException.cpp,
	src/triangulate/quadedge/QuadEdge.cpp,
	src/triangulate/quadedge/QuadEdgeSubdivision.cpp,
	src/triangulate/quadedge/Vertex.cpp,
	tests/unit/triangulate/quadedge/QuadEdgeTest.cpp: Improve
	Delaunay/Voronoi performance  - Introduce a QuadEdgeQuartet
	structure to store four QuadEdges. This reduces the number of memory
	allocations needed to create the QuadEdges, and allows them to refer
	to each other by their relative memory addresses. (This follows the
	Graphics Gems implementation.) For now, we still require
	QuadEdgeQuartets to have stable addresses, so we store them in a
	std::deque. If this requirement can be relaxed, better performance
	may come from using a std::vector. - Reduce the size of a Vertex and
	a QuadEdge by eliminating unnecessary virtual methods and associated
	vtable storage.  Overall performance improvement of about 25%
	observed on benchmark.

2019-10-23  Daniel Baston <dbaston@gmail.com>

	* src/index/chain/MonotoneChainBuilder.cpp: Avoid access past end of
	vector  In most configurations this access would be optimized out
	(as it is never used) but this is not always the case.  Fixes #1002


2019-10-21  Daniel Baston <dbaston@gmail.com>

	* README.md: Show 3.8 branch badges in README.md

2019-10-21  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'master' of https://git.osgeo.org/gogs/geos/geos

2019-10-21  Paul Ramsey <pramsey@cleverelephant.ca>

	* tools/geos-config.cmake: Match cmake --ldflags output to autotools


2019-10-19  nila <n_larsson@yahoo.com>

	* include/geos/namespaces.h: Update credit

2019-10-18  nila <n_larsson@yahoo.com>

	* include/geos/algorithm/InteriorPointPoint.h,
	include/geos/algorithm/NotRepresentableException.h,
	include/geos/algorithm/PointLocator.h,
	include/geos/index/quadtree/IntervalSize.h,
	include/geos/index/quadtree/Root.h,
	include/geos/io/ByteOrderDataInStream.h,
	include/geos/io/ByteOrderValues.h,
	include/geos/io/ParseException.h, include/geos/io/WKBReader.h,
	include/geos/io/WKBWriter.h, include/geos/io/WKTReader.h,
	include/geos/io/WKTWriter.h,
	include/geos/operation/buffer/BufferOp.h,
	include/geos/operation/buffer/OffsetCurveBuilder.h,
	include/geos/operation/buffer/OffsetCurveSetBuilder.h,
	include/geos/operation/buffer/SubgraphDepthLocater.h,
	include/geos/planargraph/PlanarGraph.h: Remove doxygen file
	reference

2019-10-18  nila <n_larsson@yahoo.com>

	* include/geos/util.h: Description moved to geos/namespaces.h

2019-10-18  nila <n_larsson@yahoo.com>

	* doc/example.cpp, include/geos.h,
	src/noding/snapround/MCIndexPointSnapper.cpp,
	tests/xmltester/CTS.cpp, tests/xmltester/XMLTester.cpp: Replace
	includes with concrete header files  instead of inclusion of now
	deprecated namespace/package header files.

2019-10-18  nila <n_larsson@yahoo.com>

	* include/geos/Makefile.am, include/geos/geomPrep.h,
	include/geos/geomUtil.h, include/geos/geomgraph.h,
	include/geos/geomgraphindex.h, include/geos/geosAlgorithm.h,
	include/geos/indexBintree.h, include/geos/indexChain.h,
	include/geos/indexIntervalRTree.h, include/geos/indexQuadtree.h,
	include/geos/indexStrtree.h, include/geos/indexSweepline.h,
	include/geos/io.h, include/geos/namespaces.h,
	include/geos/noding.h, include/geos/nodingSnapround.h,
	include/geos/opBuffer.h, include/geos/opDistance.h,
	include/geos/opLinemerge.h, include/geos/opOverlay.h,
	include/geos/opPolygonize.h, include/geos/opPredicate.h,
	include/geos/opRelate.h, include/geos/opValid.h,
	include/geos/operation.h, include/geos/planargraph.h,
	include/geos/precision.h, include/geos/spatialIndex.h: Replace
	namespace/package header files with a single file  as they have lost
	their use, except for doxygen documentation purpose.

2019-09-25  nila <n_larsson@yahoo.com>

	* include/geos/algorithm/ConvexHull.h,
	include/geos/algorithm/Distance.h,
	include/geos/algorithm/Intersection.h,
	include/geos/algorithm/Length.h, include/geos/geomgraph/Depth.h,
	include/geos/geomgraph/EdgeIntersection.h,
	include/geos/geomgraph/EdgeIntersectionList.h,
	include/geos/geomgraph/EdgeList.h, include/geos/geomgraph/Label.h,
	include/geos/geomgraph/Node.h, include/geos/geomgraph/Quadrant.h,
	include/geos/geomgraph/index/EdgeSetIntersector.h,
	include/geos/geomgraph/index/MonotoneChainEdge.h,
	include/geos/geomgraph/index/MonotoneChainIndexer.h,
	include/geos/geomgraph/index/SegmentIntersector.h,
	include/geos/geomgraph/index/SimpleEdgeSetIntersector.h,
	include/geos/geomgraphindex.h, include/geos/geosAlgorithm.h,
	include/geos/io/ByteOrderDataInStream.h,
	include/geos/io/ByteOrderValues.h,
	include/geos/linearref/LengthLocationMap.h,
	include/geos/noding/NodingValidator.h,
	include/geos/noding/SegmentPointComparator.h,
	include/geos/opPolygonize.h, include/geos/opPredicate.h,
	include/geos/operation/polygonize/HoleAssigner.h,
	include/geos/operation/polygonize/PolygonizeEdge.h,
	include/geos/operation/sharedpaths/SharedPathsOp.h,
	include/geos/operation/union/OverlapUnion.h,
	include/geos/operation/valid/RepeatedPointRemover.h,
	include/geos/precision/MinimumClearance.h,
	include/geos/triangulate/DelaunayTriangulationBuilder.h,
	include/geos/triangulate/IncrementalDelaunayTriangulator.h,
	include/geos/triangulate/quadedge/LastFoundQuadEdgeLocator.h,
	include/geos/triangulate/quadedge/QuadEdgeLocator.h,
	include/geos/triangulate/quadedge/TrianglePredicate.h,
	include/geos/triangulate/quadedge/TriangleVisitor.h,
	include/geos/util.h, include/geos/util/GeometricShapeFactory.h,
	include/geos/util/Interrupt.h: [docs] Add exposure of brief
	descriptions to doxygen

2019-10-16  Raul Marin <git@rmr.ninja>

	* src/algorithm/MinimumBoundingCircle.cpp: Avoid null dereference in
	pointWithMinAngleWithSegment  scan-build points out that, under some
	circunstances, it'd possible for minAngPt no never be set (thus
	being nullptr) and that would mean dereferencing a NULL ptr when
	returning the object.

2019-10-15  Raul Marin <git@rmr.ninja>

	* src/algorithm/Orientation.cpp: Orientation: Give scan-build some
	help  Apparently is unable to see that nPts can't be 0

2019-10-11  Raul Marin <git@rmr.ninja>

	* include/geos/operation/distance/DistanceOp.h,
	src/operation/distance/DistanceOp.cpp: DistanceOp::computeInside:
	Avoid use after move  scan-build warning: DistanceOp.cpp:277:28:
	warning: Dereference of null smart pointer of type 'std::unique_ptr'
	const Coordinate& pt = ptLoc->getCoordinate();  Since the content of
	loc was moved but still used in the loop, it might happen
	`!(minDistance <= terminateDistance))` that loc was used in the next
	iteration where its contents were nullified by the previous move.
	By returning in the same function we let the compiler understand
	that we are already done

2019-10-11  Raul Marin <git@rmr.ninja>

	* src/io/WKTReader.cpp: WKTReader::getCoordinates: Play nice with
	old compilers

2019-10-10  Daniel Baston <dbaston@gmail.com>

	Merge remote-tracking branch
	'nilason/doublebits-tostring-implement'

2019-10-10  Daniel Baston <dbaston@gmail.com>

	Merge branch 'covariant-return'

2019-10-10  Paul Ramsey <pramsey@cleverelephant.ca>

	* NEWS: News entry

2019-10-10  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'master' of https://git.osgeo.org/gogs/geos/geos
	into union-stack-lineseg

2019-10-10  Paul Ramsey <pramsey@cleverelephant.ca>

	* NEWS, Version.txt: Bump versions for master development to 3.9

2019-10-10  Paul Ramsey <pramsey@cleverelephant.ca>

	* NEWS, Version.txt: Release version numbers and NEWS

2019-10-09  Paul Ramsey <pramsey@cleverelephant.ca>

	* README.md: MD edit

2019-10-09  Raul Marin <git@rmr.ninja>

	* capi/geos_ts_c.cpp: geos_ts_c: Handle GEOSLength_r errors

2019-10-09  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/operation/union/OverlapUnion.cpp: Try to learn C++ more better


2019-10-09  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/operation/union/OverlapUnion.cpp: Suggestions from PR

2019-10-08  Daniel Baston <dbaston@gmail.com>

	* tests/xmltester/CMakeLists.txt, tests/xmltester/XMLTester.cpp: 
	Provide more XML test output on failure

2019-10-08  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/operation/union/OverlapUnion.h,
	src/operation/union/OverlapUnion.cpp: Allocate linesegments on stack
	for union check

2019-10-08  Raul Marin <git@rmr.ninja>

	* src/io/WKTReader.cpp: WKTReader::getCoordinates: Remove reduntant
	move

2019-10-08  Raul Marin <git@rmr.ninja>

	* capi/geos_ts_c.cpp: geos_ts_c: Avoid working with garbage
	GEOSLength_r might not set length, and it's used in the next call

2019-10-08  Raul Marin <git@rmr.ninja>

	* src/algorithm/LineIntersector.cpp: nearestEndpoint: Remove dead
	assigment

2019-10-08  Raul Marin <git@rmr.ninja>

	* src/geom/LineSegment.cpp: LineSegment: Remove dead assigment

2019-10-08  Raul Marin <git@rmr.ninja>

	* src/operation/union/UnaryUnionOp.cpp: UnaryUnionOp: Improve move
	semantics  Remove use after move semantics (in the asserts).

2019-10-08  Raul Marin <git@rmr.ninja>

	* tests/xmltester/SimpleWKTTester.cpp: SimpleWKTTester: Memory leaks


2019-10-08  Paul Ramsey <pramsey@cleverelephant.ca>

	* Version.txt: Bump versions after release

2019-10-08  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/xmltester/Makefile.am: Add new XML tests to autoconf build

2019-10-08  Daniel Baston <dbaston@gmail.com>

	* src/operation/union/OverlapUnion.cpp,
	tests/xmltester/tests/issue/issue-geos-994.xml: Avoid accessing
	pointer after move  Fixes #994

2019-10-07  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/geom/GeometryFactory.h: Random guess at what the
	problem is References #994

2019-10-04  nila <n_larsson@yahoo.com>

	* include/geos/index/quadtree/DoubleBits.h,
	src/index/quadtree/DoubleBits.cpp: Update JTS port info

2019-10-04  nila <n_larsson@yahoo.com>

	* src/index/quadtree/DoubleBits.cpp: Remove commented-out variable
	following

	https://github.com/locationtech/jts/commit/f503345e5be88ab457076ecc96307a6dd18ad86c

2019-10-04  nila <n_larsson@yahoo.com>

	* tests/unit/index/quadtree/DoubleBitsTest.cpp: Add toString test

2019-10-04  nila <n_larsson@yahoo.com>

	* src/index/quadtree/DoubleBits.cpp: Add implementation

2019-10-04  Sandro Santilli <strk@kbt.io>

	* include/geos/geom/DefaultCoordinateSequenceFactory.h: Add
	gcc-suggested override keywords

2019-09-23  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/MultiLineString.h,
	include/geos/geom/MultiPoint.h, include/geos/geom/MultiPolygon.h,
	src/algorithm/PointLocator.cpp, src/geom/MultiLineString.cpp,
	src/geom/MultiPoint.cpp, src/geom/MultiPolygon.cpp,
	src/geom/util/GeometryTransformer.cpp, src/io/WKTWriter.cpp,
	src/operation/IsSimpleOp.cpp,
	src/operation/intersection/RectangleIntersection.cpp,
	src/operation/linemerge/LineSequencer.cpp,
	src/operation/valid/ConnectedInteriorTester.cpp,
	src/operation/valid/IsValidOp.cpp,
	src/operation/valid/MakeValid.cpp,
	src/operation/valid/RepeatedPointTester.cpp: Return specific type
	from getGeometryN methods

2019-10-03  Paul Ramsey <pramsey@cleverelephant.ca>

	* Version.txt: Bump version number

2019-10-03  Paul Ramsey <pramsey@cleverelephant.ca>

	* HOWTO_RELEASE, Makefile.am, benchmarks/algorithm/Makefile.am,
	benchmarks/capi/Makefile.am, doc/Makefile.am, tools/Makefile.am,
	tools/astyle/Makefile.am: Add in CMake artifacts necessary to
	build/check in the autotools-generated tarball

2019-10-02  Paul Ramsey <pramsey@cleverelephant.ca>

	* Version.txt: Bump version post-release

2019-10-02  Paul Ramsey <pramsey@cleverelephant.ca>

	* HOWTO_RELEASE, Version.txt: RC1 release commit

2019-10-01  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/capi/GEOSVoronoiDiagramTest.cpp: Add trimmed down test
	case on Voronoi. Curiously, this case blows an exception on PostGIS,
	but not in the unit test. References #859

2019-09-27  Paul Ramsey <pramsey@cleverelephant.ca>

	* HOWTO_RELEASE: Change directions for tag push

2019-09-27  Paul Ramsey <pramsey@cleverelephant.ca>

	* Version.txt: Bump versions

2019-09-27  Paul Ramsey <pramsey@cleverelephant.ca>

	* HOWTO_RELEASE: Put tag step after verify step

2019-09-27  Paul Ramsey <pramsey@cleverelephant.ca>

	* HOWTO_RELEASE: Reorganize release directions

2019-09-27  Paul Ramsey <pramsey@cleverelephant.ca>

	* HOWTO_RELEASE, Version.txt: Bump to beta version number, update
	docs with new versioning file (yay)

2019-09-27  Paul Ramsey <pramsey@cleverelephant.ca>

	* NEWS: Add news line about extended precision work

2019-09-27  Howard Butler <howard@hobu.co>

	* capi/geos_ts_c.cpp: check for empty extHandle using nullptr
	instead of 0

2019-09-27  Howard Butler <howard@hobu.co>

	* doc/example.cpp,
	tests/unit/geom/CoordinateArraySequenceFactoryTest.cpp,
	tests/unit/geom/FixedSizeCoordinateSequenceTest.cpp,
	tests/unit/operation/IsSimpleOpTest.cpp: clean up unused variable
	warnings

2019-09-27  Howard Butler <howard@hobu.co>

	* tests/unit/geom/Geometry/normalizeTest.cpp,
	tests/unit/triangulate/quadedge/QuadEdgeSubdivisionTest.cpp: clean
	up implicit bool conversion

2019-09-27  Howard Butler <howard@hobu.co>

	* tests/unit/operation/intersection/RectangleIntersectionTest.cpp: 
	clean up more implicit bool conversions

2019-09-27  Howard Butler <howard@hobu.co>

	* tests/unit/capi/GEOSClipByRectTest.cpp,
	tests/unit/capi/GEOSCoordSeqTest.cpp,
	tests/unit/capi/GEOSDistanceTest.cpp,
	tests/unit/capi/GEOSGeom_extentTest.cpp,
	tests/unit/capi/GEOSGeom_setPrecisionTest.cpp,
	tests/unit/capi/GEOSMinimumBoundingCircleTest.cpp,
	tests/unit/capi/GEOSUnaryUnionTest.cpp,
	tests/unit/capi/GEOSVoronoiDiagramTest.cpp: clean up many implicit
	bool conversions in the tests

2019-09-27  Howard Butler <howard@hobu.co>

	* src/operation/union/OverlapUnion.cpp,
	src/operation/union/UnaryUnionOp.cpp,
	src/triangulate/quadedge/Vertex.cpp: remove unused variables

2019-09-27  Howard Butler <howard@hobu.co>

	* src/operation/distance/GeometryLocation.cpp: cast type of
	INSIDE_AREA to match segIndex

2019-09-27  Howard Butler <howard@hobu.co>

	* src/algorithm/LineIntersector.cpp: intPt is already a member
	variable. rename local object to ptInt

2019-09-27  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/Coordinate.inl,
	tests/unit/geom/CoordinateTest.cpp,
	tests/xmltester/tests/issue/issue-geos-990.xml: Ignore z in
	Coordinate::HashCode  Including z was inconsistent with the behavior
	of the equality operator, and caused equivalent coordinates to be
	hashed into different bins.  Identified by Raul Marín, debugged by
	Paul Ramsey.

2019-09-27  Daniel Baston <dbaston@gmail.com>

	* NEWS: NEWS updates

2019-09-27  Daniel Baston <dbaston@gmail.com>

	* tests/xmltester/tests/issue/issue-geos-392.xml: Update expected
	result for issue-geos-392 test  Bypassing cascaded union of lines
	produces a different but still correct result.

2019-08-28  Daniel Baston <dbaston@gmail.com>

	* tests/unit/capi/GEOSUnaryUnionTest.cpp,
	tests/unit/operation/geounion/UnaryUnionOpTest.cpp: Update unit
	tests to accomodate UnaryUnion optimization.  - Change two tests to
	use GEOSEquals instead of WKT comparison, so as not to be sensitive
	to component ordering. - Change two tests to expect that the union
	of LINESTRING EMPTY is LINESTRING EMPTY, instead of
	GEOMETRYCOLLECTION EMPTY. This is consistent with JTS, as with how
	other types are handled.

2019-08-26  Daniel Baston <dbaston@gmail.com>

	* src/operation/union/UnaryUnionOp.cpp: Do cascaded union of lines
	only after standard union fails  Improves performance of segment
	unary union benchmark by 85%.

2019-08-26  Daniel Baston <dbaston@gmail.com>

	* src/algorithm/locate/SimplePointInAreaLocator.cpp: Remove
	redundant envelope test

2019-08-26  Daniel Baston <dbaston@gmail.com>

	* benchmarks/algorithm/UnaryUnionSegmentsPerfTest.cpp,
	src/algorithm/locate/SimplePointInAreaLocator.cpp: Reduce
	dynamic_cast usage in SimplePointInAreaLocator  Improves segment
	unary union perf test by 45%.

2019-08-26  Daniel Baston <dbaston@gmail.com>

	* benchmarks/algorithm/CMakeLists.txt,
	benchmarks/algorithm/UnaryUnionSegmentsPerfTest.cpp: Add benchmark
	for unary union of segments

2019-09-27  dbaston <dbaston@gmail.com>

	Merge branch 'doxygen-predefined-macro' of nila/geos into master


2019-09-13  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/DefaultCoordinateSequenceFactory.h,
	include/geos/geom/Makefile.am,
	src/geom/DefaultCoordinateSequenceFactory.cpp,
	src/geom/GeometryFactory.cpp, src/geom/LineSegment.cpp,
	src/geom/Makefile.am: Add DefaultCoordinateSequenceFactory  The
	previous default, CoordinateArraySequenceFactory, always creates a
	heap-allocating CoordinateArraySequence, even for small sizes. This
	commit defines DefaultCoordinateSequenceFactory that delegates to
	FixedSizeCoordinateSequence for length <= 5. This is big enough to
	cover some common cases like conversion of line segments, triangles,
	and boxes into geometries.

2019-09-27  Daniel Baston <dbaston@gmail.com>

	Merge branch 'master' into add-cmake-doxygen-error-check

2019-09-26  Paul Ramsey <pramsey@cleverelephant.ca>

	* NEWS, capi/geos_ts_c.cpp: Preserve SRID in constructive geometry
	functions called via CAPI Closes #896

2019-09-26  Paul Ramsey <pramsey@cleverelephant.ca>

	* NEWS, capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	tests/unit/Makefile.am,
	tests/unit/capi/GEOSMinimumBoundingCircleTest.cpp: Expose
	MinimumBoundingCircle to CAPI Closes #735

2019-09-12  nila <n_larsson@yahoo.com>

	* doc/CMakeLists.txt, doc/check_doxygen_errors.cmake: Add doxygen
	error test with CMake

2019-09-25  Paul Ramsey <pramsey@cleverelephant.ca>

	* CMakeLists.txt: Make inlining status message less opaque

2019-09-25  Paul Ramsey <pramsey@cleverelephant.ca>

	* NEWS: Add NEWS entries

2019-09-25  Paul Ramsey <pramsey@cleverelephant.ca>

	* CMakeLists.txt: No symlinks on libgeos, only on libgeos_c

2019-09-25  Paul Ramsey <pramsey@cleverelephant.ca>

	* capi/CMakeLists.txt: Uncomment the mapping of GEOS_VERSION to
	VERSION for geos_c.h generation

2019-09-24  Paul Ramsey <pramsey@cleverelephant.ca>

	* CMakeLists.txt, capi/CMakeLists.txt: Harmonize cmake install names
	with autotools Make sure geos_c uses capi version numbers

2019-09-23  Daniel Baston <dbaston@gmail.com>

	* src/operation/union/OverlapUnion.cpp: Catch exception by reference


2019-09-23  Daniel Baston <dbaston@gmail.com>

	* src/geomgraph/Depth.cpp, src/geomgraph/Label.cpp,
	src/geomgraph/Quadrant.cpp, src/geomgraph/TopologyLocation.cpp,
	src/geomgraph/index/SegmentIntersector.cpp, src/inlines.cpp,
	src/noding/BasicSegmentString.cpp: Fix build for
	-DDISABLE_GEOS_INLINE=YES

2019-09-23  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/Coordinate.h,
	include/geos/geomgraph/index/SegmentIntersector.h,
	include/geos/geomgraph/index/SegmentIntersector.inl,
	include/geos/noding/OrientedCoordinateArray.h: Use array instead of
	vector in SegmentIntersector

2019-09-23  Daniel Baston <dbaston@gmail.com>

	* include/geos/geomgraph/index/Makefile.am,
	include/geos/geomgraph/index/SegmentIntersector.h,
	include/geos/geomgraph/index/SegmentIntersector.inl,
	src/geomgraph/index/SegmentIntersector.cpp, src/inlines.cpp: Inline
	short methods of SegmentIntersector

2019-09-23  Daniel Baston <dbaston@gmail.com>

	* include/geos/noding/BasicSegmentString.h,
	include/geos/noding/BasicSegmentString.inl,
	include/geos/noding/Makefile.am, src/inlines.cpp,
	src/noding/BasicSegmentString.cpp: Inline simple methods of
	BasicSegmentString

2019-09-23  Daniel Baston <dbaston@gmail.com>

	* benchmarks/ClassSizes.cpp,
	include/geos/geomgraph/DirectedEdgeStar.h,
	src/geomgraph/DirectedEdgeStar.cpp: Avoid heap alloc in
	DirectedEdgeStar

2019-09-23  Daniel Baston <dbaston@gmail.com>

	* include/geos/operation/relate/EdgeEndBundle.h,
	src/operation/relate/EdgeEndBundle.cpp,
	src/operation/valid/ConsistentAreaTester.cpp: Remove heap alloc in
	EdgeEndBundle

2019-09-23  Daniel Baston <dbaston@gmail.com>

	* src/noding/MCIndexNoder.cpp: Reuse vector between iterations of
	MCIndexNoder::intersectChains()

2019-09-23  Daniel Baston <dbaston@gmail.com>

	* src/geom/LineString.cpp: Optimize
	LineString::computeEnvelopeInternal  CoordinateSequence can
	calculate its own envlope faster that we can through getAt()

2019-09-22  Daniel Baston <dbaston@gmail.com>

	* include/geos/geomgraph/Depth.h, include/geos/geomgraph/Depth.inl,
	include/geos/geomgraph/Makefile.am, src/geomgraph/Depth.cpp,
	src/inlines.cpp: Inline small methods of Depth

2019-09-22  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/CoordinateArraySequence.h,
	src/geom/CoordinateArraySequence.cpp: Inline CoordinateArraySequence
	destructor

2019-09-22  Daniel Baston <dbaston@gmail.com>

	* include/geos/geomgraph/Edge.h,
	include/geos/index/chain/MonotoneChain.h, src/geomgraph/Edge.cpp,
	src/index/chain/MonotoneChain.cpp: Eagerly calculate Envelope in
	Edge and MonotoneChain  We always end up needing it, so avoid the
	heap allocation associated with lazy computation.

2019-09-22  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/CoordinateSequence.h,
	include/geos/geomgraph/Edge.h, src/geom/CoordinateSequence.cpp,
	src/geomgraph/Edge.cpp: Optimize Edge Envelope calculation  A
	CoordinateSequence can more efficiently calculate its own envelope,
	because it has optimal access to the underlying coordinates.

2019-09-22  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/Envelope.h, include/geos/geom/Envelope.inl,
	src/geom/Envelope.cpp: Inline many methods of Envelope

2019-09-22  Daniel Baston <dbaston@gmail.com>

	* src/index/chain/MonotoneChainBuilder.cpp: Reduce
	CoordinateSequence::getAt calls in MonotoneChainBuilder

2019-09-22  Daniel Baston <dbaston@gmail.com>

	* include/geos/geomgraph/Edge.h, src/geomgraph/Edge.cpp: Remove
	unused Edge::name

2019-09-22  Daniel Baston <dbaston@gmail.com>

	* include/geos/geomgraph/index/SimpleMCSweepLineIntersector.h,
	src/geomgraph/index/SimpleMCSweepLineIntersector.cpp: Reduce heap
	allocations in SimpleMCSweepLineIntersector  Improves performance of
	intersection benchmark by ~7%.

2019-09-22  Daniel Baston <dbaston@gmail.com>

	* benchmarks/ClassSizes.cpp,
	include/geos/geomgraph/index/SweepLineEvent.h,
	src/geomgraph/index/SweepLineEvent.cpp: Reduce size of
	SweepLineEvent  - declare class to be final and remove virtual
	destructor. This removes storage for the vtable. - avoid storing
	trivially computed event type

2019-09-22  Daniel Baston <dbaston@gmail.com>

	* include/geos/index/strtree/AbstractNode.h,
	include/geos/index/strtree/AbstractSTRtree.h,
	include/geos/index/strtree/Boundable.h,
	include/geos/index/strtree/ItemBoundable.h,
	src/index/strtree/AbstractSTRtree.cpp: Avoid dynamic_cast in STRtree
	This increases performance of tree operations. The addition of a
	isLeaf() method to the Boundable interface isn't a great fit, but
	the Boundable interface is really more of a TreeNode interface
	anyway.

2019-09-21  Daniel Baston <dbaston@gmail.com>

	* src/geomgraph/index/MonotoneChainIndexer.cpp: Avoid repeated call
	to CoordinateSequence::getSize()

2019-09-21  Daniel Baston <dbaston@gmail.com>

	* include/geos/geomgraph/Makefile.am,
	include/geos/geomgraph/Quadrant.h,
	include/geos/geomgraph/Quadrant.inl, src/geomgraph/Quadrant.cpp,
	src/inlines.cpp: Inline many methods of Quadrant

2019-09-21  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/Coordinate.h, include/geos/geom/Coordinate.inl,
	include/geos/geom/Envelope.h, include/geos/geomgraph/Edge.h,
	include/geos/geomgraph/EdgeList.h,
	include/geos/noding/OrientedCoordinateArray.h,
	src/geom/Envelope.cpp, src/geomgraph/EdgeList.cpp,
	src/noding/OrientedCoordinateArray.cpp: Store
	OrientedCoordinateArrays in unordered_map  This improves performance
	by reducing the number of OrientedCoordinateArray comparisons needed
	with std::set.

2019-09-21  Daniel Baston <dbaston@gmail.com>

	* src/geomgraph/EdgeIntersectionList.cpp: Avoid heap alloc in
	EdgeIntersectionList::createSplitEdge

2019-09-21  Daniel Baston <dbaston@gmail.com>

	* include/geos/geomgraph/EdgeIntersection.h,
	include/geos/geomgraph/EdgeIntersectionList.h,
	src/geomgraph/EdgeIntersectionList.cpp,
	src/operation/relate/EdgeEndBuilder.cpp: Back EdgeIntersectionList
	with std::vector  This is substantially faster than std::set. We
	satisfy the uniqueness and sortedness conditions lazily, before
	iterating on the EdgeIntersections. This improves overall
	performance of the intersection benchmark by 10-15%.

2019-09-20  Daniel Baston <dbaston@gmail.com>

	* include/geos/geomgraph/EdgeIntersection.h,
	include/geos/geomgraph/EdgeIntersectionList.h,
	include/geos/operation/relate/EdgeEndBuilder.h,
	src/geomgraph/EdgeIntersectionList.cpp,
	src/geomgraph/GeometryGraph.cpp,
	src/geomgraph/index/SimpleMCSweepLineIntersector.cpp,
	src/operation/IsSimpleOp.cpp,
	src/operation/relate/EdgeEndBuilder.cpp,
	src/operation/relate/RelateComputer.cpp,
	src/operation/relate/RelateNodeGraph.cpp,
	src/operation/valid/IsValidOp.cpp: Reduce heap allocs in
	EdgeIntersectionList  Possibly more performance could be obtained
	with an unordered_set, but at least some usages appear to require
	sorted iteration.

2019-09-20  Daniel Baston <dbaston@gmail.com>

	* include/geos/index/strtree/AbstractNode.h,
	include/geos/index/strtree/ItemBoundable.h,
	src/index/strtree/AbstractNode.cpp,
	src/index/strtree/ItemBoundable.cpp, src/index/strtree/Makefile.am: 
	Inline AbstractNode and ItemBoundable

2019-09-20  Daniel Baston <dbaston@gmail.com>

	* include/geos/geomgraph/EdgeEnd.h, src/geomgraph/EdgeEnd.cpp: 
	Inline EdgeEnd::getCoordinate

2019-09-20  Daniel Baston <dbaston@gmail.com>

	* include/geos/algorithm/InteriorPointArea.h,
	include/geos/algorithm/InteriorPointLine.h,
	include/geos/algorithm/SimplePointInRing.h,
	include/geos/geom/CoordinateSequenceFactory.h,
	include/geos/geom/Envelope.h,
	include/geos/geom/GeometryCollection.h,
	include/geos/geom/LineString.h, include/geos/geom/LinearRing.h,
	include/geos/geom/MultiLineString.h,
	include/geos/geom/MultiPoint.h, include/geos/geom/Point.h,
	include/geos/geom/Polygon.h,
	include/geos/geom/prep/BasicPreparedGeometry.h,
	include/geos/geom/util/GeometryTransformer.h,
	include/geos/geomgraph/Depth.h, include/geos/geomgraph/EdgeRing.h,
	include/geos/geomgraph/GraphComponent.h,
	include/geos/geomgraph/Label.h,
	include/geos/geomgraph/TopologyLocation.h,
	include/geos/geomgraph/index/MonotoneChainEdge.h,
	include/geos/geomgraph/index/SimpleMCSweepLineIntersector.h,
	include/geos/geomgraph/index/SweepLineEvent.h,
	include/geos/geomgraph/index/SweepLineSegment.h,
	include/geos/index/bintree/Interval.h,
	include/geos/index/chain/MonotoneChain.h,
	include/geos/index/quadtree/Key.h,
	include/geos/index/strtree/AbstractNode.h,
	include/geos/index/strtree/STRtree.h, include/geos/io/WKBWriter.h,
	include/geos/io/WKTWriter.h, include/geos/io/Writer.h,
	include/geos/operation/linemerge/EdgeString.h,
	include/geos/operation/overlay/ElevationMatrix.h,
	include/geos/operation/overlay/ElevationMatrixCell.h,
	include/geos/operation/overlay/LineBuilder.h,
	include/geos/operation/overlay/MaximalEdgeRing.h,
	include/geos/operation/relate/RelateComputer.h,
	include/geos/operation/relate/RelateNode.h,
	include/geos/operation/relate/RelateOp.h,
	include/geos/operation/valid/ConnectedInteriorTester.h,
	include/geos/operation/valid/ConsistentAreaTester.h,
	include/geos/planargraph/NodeMap.h,
	include/geos/triangulate/VoronoiDiagramBuilder.h,
	include/geos/triangulate/quadedge/QuadEdgeLocator.h,
	include/geos/triangulate/quadedge/TriangleVisitor.h,
	src/algorithm/InteriorPointArea.cpp,
	src/algorithm/InteriorPointLine.cpp,
	src/algorithm/SimplePointInRing.cpp,
	src/geom/CoordinateSequenceFactory.cpp, src/geom/Envelope.cpp,
	src/geom/GeometryCollection.cpp, src/geom/LineString.cpp,
	src/geom/LinearRing.cpp, src/geom/Makefile.am,
	src/geom/MultiLineString.cpp, src/geom/MultiPoint.cpp,
	src/geom/Point.cpp, src/geom/Polygon.cpp,
	src/geom/prep/BasicPreparedGeometry.cpp,
	src/geom/util/GeometryTransformer.cpp, src/geomgraph/Depth.cpp,
	src/geomgraph/EdgeRing.cpp, src/geomgraph/GraphComponent.cpp,
	src/geomgraph/index/MonotoneChainEdge.cpp,
	src/geomgraph/index/SimpleMCSweepLineIntersector.cpp,
	src/geomgraph/index/SweepLineEvent.cpp,
	src/geomgraph/index/SweepLineSegment.cpp,
	src/index/bintree/Interval.cpp, src/index/chain/MonotoneChain.cpp,
	src/index/quadtree/Key.cpp, src/index/strtree/AbstractNode.cpp,
	src/index/strtree/STRtree.cpp, src/io/WKBWriter.cpp,
	src/io/WKTWriter.cpp, src/io/Writer.cpp,
	src/operation/linemerge/EdgeString.cpp,
	src/operation/overlay/ElevationMatrix.cpp,
	src/operation/overlay/ElevationMatrixCell.cpp,
	src/operation/overlay/LineBuilder.cpp,
	src/operation/overlay/MaximalEdgeRing.cpp,
	src/operation/relate/RelateComputer.cpp,
	src/operation/relate/RelateNode.cpp,
	src/operation/relate/RelateOp.cpp,
	src/operation/valid/ConnectedInteriorTester.cpp,
	src/operation/valid/ConsistentAreaTester.cpp,
	src/planargraph/NodeMap.cpp,
	src/triangulate/VoronoiDiagramBuilder.cpp,
	src/triangulate/quadedge/Makefile.am,
	src/triangulate/quadedge/QuadEdgeLocator.cpp,
	src/triangulate/quadedge/TriangleVisitor.cpp: Declare empty
	destructors as default in header  Destructors declared in separate
	files cannot be inlined.

2019-09-20  Daniel Baston <dbaston@gmail.com>

	* include/geos/geomgraph/Label.inl,
	include/geos/geomgraph/Makefile.am,
	include/geos/geomgraph/TopologyLocation.inl,
	src/geomgraph/Label.cpp, src/geomgraph/TopologyLocation.cpp,
	src/inlines.cpp: Inline most methods of TopologyLocation and Label
	Improves intersection perf test by 3-5%.

2019-09-20  Howard Butler <howard@hobu.co>

	* .azure-pipelines.yml: -DBUILD_SHARED_LIBS=ON for msvc builds in
	azp

2019-09-23  nila <n_larsson@yahoo.com>

	* doc/Doxyfile.in: Enable macro expansion.  Enables macro expansion
	with GEOS_DLL predefined. Addresses issue with doxygen generation of
	geom::Location

2019-09-20  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'master' of https://git.osgeo.org/gogs/geos/geos

2019-09-20  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/xmltester/Makefile.am,
	tests/xmltester/tests/general/TestIntersectsPL.xml,
	tests/xmltester/tests/general/TestPreparedIntersectsPL.xml: Add
	robust determinant test files References #591

2019-09-20  Daniel Baston <dbaston@gmail.com>

	* .drone.yml, .vimrc, TODO: Remove unused files

2019-09-20  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/xmltester/Makefile.am: Log the move of issue 488 xml test

2019-09-20  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/geom/Location.h: Be explicit about our literals in
	enumerations References #867

2019-09-20  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/xmltester/tests/{failure => issue}/issue-geos-488.xml: Fix
	test case expected value to match up to results generated now. No
	longer an exception, and result passes visual inspection. Finally,
	Closes #488

2019-09-20  Paul Ramsey <pramsey@cleverelephant.ca>

	* CMakeLists.txt, include/geos/geom/Geometry.h,
	include/geos/geom/Location.h,
	include/geos/geomgraph/index/MonotoneChain.h,
	include/geos/geomgraph/index/SimpleMCSweepLineIntersector.h,
	include/geos/operation/distance/ConnectedElementLocationFilter.h,
	include/geos/profiler.h, src/operation/overlay/PolygonBuilder.cpp,
	src/operation/polygonize/HoleAssigner.cpp,
	src/operation/polygonize/Polygonizer.cpp,
	src/operation/union/OverlapUnion.cpp: Fix MSVC 2017 compilation,
	from @hobu. References #975

2019-09-19  Sandro Santilli <strk@kbt.io>

	* INSTALL, README.md: Move build section from README.md to INSTALL

2019-09-19  Sandro Santilli <strk@kbt.io>

	* tests/unit/precision/CommonBitsTest.cpp: Fix signed==unsigned
	compiler warning

2019-09-19  Sandro Santilli <strk@kbt.io>

	* tests/unit/Makefile.am: Update list of unit tests after renames  I
	took the chance to also order them by name. The list was obtained by
	finding all files ending with 'Test.cpp'

2019-09-19  Sandro Santilli <strk@kbt.io>

	* src/operation/union/OverlapUnion.cpp: Reorder members to fix
	initialization order warning issues by GCC

2019-09-18  Daniel Baston <dbaston@gmail.com>

	* tests/unit/CMakeLists.txt: Fix CMake inference of test suite name
	from file name

2019-09-18  Daniel Baston <dbaston@gmail.com>

	* tests/unit/CMakeLists.txt,
	tests/unit/algorithm/CGAlgorithms/computeOrientationTest.cpp,
	tests/unit/algorithm/CGAlgorithms/isCCWTest.cpp,
	tests/unit/algorithm/CGAlgorithms/isPointInRingTest.cpp,
	tests/unit/algorithm/CGAlgorithms/signedAreaTest.cpp,
	tests/unit/algorithm/distance/DiscreteFrechetDistanceTest.cpp,
	tests/unit/algorithm/distance/DiscreteHausdorffDistanceTest.cpp,
	tests/unit/capi/{GEOSBuildArea.cpp => GEOSBuildAreaTest.cpp},
	tests/unit/capi/GEOSCAPIDefinesTest.cpp,
	tests/unit/capi/{GEOSGeom_createCollection.cpp =>
	GEOSGeom_createCollectionTest.cpp},
	tests/unit/capi/{GEOSGeom_create.cpp => GEOSGeom_createTest.cpp},
	tests/unit/capi/GEOSGeom_extentTest.cpp,
	tests/unit/capi/GEOSLineString_PointTest.cpp,
	tests/unit/capi/{GEOSMakeValid.cpp => GEOSMakeValidTest.cpp},
	tests/unit/capi/GEOSMinimumRectangleTest.cpp,
	tests/unit/capi/{GEOSOrientationIndex.cpp =>
	GEOSOrientationIndexTest.cpp}, tests/unit/geom/Geometry/{clone.cpp
	=> cloneTest.cpp}, tests/unit/geom/Geometry/{normalize.cpp =>
	normalizeTest.cpp}, tests/unit/linearref/LengthIndexedLineTest.cpp,
	tests/unit/noding/{OrientedCoordinateArray.cpp =>
	OrientedCoordinateArrayTest.cpp}, tests/unit/operation/{union =>
	geounion}/CascadedPolygonUnionTest.cpp, tests/unit/operation/{union
	=> geounion}/CoverageUnionTest.cpp, tests/unit/operation/{union =>
	geounion}/UnaryUnionOpTest.cpp,
	tests/unit/operation/overlay/OverlayOpUnionTest.cpp,
	tests/unit/operation/polygonize/PolygonizeTest.cpp,
	tests/unit/operation/valid/{IsValidTest.cpp => IsValidOpTest.cpp}: 
	Standardize test file naming  Test file names should end in
	"Test.cpp" Test suite names should match test file names

2019-09-18  Daniel Baston <dbaston@gmail.com>

	* tests/unit/geos_unit.cpp: Make geos_unit return 1 when called with
	non-existent test name

2019-09-18  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'master' of https://git.osgeo.org/gogs/geos/geos

2019-09-18  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/precision/CommonBitsTest.cpp: Match test to behaviour
	in no-op case (leave -1 in place)

2019-09-18  Daniel Baston <dbaston@gmail.com>

	* include/geos/operation/relate/RelateNodeGraph.h,
	src/operation/overlay/LineBuilder.cpp,
	src/operation/overlay/PointBuilder.cpp,
	src/operation/relate/RelateComputer.cpp,
	src/operation/relate/RelateNodeGraph.cpp,
	src/operation/valid/ConsistentAreaTester.cpp: Simplify access to
	NodeMap  Using "auto" removes boilerplate and makes it easier to try
	different backing containers for NodeMap. I tried unordered_map but
	did not see a performance benefit.

2019-09-18  Daniel Baston <dbaston@gmail.com>

	* include/geos/algorithm/MinimumBoundingCircle.h,
	src/algorithm/MinimumBoundingCircle.cpp: Return unique_ptr from
	MinimumBoundingCircle

2019-09-18  Daniel Baston <dbaston@gmail.com>

	* src/algorithm/ConvexHull.cpp: Minor simplification in ConvexHull

2019-09-18  Daniel Baston <dbaston@gmail.com>

	* src/operation/overlay/validate/FuzzyPointLocator.cpp: Simplify
	FuzzyPointLocator

2019-09-18  Daniel Baston <dbaston@gmail.com>

	* src/geom/util/GeometryTransformer.cpp: Use simpler GeometryFactory
	methods in GeometryTransformer

2019-09-18  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/GeometryFactory.h, src/geom/GeometryFactory.cpp: 
	Add GeometryFactory::buildGeometry signature and simplify
	implementations

2019-09-18  Daniel Baston <dbaston@gmail.com>

	* src/geom/util/CoordinateOperation.cpp: Use simpler GeometryFactory
	methods in CoordinateOperation

2019-09-18  Daniel Baston <dbaston@gmail.com>

	* src/io/WKBReader.cpp: Use simpler GeometryFactory methods in
	WKBReader

2019-09-18  Daniel Baston <dbaston@gmail.com>

	* src/operation/polygonize/BuildArea.cpp: Avoid vector heap alloc in
	BuildArea

2019-09-18  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/precision/CommonBits.cpp: Allow noop zeroing

2019-09-18  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/precision/CommonBits.cpp,
	tests/unit/precision/CommonBitsTest.cpp: Improve the bit-shifting
	logic with good types and so on Even Roualt, Kurt Schwehr References
	#869

2019-09-18  Sandro Santilli <strk@kbt.io>

	* Version.txt: Fix library version broken with 477029603

2019-09-18  Sandro Santilli <strk@kbt.io>

	* NEWS, src/geom/GeometryFactory.cpp: Allocate default
	geometryfactory on the stack  Makes valgrind happier. Closes #714
	Thanks Sandro Mani

2019-09-18  Sandro Santilli <strk@kbt.io>

	* .drone-1.0.yml: [drone] Add valgrindcheck call to drone-ci

2019-09-18  Sandro Santilli <strk@kbt.io>

	* include/geos/geom/FixedSizeCoordinateSequence.h: Add GCC-suggested
	"override" directives in new class

2019-09-17  Daniel Baston <dbaston@gmail.com>

	* src/noding/GeometryNoder.cpp: Avoid heap alloc in
	GeometryNoder::toGeometry

2019-09-17  Daniel Baston <dbaston@gmail.com>

	* src/geom/GeometryCollection.cpp: Avoid heap alloc in
	GeometryCollection::reverse

2019-09-17  Daniel Baston <dbaston@gmail.com>

	* src/geom/MultiLineString.cpp, src/geom/Point.cpp: Use empty geom
	constructor in getBoundary methods

2019-09-17  Daniel Baston <dbaston@gmail.com>

	* src/io/WKTReader.cpp: Use empty geometry constructors in WKTReader


2019-09-17  Daniel Baston <dbaston@gmail.com>

	* src/geom/util/GeometryEditor.cpp: Simplify GeometryFactory usage
	in GeometryEditor

2019-09-17  Daniel Baston <dbaston@gmail.com>

	* src/geom/util/GeometryCombiner.cpp: Use empty geometry constructor
	in GeometryCombiner

2019-09-17  Daniel Baston <dbaston@gmail.com>

	Merge branch 'master' of https://git.osgeo.org/gitea/geos/geos

2019-09-17  Daniel Baston <dbaston@gmail.com>

	* capi/geos_ts_c.cpp, include/geos/geom/GeometryFactory.h,
	include/geos/operation/overlay/OverlayOp.h,
	include/geos/operation/union/UnaryUnionOp.h,
	src/algorithm/MinimumBoundingCircle.cpp,
	src/geom/GeometryFactory.cpp, src/geom/Polygon.cpp,
	src/operation/buffer/BufferBuilder.cpp,
	src/operation/overlay/OverlayOp.cpp,
	src/operation/union/UnaryUnionOp.cpp,
	tests/unit/geom/GeometryFactoryTest.cpp,
	tests/unit/geom/prep/PreparedGeometryFactoryTest.cpp,
	tests/xmltester/XMLTester.cpp: Return unique_ptr for empty geometry
	factory methods

2019-09-17  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/GeometryFactory.h: Simplify
	GeometryFactory::buildGeometry

2019-09-17  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/GeometryFactory.h: Simplify
	GeometryFactory::buildGeometry

2019-09-15  Daniel Baston <dbaston@gmail.com>

	* include/geos/geomgraph/EdgeRing.h, src/geom/LinearRing.cpp,
	src/geom/Polygon.cpp, src/geomgraph/EdgeRing.cpp: Store
	GeometryGraph EdgeRing rings using unique_ptr  Clarifies ownership

2019-09-15  Daniel Baston <dbaston@gmail.com>

	* src/geom/util/SineStarFactory.cpp: Avoid heap-allocating
	Coordinate vectors in SineStarFactory

2019-09-15  Daniel Baston <dbaston@gmail.com>

	* doc/example.cpp, include/geos/util/GeometricShapeFactory.h,
	src/util/GeometricShapeFactory.cpp: Update GeometricShapeFactory  -
	return unique_ptr for generated objects - avoid heap-allocating
	Coordinate vectors

2019-09-15  Daniel Baston <dbaston@gmail.com>

	* capi/geos_ts_c.cpp,
	include/geos/operation/polygonize/Polygonizer.h,
	src/operation/polygonize/Polygonizer.cpp: Store Polygonizer invalid
	ring lines as unique_ptr

2019-09-15  Daniel Baston <dbaston@gmail.com>

	* include/geos/operation/polygonize/EdgeRing.h,
	src/operation/polygonize/EdgeRing.cpp: Store polygonize EdgeRing
	holes as unique_ptr  Avoids leak in case of exception

2019-09-15  Daniel Baston <dbaston@gmail.com>

	* src/operation/buffer/BufferBuilder.cpp: Simplify
	BufferBuilder::createEmptyResultGeometry()  Use empty polygon
	factory function.

2019-09-15  Daniel Baston <dbaston@gmail.com>

	* benchmarks/operation/predicate/RectangleIntersectsPerfTest.cpp,
	include/geos/geom/GeometryFactory.h, src/geom/GeometryFactory.cpp: 
	Return unique_ptr from Envelope->Geometry conversion

2019-09-15  Daniel Baston <dbaston@gmail.com>

	* include/geos/triangulate/quadedge/QuadEdgeSubdivision.h,
	src/triangulate/quadedge/QuadEdgeSubdivision.cpp: Handle triangle
	coords with unique_ptr in QuadEdgeSubdivsion

2019-09-17  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/precision/CommonBits.cpp: Handle nbits > 63 References #869

2019-09-16  Daniel Baston <dbaston@gmail.com>

	* benchmarks/capi/CMakeLists.txt,
	benchmarks/capi/IntersectionPerfTest.cpp: Add overlay perf test

2019-09-16  Paul Ramsey <pramsey@cleverelephant.ca>

	* NEWS, doc/example.cpp, include/geos/geom/GeometryFactory.h,
	include/geos/geom/util/GeometryCombiner.h,
	include/geos/linearref/LinearGeometryBuilder.h,
	include/geos/operation/linemerge/LineMerger.h,
	include/geos/operation/union/CascadedPolygonUnion.h,
	include/geos/operation/union/CascadedUnion.h,
	include/geos/operation/union/Makefile.am,
	include/geos/operation/union/OverlapUnion.h,
	src/geom/GeometryFactory.cpp, src/geom/util/GeometryCombiner.cpp,
	src/operation/buffer/BufferBuilder.cpp,
	src/operation/linemerge/LineMerger.cpp,
	src/operation/union/CascadedPolygonUnion.cpp,
	src/operation/union/CascadedUnion.cpp,
	src/operation/union/Makefile.am,
	src/operation/union/OverlapUnion.cpp,
	src/triangulate/quadedge/QuadEdgeSubdivision.cpp,
	tests/unit/geom/GeometryCollectionTest.cpp,
	tests/unit/geom/GeometryFactoryTest.cpp,
	tests/unit/operation/linemerge/LineMergerTest.cpp,
	tests/unit/operation/union/CoverageUnionTest.cpp,
	tests/xmltester/tests/issue/issue-geos-837.xml: Port JTS
	improvements to cascaded union. New approach to overlap handling, to
	deal with robustness issues while preserving more performance than
	the old GEOS fix. Add in fallback to buffer(0) when unary union
	fails, for more fault tolerance on hard cases. Apply some const
	correctness features when building geometries from vector<const
	*Geometry>, as many constructors must do (from @dbaston)
	https://github.com/locationtech/jts/pull/470
	https://github.com/locationtech/jts/pull/429

2019-09-13  Daniel Baston <dbaston@gmail.com>

	* README.md, tests/unit/CMakeLists.txt,
	tests/xmltester/CMakeLists.txt: Register individual tests with ctest
	Allows running of a single XML file or TUT test group.  Fixes #930

2019-09-11  nila <n_larsson@yahoo.com>

	* doc/CMakeLists.txt: Add version to CMake generated documentation

2019-09-15  Daniel Baston <dbaston@gmail.com>

	* src/triangulate/quadedge/QuadEdgeSubdivision.cpp: Fix gcc 4.8
	build  gcc 4.8 does not allow return by converting move constructor.


2019-09-15  Daniel Baston <dbaston@gmail.com>

	* src/triangulate/quadedge/QuadEdgeSubdivision.cpp: Simplify
	QuadEdgeSubdivision::getVoronoiCellPolygon  Avoid conversions
	between unmanaged and managed pointers. Avoid creating a coordinate
	sequence inconsistent with implementation used in GeometryFactory.

2019-09-15  Daniel Baston <dbaston@gmail.com>

	* src/io/WKTReader.cpp: Simplify WKTReader::readPolygonText  Use
	factory method for building empty polygons.

2019-09-15  Daniel Baston <dbaston@gmail.com>

	* src/algorithm/ConvexHull.cpp: Simplify ConvexHull::lineOrPolygon
	Avoid converting back and forth between managed and raw pointers.

2019-09-15  Daniel Baston <dbaston@gmail.com>

	* include/geos/geomgraph/EdgeRing.h, src/geomgraph/EdgeRing.cpp,
	src/operation/overlay/PolygonBuilder.cpp: Avoid heap alloc in
	EdgeRing::toPolygon  Also avoid memory leak in case of exception.

2019-09-13  Daniel Baston <dbaston@gmail.com>

	* capi/geos_ts_c.cpp, include/geos/geom/LineString.h,
	src/geom/LineString.cpp, src/geom/LinearRing.cpp,
	src/geom/MultiLineString.cpp, src/geom/MultiPolygon.cpp,
	src/geom/Polygon.cpp, src/operation/valid/MakeValid.cpp: Simplify
	Geometry methods with new GeometryFactory methods  Avoid
	heap-allocating vectors and remove memory leaks on exception.

2019-09-15  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/prep/PreparedLineString.h,
	include/geos/geom/prep/PreparedPolygon.h,
	include/geos/noding/FastSegmentSetIntersectionFinder.h,
	src/geom/prep/PreparedLineString.cpp,
	src/geom/prep/PreparedPolygon.cpp: Manage some prepared geometry
	members with unique_ptr

2019-09-15  Daniel Baston <dbaston@gmail.com>

	* src/algorithm/MinimumBoundingCircle.cpp: Avoid unneeded Coordinate
	copies in MinimumBoundingCircle

2019-09-15  Daniel Baston <dbaston@gmail.com>

	* src/algorithm/MinimumDiameter.cpp: Fix typo in a6edac73  Caused
	test failure in MinimumDiameter

2019-09-15  Daniel Baston <dbaston@gmail.com>

	* capi/geos_ts_c.cpp, include/geos/algorithm/MinimumDiameter.h,
	src/algorithm/MinimumDiameter.cpp: Improve MinimumDiameter  -
	Address TODO to avoid unnecessary heap-allocation of Coordinate and
	LineSegment - Use unique_ptr to return pointers owned by caller

2019-09-15  Daniel Baston <dbaston@gmail.com>

	* src/operation/valid/MakeValid.cpp: Simplify MakeValid  Remove some
	unneeded heap allocation and copying between std::vectors of
	Geometry and its subclasses.

2019-09-15  Daniel Baston <dbaston@gmail.com>

	* include/geos/operation/relate/EdgeEndBuilder.h,
	src/operation/relate/EdgeEndBuilder.cpp,
	src/operation/relate/RelateComputer.cpp,
	src/operation/relate/RelateNodeGraph.cpp: Remove some unneeded heap
	allocs in EdgeEndBuilder

2019-09-13  Daniel Baston <dbaston@gmail.com>

	* src/operation/union/CoverageUnion.cpp: Avoid Polygon->Geometry
	conversion in CoverageUnion

2019-09-13  Paul Ramsey <pramsey@cleverelephant.ca>

	* CMakeLists.txt: Use Release as default cmake build instead of
	Debug

2019-09-13  Daniel Baston <dbaston@gmail.com>

	* benchmarks/ClassSizes.cpp,
	include/geos/geomgraph/TopologyLocation.h: Use uint8_t for
	TopologyLocation size  Reduces size of a TopologyLocation from 16
	bytes to 4

2019-09-13  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'master' of https://git.osgeo.org/gogs/geos/geos

2019-09-13  Paul Ramsey <pramsey@cleverelephant.ca>

	* NEWS, include/geos/geomgraph/TopologyLocation.h,
	src/geomgraph/TopologyLocation.cpp: Use std::array instead of
	std::vector in TopologyLocation.cpp References #986

2019-09-12  Daniel Baston <dbaston@gmail.com>

	* include/geos/algorithm/CentralEndpointIntersector.h,
	include/geos/algorithm/distance/DiscreteFrechetDistance.h,
	include/geos/algorithm/distance/DiscreteHausdorffDistance.h,
	include/geos/algorithm/distance/PointPairDistance.h,
	include/geos/geom/Coordinate.h, include/geos/geom/Coordinate.inl: 
	Add Coordinate::distanceSquared  This can be used to shave some time
	off minimum distance calculations.

2019-09-12  Daniel Baston <dbaston@gmail.com>

	* tests/unit/operation/IsSimpleOpTest.cpp: Add include to
	IsSimpleOpTest.cpp  Attempts to fix error with Winnie build.

2019-09-12  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/FixedSizeCoordinateSequence.h: Clear
	-Wsuggest-override warnings

2019-09-11  nila <n_larsson@yahoo.com>

	* README.md: add cmake doxygen build documentation

2019-09-11  nila <n_larsson@yahoo.com>

	* include/geos/index/chain/MonotoneChainBuilder.h: fix bad doxygen
	params

2019-09-09  Daniel Baston <dbaston@gmail.com>

	* NEWS, capi/geos_c.cpp, capi/geos_c.h.in, capi/geos_ts_c.cpp,
	tests/unit/capi/GEOSCoordSeqTest.cpp: Add multi-ordinate coordseq
	setters and getters to C API  The following CAPI functions are added
	for improved performance and convenience:  GEOSCoordSeq_setXY
	GEOSCoordSeq_setXYZ GEOSCoordSeq_getXY GEOSCoordSeq_getXYZ

2019-09-09  Daniel Baston <dbaston@gmail.com>

	* src/operation/buffer/SubgraphDepthLocater.cpp: Avoid unnecessary
	sort in SubgraphDepthLocater  Patch by dkvash Fixes #985

2019-09-06  Daniel Baston <dbaston@gmail.com>

	* .travis.yml: Add doxygen to Travis

2019-09-05  Daniel Baston <dbaston@gmail.com>

	* configure.ac, doc/CMakeLists.txt, doc/Doxyfile.in,
	tools/ci/script_cmake.sh: Add Doxygen "docs" target to CMake build
	Must be explicitly enabled using -DBUILD_DOCUMENTATION=YES  Direct
	all warnings to a log file that can be grepped for specific errors
	as part of a CI build.  Fixes #902

2019-09-06  Paul Ramsey <pramsey@cleverelephant.ca>

	* capi/geos_ts_c.cpp, include/geos/algorithm/CGAlgorithmsDD.h,
	include/geos/algorithm/Intersection.h,
	include/geos/algorithm/LineIntersector.h,
	include/geos/algorithm/Makefile.am,
	include/geos/geom/LineSegment.h, src/algorithm/CGAlgorithmsDD.cpp,
	src/algorithm/Intersection.cpp, src/algorithm/LineIntersector.cpp,
	src/algorithm/Makefile.am, src/algorithm/MinimumDiameter.cpp,
	src/geom/LineSegment.cpp,
	src/operation/buffer/OffsetSegmentGenerator.cpp,
	tests/unit/Makefile.am, tests/unit/algorithm/IntersectionTest.cpp,
	tests/unit/geom/LineSegmentTest.cpp: Port JTS PR 468
	https://github.com/locationtech/jts/pull/468  Refactor line
	intersection code into Intersection class. Use new class for all
	line intersection computation Unroll input conditioning for
	performance Add tests to verify accuracy of conditioned
	double-precision intersection algorithm

2019-09-05  Daniel Baston <dbaston@gmail.com>

	Merge branch 'reduce-new'

2019-09-05  Daniel Baston <dbaston@gmail.com>

	Merge remote-tracking branch
	'origin/fixed-size-coordinate-sequence'

2019-09-05  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/CoordinateArraySequenceFactory.h,
	include/geos/geom/CoordinateArraySequenceFactory.inl,
	include/geos/geom/CoordinateSequenceFactory.h,
	src/algorithm/ConvexHull.cpp, src/geom/GeometryCollection.cpp,
	src/geom/Polygon.cpp,
	src/triangulate/DelaunayTriangulationBuilder.cpp: Remove some
	heap-allocated vectors

2019-09-04  Daniel Baston <dbaston@gmail.com>

	* include/geos/index/chain/MonotoneChain.h,
	src/index/chain/MonotoneChain.cpp: Use unique_ptr in MonotoneChain

2019-09-04  Daniel Baston <dbaston@gmail.com>

	* include/geos/noding/NodedSegmentString.h,
	src/noding/NodedSegmentString.cpp: Use unique_ptr in
	NodedSegmentString

2019-09-04  Daniel Baston <dbaston@gmail.com>

	* benchmarks/ClassSizes.cpp, include/geos/geomgraph/Edge.h,
	src/geomgraph/Edge.cpp: Use unique_ptr in geomgraph::Edge  Also
	reorder members to reduce class size by 8 bytes

2019-09-04  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/FixedSizeCoordinateSequence.h: Mark
	FixedSizeCoordinateSequence methods as final

2019-09-04  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/FixedSizeCoordinateSequence.h,
	tests/unit/geom/FixedSizeCoordinateSequenceTest.cpp: Make
	FixedSizeCoordinateSequence match CoordinateArraySequence dim
	behavior

2019-09-04  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/Makefile.am, tests/unit/Makefile.am: Add
	FixedSizeCoordinateSequence to autotools build

2019-09-04  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/index/chain/MonotoneChainBuilder.h,
	src/geomgraph/index/MonotoneChainEdge.cpp,
	src/index/chain/MonotoneChainBuilder.cpp: MonotoneChainBuilder can
	be refactored to avoid using an array of indexes completely, by
	constructing MonotoneChain objects as they determined.
	https://github.com/locationtech/jts/pull/467

2019-08-27  Daniel Baston <dbaston@gmail.com>

	* tests/unit/operation/overlay/OverlayOpUnionTest.cpp: Add test case
	for #523

2019-08-27  Daniel Baston <dbaston@gmail.com>

	* tests/unit/operation/valid/IsValidTest.cpp: Add comment referring
	to ticket

2019-08-27  Daniel Baston <dbaston@gmail.com>

	* tests/unit/operation/valid/IsValidTest.cpp: Add test for #588

2019-08-27  Daniel Baston <dbaston@gmail.com>

	* src/algorithm/Distance.cpp,
	src/index/intervalrtree/SortedPackedIntervalRTree.cpp,
	src/operation/buffer/BufferBuilder.cpp,
	src/simplify/DouglasPeuckerLineSimplifier.cpp,
	src/simplify/TaggedLineString.cpp,
	src/simplify/TaggedLineStringSimplifier.cpp: Use empty() instead of
	size() where possible  Fixes #860

2019-08-27  Daniel Baston <dbaston@gmail.com>

	* include/geos/operation/union/UnaryUnionOp.h: Fix doc typos  Fixes
	#969 [ci skip]

2019-08-27  Daniel Baston <dbaston@gmail.com>

	Merge remote-tracking branch 'origin/trac-584'

2019-08-26  Daniel Baston <dbaston@gmail.com>

	Merge remote-tracking branch 'dbaston/precisionmodel-value'

2019-08-26  Daniel Baston <dbaston@gmail.com>

	Merge remote-tracking branch 'dbaston/trac-858'

2019-08-26  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/GeometryFactory.h, src/geom/GeometryFactory.cpp: 
	Store PrecisionModel as a value

2019-08-24  Daniel Baston <dbaston@gmail.com>

	* tests/unit/tut/tut.hpp: Attempt to quiet TUT warnings in both
	MSVC, gcc  Fixes #904

2019-08-25  Daniel Baston <dbaston@gmail.com>

	* include/geos/geomgraph/GeometryGraph.h,
	include/geos/geomgraph/index/SimpleMCSweepLineIntersector.h,
	include/geos/geomgraph/index/SweepLineEvent.h,
	src/geomgraph/GeometryGraph.cpp,
	src/geomgraph/index/SimpleMCSweepLineIntersector.cpp,
	src/geomgraph/index/SweepLineEvent.cpp,
	src/operation/overlay/OverlayOp.cpp,
	src/operation/valid/IsValidOp.cpp,
	tests/unit/operation/IsSimpleOpTest.cpp: Fix invalid read on
	exception in IsValidOp  Fixes #858

2019-08-25  Daniel Baston <dbaston@gmail.com>

	* tests/unit/operation/IsSimpleOpTest.cpp: Add failing test for #858


2019-08-24  Daniel Baston <dbaston@gmail.com>

	* src/algorithm/Distance.cpp,
	tests/unit/operation/distance/DistanceOpTest.cpp: Add envelope test
	to Distance::segmentToSegment  JTS commit r652 Fixes Trac #584

2019-08-24  Daniel Baston <dbaston@gmail.com>

	* NEWS: NEWS updates

2019-08-24  Daniel Baston <dbaston@gmail.com>

	Merge branch 'delaunay-perf'

2019-08-20  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/algorithm/locate/IndexedPointInAreaLocator.h,
	include/geos/index/intervalrtree/SortedPackedIntervalRTree.h,
	src/algorithm/locate/IndexedPointInAreaLocator.cpp,
	src/index/intervalrtree/SortedPackedIntervalRTree.cpp: Port JTS PR
	462 https://github.com/locationtech/jts/pull/462/

2019-08-16  Paul Ramsey <pramsey@cleverelephant.ca>

	* src/noding/snapround/MCIndexPointSnapper.cpp: Port
	https://github.com/locationtech/jts/pull/441

2019-08-07  Daniel Baston <dbaston@gmail.com>

	* include/geos/triangulate/quadedge/QuadEdge.h,
	include/geos/triangulate/quadedge/QuadEdgeSubdivision.h,
	src/triangulate/quadedge/QuadEdge.cpp,
	src/triangulate/quadedge/QuadEdgeSubdivision.cpp: Store visit state
	with each QuadEdge instead of in a set  This provides a surprising
	performance gain

2019-08-05  Daniel Baston <dbaston@gmail.com>

	* src/triangulate/VoronoiDiagramBuilder.cpp: Avoid a heap alloc /
	raw pointer usage

2019-08-05  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/CoordinateArraySequence.h,
	include/geos/triangulate/quadedge/QuadEdgeSubdivision.h,
	src/geom/CoordinateArraySequence.cpp,
	src/triangulate/quadedge/QuadEdgeSubdivision.cpp: Delaunay
	performance enhancements  Net benefit is approximately 20% for
	Delaunay, 2-3% for Voronoi.  - Avoid copying all triangles after
	construction - Avoid inFrame checks if result will be ignored -
	Avoid heap-allocating std::vector - Avoid conversions from
	unique_ptr to raw pointers

2019-07-27  nila <n_larsson@yahoo.com>

	* include/geos/algorithm/CGAlgorithmsDD.h,
	include/geos/geom/Triangle.h: fix bad doxygen links  and in addition
	some minor stylistic changes to the comments

2019-07-25  Paul Ramsey <pramsey@cleverelephant.ca>

	Merge branch 'jts-448' of github.com:pramsey/geos into jts-448

2019-07-25  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/geom/Triangle.h, src/geom/Triangle.cpp,
	src/triangulate/quadedge/QuadEdgeSubdivision.cpp: Add filter to only
	use DD math is we are in the "danger zone" for circumcenter, namely
	that we have a potential equally-sided right triangle on our hands.


2019-07-25  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/triangulate/VoronoiTest.cpp: Add actual test case

2019-07-25  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/geom/Triangle.h, src/algorithm/CGAlgorithmsDD.cpp,
	src/geom/Triangle.cpp,
	src/triangulate/quadedge/QuadEdgeSubdivision.cpp,
	src/util/math.cpp, tests/unit/geom/TriangleTest.cpp: Fix up mistakes
	in drafting and add simple unit test

2019-07-24  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/algorithm/CGAlgorithmsDD.h,
	src/algorithm/CGAlgorithmsDD.cpp: First draft of circumcenterDD
	support from JTS https://github.com/locationtech/jts/pull/448

2019-07-25  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/geom/Triangle.h, src/geom/Triangle.cpp,
	src/triangulate/quadedge/QuadEdgeSubdivision.cpp: Add filter to only
	use DD math is we are in the "danger zone" for circumcenter, namely
	that we have a potential equally-sided right triangle on our hands.


2019-07-25  Paul Ramsey <pramsey@cleverelephant.ca>

	* tests/unit/triangulate/VoronoiTest.cpp: Add actual test case

2019-07-25  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/geom/Triangle.h, src/algorithm/CGAlgorithmsDD.cpp,
	src/geom/Triangle.cpp,
	src/triangulate/quadedge/QuadEdgeSubdivision.cpp,
	src/util/math.cpp, tests/unit/geom/TriangleTest.cpp: Fix up mistakes
	in drafting and add simple unit test

2019-07-25  Daniel Baston <dbaston@gmail.com>

	* .azure-pipelines.yml: [azure-pipelines] Remove MSVC 2017 C++20
	build  It seems unable to compile the TUT code. [ci skip]

2019-07-24  Paul Ramsey <pramsey@cleverelephant.ca>

	* include/geos/algorithm/CGAlgorithmsDD.h,
	src/algorithm/CGAlgorithmsDD.cpp: First draft of circumcenterDD
	support from JTS https://github.com/locationtech/jts/pull/448

2019-07-11  Daniel Baston <dbaston@gmail.com>

	* src/triangulate/quadedge/Vertex.cpp: Catch exception by reference


2019-07-11  Daniel Baston <dbaston@gmail.com>

	* src/linearref/LinearGeometryBuilder.cpp: Catch exception by
	reference

2019-07-11  Daniel Baston <dbaston@gmail.com>

	* NEWS: Add missing NEWS entry for #873

2019-06-08  Daniel Baston <dbaston@gmail.com>

	* benchmarks/ClassSizes.cpp,
	benchmarks/capi/GEOSPreparedContainsPerfTest.cpp, capi/geos_c.cpp,
	capi/geos_c.h.in, capi/geos_ts_c.cpp,
	include/geos/geom/CoordinateArraySequence.h,
	include/geos/geom/CoordinateSequence.h,
	include/geos/geom/FixedSizeCoordinateSequence.h,
	include/geos/geom/Point.h, src/geom/CoordinateArraySequence.cpp,
	src/geom/CoordinateSequence.cpp, src/geom/GeometryFactory.cpp,
	src/geom/Point.cpp,
	tests/unit/geom/FixedSizeCoordinateSequenceTest.cpp: Add
	FixedSizeCoordinateSequence

2019-06-21  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/Geometry.h,
	include/geos/geom/GeometryCollection.h,
	include/geos/geom/GeometryFactory.h,
	include/geos/geom/LineString.h, include/geos/geom/LinearRing.h,
	include/geos/geom/MultiLineString.h,
	include/geos/geom/MultiPoint.h, include/geos/geom/MultiPolygon.h,
	include/geos/geom/Polygon.h, src/geom/GeometryCollection.cpp,
	src/geom/GeometryFactory.cpp, src/geom/LineString.cpp,
	src/geom/LinearRing.cpp, src/geom/MultiLineString.cpp,
	src/geom/MultiPoint.cpp, src/geom/MultiPolygon.cpp,
	src/geom/Polygon.cpp, src/io/WKBReader.cpp, src/io/WKTReader.cpp,
	src/simplify/TaggedLineString.cpp: Augment GeometryFactory with a
	methods taking and returning unique_ptr

2019-06-28  Daniel Baston <dbaston@gmail.com>

	* .azure-pipelines.yml: [azure-pipelines] Disable C++20 build for
	XCode 10.x

2019-06-27  Daniel Baston <dbaston@gmail.com>

	Merge remote-tracking branch 'dbaston/fix-cpp17-build'

2019-06-27  Daniel Baston <dbaston@gmail.com>

	* src/geom/IntersectionMatrix.cpp: Fix always-true conditional

2019-06-27  Daniel Baston <dbaston@gmail.com>

	* src/noding/MCIndexNoder.cpp,
	src/noding/snapround/MCIndexSnapRounder.cpp,
	src/operation/overlay/OverlayOp.cpp,
	src/operation/overlay/validate/OffsetPointGenerator.cpp: Remove use
	of std::mem_fun  It is deprecated in C+11 and removed in C++17.

2019-06-25  Sandro Santilli <strk@kbt.io>

	* include/geos/geom/CoordinateSequence.h,
	include/geos/geom/Geometry.h: Fix typo in comments

2019-06-21  Daniel Baston <dbaston@gmail.com>

	Merge branch 'remove-virtual-inheritance'

2019-06-21  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/GeometryCollection.h,
	include/geos/geom/LineString.h,
	include/geos/geom/MultiLineString.inl,
	include/geos/geom/MultiPoint.h, include/geos/geom/MultiPolygon.inl,
	include/geos/geom/Point.h, include/geos/geom/Polygon.h,
	src/geom/LinearRing.cpp, src/geom/MultiLineString.cpp,
	src/geom/MultiPoint.cpp, src/geom/MultiPolygon.cpp: Remove virtual
	inheritance in Geometry subclasses  Virtual inheritance is not
	required, increases the size of all Geometry subclasses by 8 bytes,
	and introduces a step of indirection when accessing Geometry
	members.

2019-06-20  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/CoordinateArraySequence.h,
	src/geom/CoordinateArraySequence.cpp: Avoid heap-allocating
	std::vector in CoordinateArraySequence

2019-06-20  Daniel Baston <dbaston@gmail.com>

	* src/geom/Geometry.cpp, src/geom/LineString.cpp,
	src/geomgraph/Depth.cpp,
	src/geomgraph/index/SimpleMCSweepLineIntersector.cpp,
	src/geomgraph/index/SimpleSweepLineIntersector.cpp,
	src/index/sweepline/SweepLineIndex.cpp,
	src/operation/buffer/OffsetCurveSetBuilder.cpp,
	src/operation/overlay/OverlayOp.cpp,
	src/operation/valid/IndexedNestedRingTester.cpp,
	src/operation/valid/QuadtreeNestedRingTester.cpp: Remove
	commented-out code

2019-06-20  Daniel Baston <dbaston@gmail.com>

	* README.md: Fix badge format in README.md

2019-06-20  Daniel Baston <dbaston@gmail.com>

	Merge branch 'geometry-component-uniqueptr'

2019-06-17  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/Geometry.h,
	include/geos/geom/GeometryCollection.h,
	include/geos/geom/GeometryCollection.inl,
	include/geos/geom/Polygon.h, src/algorithm/PointLocator.cpp,
	src/algorithm/locate/SimplePointInAreaLocator.cpp,
	src/geom/Geometry.cpp, src/geom/GeometryCollection.cpp,
	src/geom/MultiLineString.cpp, src/geom/MultiPoint.cpp,
	src/geom/MultiPolygon.cpp, src/geom/Polygon.cpp,
	src/operation/IsSimpleOp.cpp,
	src/operation/union/CascadedPolygonUnion.cpp,
	src/operation/valid/MakeValid.cpp: Remove manual memory management
	from GeometryCollection, Polygon  Have these classes manage their
	components using a std::vector of std::unique_ptr. Avoid
	heap-allocating the std::vectors themselves.

2019-06-19  nila <n_larsson@yahoo.com>

	* include/geos/geom/Location.h: Move GEOS_DLL macro to beginning of
	declaration

2019-06-19  nila <n_larsson@yahoo.com>

	* include/geos/algorithm/BoundaryNodeRule.h,
	include/geos/algorithm/RayCrossingCounter.h,
	include/geos/algorithm/RayCrossingCounterDD.h,
	include/geos/algorithm/locate/IndexedPointInAreaLocator.h,
	include/geos/algorithm/locate/SimplePointInAreaLocator.h,
	include/geos/geom/Geometry.h,
	include/geos/geom/util/GeometryCombiner.h,
	include/geos/operation/union/CascadedPolygonUnion.h,
	include/geos/operation/union/PointGeometryUnion.h: Fix broken
	doxygen links as a result of removal of Puntal, Lineal, and
	Polygonal classes

2019-06-19  nila <n_larsson@yahoo.com>

	* .gitignore: Add benchmark test file InteriorPointAreaPerfTest

2019-06-18  Daniel Baston <dbaston@gmail.com>

	* src/algorithm/MinimumBoundingCircle.cpp: Throw another unthrown
	exception

2019-06-18  Daniel Baston <dbaston@gmail.com>

	* src/algorithm/MinimumBoundingCircle.cpp: Throw unthrown exception


2019-06-18  Daniel Baston <dbaston@gmail.com>

	* tests/unit/geom/MultiLineStringTest.cpp,
	tests/unit/geom/MultiPolygonTest.cpp: Fix test build failures

2019-06-18  Daniel Baston <dbaston@gmail.com>

	Merge branch 'geometryeditor-uniqueptr'

2019-06-18  Daniel Baston <dbaston@gmail.com>

	Merge branch 'io-unique-ptr'

2019-06-17  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/util/GeometryCombiner.h,
	src/geom/util/GeometryCombiner.cpp,
	src/operation/union/CascadedPolygonUnion.cpp,
	src/operation/union/CascadedUnion.cpp,
	src/precision/PrecisionReducerCoordinateOperation.cpp,
	src/precision/SimpleGeometryPrecisionReducer.cpp: Return unique_ptr
	from GeometryCombiner

2019-06-17  Daniel Baston <dbaston@gmail.com>

	Merge branch 'remove-dimension-classes'

2019-06-17  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/util/CoordinateOperation.h,
	include/geos/geom/util/GeometryEditor.h,
	include/geos/geom/util/GeometryEditorOperation.h,
	include/geos/precision/PrecisionReducerCoordinateOperation.h,
	include/geos/precision/SimpleGeometryPrecisionReducer.h,
	src/geom/GeometryFactory.cpp,
	src/geom/util/CoordinateOperation.cpp,
	src/geom/util/GeometryEditor.cpp,
	src/precision/PrecisionReducerCoordinateOperation.cpp,
	src/precision/SimpleGeometryPrecisionReducer.cpp: Use unique_ptr in
	GeometryEditor

2019-06-17  Daniel Baston <dbaston@gmail.com>

	* src/precision/GeometryPrecisionReducer.cpp: Remove trivial heap
	alloc in GeometryPrecisionReducer

2019-06-17  Daniel Baston <dbaston@gmail.com>

	* src/io/WKBReader.cpp, src/io/WKTReader.cpp: Simplify constuction
	of base class unique_ptr from subclass unique_ptr

2019-06-16  Daniel Baston <dbaston@gmail.com>

	* capi/geos_ts_c.cpp, doc/example.cpp, include/geos/io/WKBReader.h,
	include/geos/io/WKTReader.h, src/io/WKBReader.cpp,
	src/io/WKTReader.cpp,
	tests/unit/algorithm/InteriorPointAreaTest.cpp,
	tests/unit/algorithm/MinimumBoundingCircleTest.cpp,
	tests/unit/capi/GEOSContainsTest.cpp,
	tests/unit/capi/GEOSPreparedGeometryTest.cpp,
	tests/unit/geom/Geometry/coversTest.cpp,
	tests/unit/geom/Geometry/isRectangleTest.cpp,
	tests/unit/geom/GeometryFactoryTest.cpp,
	tests/unit/geom/LineStringTest.cpp,
	tests/unit/geom/LinearRingTest.cpp,
	tests/unit/geom/MultiPointTest.cpp, tests/unit/geom/PointTest.cpp,
	tests/unit/geom/PolygonTest.cpp,
	tests/unit/geom/prep/PreparedGeometry/touchesTest.cpp,
	tests/unit/geom/prep/PreparedGeometryFactoryTest.cpp,
	tests/unit/io/WKBWriterTest.cpp, tests/unit/io/WKTReaderTest.cpp,
	tests/unit/noding/snapround/MCIndexSnapRounderTest.cpp,
	tests/unit/operation/distance/DistanceOpTest.cpp,
	tests/unit/operation/overlay/validate/FuzzyPointLocatorTest.cpp,
	tests/unit/operation/overlay/validate/OffsetPointGeneratorTest.cpp,
	tests/unit/operation/polygonize/PolygonizeTest.cpp,
	tests/unit/operation/union/CascadedPolygonUnionTest.cpp,
	tests/unit/operation/union/CoverageUnionTest.cpp,
	tests/unit/operation/valid/ValidClosedRingTest.cpp,
	tests/unit/operation/valid/ValidSelfTouchingRingFormingHoleTest.cpp
	, tests/unit/triangulate/DelaunayTest.cpp,
	tests/unit/triangulate/quadedge/QuadEdgeSubdivisionTest.cpp,
	tests/xmltester/SimpleWKTTester.cpp, tests/xmltester/XMLTester.cpp: 
	Return unique_ptr from WKTReader and WKBReader

2019-06-12  Daniel Baston <dbaston@gmail.com>

	* include/geos/algorithm/PointLocation.h,
	include/geos/algorithm/PointLocator.h,
	include/geos/algorithm/RayCrossingCounter.h,
	include/geos/algorithm/RayCrossingCounterDD.h,
	include/geos/algorithm/locate/IndexedPointInAreaLocator.h,
	include/geos/algorithm/locate/PointOnGeometryLocator.h,
	include/geos/algorithm/locate/SimplePointInAreaLocator.h,
	include/geos/geom/IntersectionMatrix.h,
	include/geos/geom/Location.h,
	include/geos/geom/prep/AbstractPreparedPolygonContains.h,
	include/geos/geom/prep/PreparedPolygonPredicate.h,
	include/geos/geomgraph/Depth.h,
	include/geos/geomgraph/DirectedEdge.h,
	include/geos/geomgraph/EdgeEndStar.h,
	include/geos/geomgraph/GeometryGraph.h,
	include/geos/geomgraph/Label.h, include/geos/geomgraph/Node.h,
	include/geos/geomgraph/TopologyLocation.h,
	include/geos/operation/buffer/OffsetCurveSetBuilder.h,
	include/geos/operation/overlay/OverlayOp.h,
	include/geos/operation/overlay/validate/FuzzyPointLocator.h,
	include/geos/operation/overlay/validate/OverlayResultValidator.h,
	src/algorithm/PointLocation.cpp, src/algorithm/PointLocator.cpp,
	src/algorithm/RayCrossingCounter.cpp,
	src/algorithm/RayCrossingCounterDD.cpp,
	src/algorithm/locate/IndexedPointInAreaLocator.cpp,
	src/algorithm/locate/SimplePointInAreaLocator.cpp,
	src/geom/IntersectionMatrix.cpp, src/geom/Location.cpp,
	src/geom/prep/AbstractPreparedPolygonContains.cpp,
	src/geom/prep/PreparedPolygonPredicate.cpp,
	src/geomgraph/Depth.cpp, src/geomgraph/DirectedEdge.cpp,
	src/geomgraph/DirectedEdgeStar.cpp, src/geomgraph/EdgeEndStar.cpp,
	src/geomgraph/EdgeRing.cpp, src/geomgraph/GeometryGraph.cpp,
	src/geomgraph/Label.cpp, src/geomgraph/Node.cpp,
	src/geomgraph/TopologyLocation.cpp,
	src/operation/buffer/BufferBuilder.cpp,
	src/operation/buffer/OffsetCurveSetBuilder.cpp,
	src/operation/overlay/LineBuilder.cpp,
	src/operation/overlay/OverlayOp.cpp,
	src/operation/overlay/validate/FuzzyPointLocator.cpp,
	src/operation/overlay/validate/OverlayResultValidator.cpp,
	src/operation/relate/EdgeEndBundle.cpp,
	src/operation/relate/RelateComputer.cpp,
	src/operation/relate/RelateNodeGraph.cpp,
	src/operation/union/PointGeometryUnion.cpp,
	tests/unit/algorithm/LocatePointInRingTest.cpp,
	tests/unit/algorithm/PointLocatorTest.cpp,
	tests/unit/geom/IntersectionMatrixTest.cpp,
	tests/unit/geom/LocationTest.cpp: Convert Location into an enum
	class

2019-06-16  Daniel Baston <dbaston@gmail.com>

	Merge branch 'polygon-linearring'

2019-06-16  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/Geometry.h,
	include/geos/geom/GeometryCollection.h,
	include/geos/geom/MultiLineString.h,
	include/geos/geom/MultiPoint.h, include/geos/geom/MultiPolygon.h,
	src/geom/GeometryCollection.cpp,
	tests/unit/geom/GeometryCollectionTest.cpp,
	tests/unit/geom/LineStringTest.cpp,
	tests/unit/geom/LinearRingTest.cpp,
	tests/unit/geom/MultiLineStringTest.cpp,
	tests/unit/geom/MultiPointTest.cpp,
	tests/unit/geom/MultiPolygonTest.cpp,
	tests/unit/geom/PointTest.cpp, tests/unit/geom/PolygonTest.cpp: Add
	Geometry::isDimensionStrict

2019-06-14  Sandro Santilli <strk@kbt.io>

	* .drone-1.0.yml, Makefile.am: Add doxygen-checked command, run it
	from drone  Checks that doxygen does not output unexpected warnings


2019-06-15  nila <n_larsson@yahoo.com>

	* include/geos/algorithm/PointLocation.h: Remove duplicated doxygen
	doc

2019-06-15  Sandro Santilli <strk@kbt.io>

	* README.md: Update dronie badges to use 1.0

2019-06-14  Sandro Santilli <strk@kbt.io>

	* .drone-1.0.yml: [drone] Pull image _always_

2019-06-14  Daniel Baston <dbaston@gmail.com>

	* include/geos/triangulate/quadedge/QuadEdgeSubdivision.h: Reformat
	Doxygen comment that apparently breaks autotools build

2019-06-14  Sandro Santilli <strk@kbt.io>

	Merge branch 'doxygen_fix-errors' of nila/geos into master
	Thanks. Now if I could fix drone-ci would be even better...

2019-06-14  nila <n_larsson@yahoo.com>

	* include/geos/triangulate/quadedge/QuadEdgeSubdivision.h: [doxygen]
	fix incorrect comment

2019-06-14  Daniel Baston <dbaston@gmail.com>

	* benchmarks/ClassSizes.cpp, include/geos/geom/BinaryOp.h,
	include/geos/geom/Geometry.h,
	include/geos/geom/GeometryCollection.h,
	include/geos/geom/LineString.h, include/geos/geom/Lineal.h,
	include/geos/geom/Makefile.am, include/geos/geom/MultiLineString.h,
	include/geos/geom/MultiPoint.h, include/geos/geom/MultiPolygon.h,
	include/geos/geom/Point.h, include/geos/geom/Polygon.h,
	include/geos/geom/Polygonal.h, include/geos/geom/Puntal.h,
	include/geos/linearref/LocationIndexedLine.h,
	include/geos/operation/union/PointGeometryUnion.h,
	src/geom/GeometryCollection.cpp,
	src/geom/prep/PreparedPolygonIntersects.cpp,
	src/operation/union/CascadedPolygonUnion.cpp,
	src/operation/union/PointGeometryUnion.cpp,
	src/operation/union/UnaryUnionOp.cpp,
	src/precision/GeometryPrecisionReducer.cpp,
	tests/unit/geom/GeometryComponentFilterTest.cpp,
	tests/unit/geom/GeometryFilterTest.cpp: Remove Puntal, Lineal, and
	Polygonal classes  These classes are used in only a handful of
	locations to check the dimension of a Geometry. However, their use
	in the inheritance hierarchy increases the class size of MultiPoint,
	MultiLineString, and MultiPolygon by 8 bytes, and possibly imposes a
	runtime cost. This commit provides alternative methods of checking
	Geometry dimension.

2019-06-14  nila <n_larsson@yahoo.com>

	* include/geos/triangulate/quadedge/QuadEdgeSubdivision.h: [doxygen]
	fix non-ascii characters

2019-06-03  nila <n_larsson@yahoo.com>

	* include/geos/algorithm/BoundaryNodeRule.h,
	include/geos/algorithm/Centroid.h,
	include/geos/algorithm/HCoordinate.h,
	include/geos/algorithm/MinimumDiameter.h,
	include/geos/algorithm/Orientation.h,
	include/geos/algorithm/PointLocation.h,
	include/geos/algorithm/RayCrossingCounter.h,
	include/geos/algorithm/RayCrossingCounterDD.h,
	include/geos/algorithm/locate/PointOnGeometryLocator.h,
	include/geos/algorithm/locate/SimplePointInAreaLocator.h,
	include/geos/algorithm/ttmath/ttmathtypes.h, include/geos/geom.h,
	include/geos/geom/CoordinateArraySequence.h,
	include/geos/geom/CoordinateFilter.h,
	include/geos/geom/CoordinateSequenceFilter.h,
	include/geos/geom/Envelope.h, include/geos/geom/Geometry.h,
	include/geos/geom/LineString.h, include/geos/geom/LinearRing.h,
	include/geos/geom/MultiLineString.h,
	include/geos/geom/PrecisionModel.h,
	include/geos/geom/util/GeometryExtracter.h,
	include/geos/geom/util/GeometryTransformer.h,
	include/geos/geomgraph/DirectedEdgeStar.h,
	include/geos/geomgraph/EdgeNodingValidator.h,
	include/geos/geomgraph/GeometryGraph.h,
	include/geos/geomgraph/Position.h,
	include/geos/index/bintree/Bintree.h,
	include/geos/index/chain/MonotoneChainBuilder.h,
	include/geos/index/chain/MonotoneChainOverlapAction.h,
	include/geos/index/strtree/AbstractSTRtree.h,
	include/geos/index/strtree/BoundablePair.h,
	include/geos/index/strtree/ItemDistance.h,
	include/geos/index/strtree/SIRtree.h,
	include/geos/linearref/ExtractLineByLocation.h,
	include/geos/linearref/LengthIndexedLine.h,
	include/geos/linearref/LengthLocationMap.h,
	include/geos/linearref/LinearGeometryBuilder.h,
	include/geos/linearref/LinearIterator.h,
	include/geos/linearref/LinearLocation.h,
	include/geos/linearref/LocationIndexOfLine.h,
	include/geos/linearref/LocationIndexOfPoint.h,
	include/geos/linearref/LocationIndexedLine.h,
	include/geos/noding/BasicSegmentString.h,
	include/geos/noding/FastNodingValidator.h,
	include/geos/noding/FastSegmentSetIntersectionFinder.h,
	include/geos/noding/IntersectionAdder.h,
	include/geos/noding/IntersectionFinderAdder.h,
	include/geos/noding/IteratedNoder.h,
	include/geos/noding/MCIndexNoder.h,
	include/geos/noding/MCIndexSegmentSetMutualIntersector.h,
	include/geos/noding/NodedSegmentString.h,
	include/geos/noding/Noder.h,
	include/geos/noding/NodingIntersectionFinder.h,
	include/geos/noding/OrientedCoordinateArray.h,
	include/geos/noding/SegmentIntersectionDetector.h,
	include/geos/noding/SegmentSetMutualIntersector.h,
	include/geos/noding/SegmentString.h,
	include/geos/noding/SegmentStringUtil.h,
	include/geos/noding/SinglePassNoder.h,
	include/geos/noding/snapround/MCIndexPointSnapper.h,
	include/geos/opOverlay.h, include/geos/operation/IsSimpleOp.h,
	include/geos/operation/buffer/BufferBuilder.h,
	include/geos/operation/buffer/BufferOp.h,
	include/geos/operation/buffer/OffsetCurveBuilder.h,
	include/geos/operation/buffer/OffsetCurveSetBuilder.h,
	include/geos/operation/distance/ConnectedElementLocationFilter.h,
	include/geos/operation/intersection/Rectangle.h,
	include/geos/operation/intersection/RectangleIntersection.h,
	include/geos/operation/intersection/RectangleIntersectionBuilder.h,
	include/geos/operation/linemerge/LineMergeDirectedEdge.h,
	include/geos/operation/linemerge/LineSequencer.h,
	include/geos/operation/overlay/MaximalEdgeRing.h,
	include/geos/operation/overlay/MinimalEdgeRing.h,
	include/geos/operation/overlay/OverlayOp.h,
	include/geos/operation/overlay/snap/SnapIfNeededOverlayOp.h,
	include/geos/operation/predicate/RectangleIntersects.h,
	include/geos/operation/relate/RelateOp.h,
	include/geos/operation/union/CascadedPolygonUnion.h,
	include/geos/operation/union/PointGeometryUnion.h,
	include/geos/operation/union/UnaryUnionOp.h,
	include/geos/operation/valid/ConsistentAreaTester.h,
	include/geos/operation/valid/IsValidOp.h,
	include/geos/operation/valid/QuadtreeNestedRingTester.h,
	include/geos/operation/valid/SimpleNestedRingTester.h,
	include/geos/operation/valid/SweeplineNestedRingTester.h,
	include/geos/operation/valid/TopologyValidationError.h,
	include/geos/planargraph/DirectedEdge.h,
	include/geos/planargraph/Edge.h,
	include/geos/planargraph/PlanarGraph.h,
	include/geos/planargraph/Subgraph.h,
	include/geos/precision/CommonBitsOp.h,
	include/geos/simplify/TaggedLinesSimplifier.h,
	include/geos/triangulate/DelaunayTriangulationBuilder.h,
	include/geos/triangulate/VoronoiDiagramBuilder.h,
	include/geos/triangulate/quadedge/QuadEdge.h,
	include/geos/triangulate/quadedge/QuadEdgeSubdivision.h,
	include/geos/triangulate/quadedge/Vertex.h,
	include/geos/util/CoordinateArrayFilter.h,
	src/operation/valid/IndexedNestedRingTester.h: [doxygen] fix errors
	and links

2019-06-13  Daniel Baston <dbaston@gmail.com>

	* src/geom/GeometryCollection.cpp,
	tests/unit/geom/GeometryCollectionTest.cpp,
	tests/unit/geom/LineStringTest.cpp,
	tests/unit/geom/LinearRingTest.cpp,
	tests/unit/geom/MultiLineStringTest.cpp,
	tests/unit/geom/MultiPointTest.cpp,
	tests/unit/geom/MultiPolygonTest.cpp,
	tests/unit/geom/PointTest.cpp, tests/unit/geom/PolygonTest.cpp: Fix
	memory leak on GeometryCollection::getCoordinate  Add tests to
	ensure all Geometry types have the same behavior when calling
	getCoordinate on an empty geometry.  Fixes #918

2019-06-13  Daniel Baston <dbaston@gmail.com>

	* tests/unit/algorithm/ConvexHullTest.cpp: Add test case for #850

2019-06-13  Daniel Baston <dbaston@gmail.com>

	* capi/geos_ts_c.cpp, doc/example.cpp,
	include/geos/geom/Geometry.h, include/geos/geom/GeometryFactory.h,
	include/geos/geom/Polygon.h,
	include/geos/operation/polygonize/EdgeRing.h,
	src/algorithm/InteriorPointArea.cpp,
	src/algorithm/PointLocator.cpp, src/geom/Geometry.cpp,
	src/geom/GeometryFactory.cpp, src/geom/Polygon.cpp,
	src/geom/util/GeometryEditor.cpp,
	src/geom/util/GeometryTransformer.cpp, src/geomgraph/EdgeRing.cpp,
	src/geomgraph/GeometryGraph.cpp, src/io/WKBReader.cpp,
	src/io/WKTReader.cpp,
	src/operation/buffer/OffsetCurveSetBuilder.cpp,
	src/operation/intersection/RectangleIntersection.cpp,
	src/operation/intersection/RectangleIntersectionBuilder.cpp,
	src/operation/polygonize/EdgeRing.cpp,
	src/operation/valid/IsValidOp.cpp,
	tests/unit/geom/GeometryFactoryTest.cpp: Handle Polygon rings as
	LinearRings  This removes the need for numerous dynamic casts.
	Related: JTS 992948a3312be5ad9bf97fc50b3c3a0de3acece1 JTS
	af8aee0ba345d5f5f8c845c721d9df20fac3bd3d

2019-06-12  Daniel Baston <dbaston@gmail.com>

	* src/geom/prep/PreparedPolygonPredicate.cpp,
	tests/xmltester/tests/general/TestPreparedPolygonPredicate.xml: Fix
	incorrect return from OutermostLocationFilter

2019-06-11  Daniel Baston <dbaston@gmail.com>

	Merge branch 'pip-performance'

2019-06-10  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/prep/AbstractPreparedPolygonContains.h,
	src/geom/prep/AbstractPreparedPolygonContains.cpp: Factor out
	AbstractPreparedPolygonContains::evalPointTestGeom

2019-06-10  Daniel Baston <dbaston@gmail.com>

	* src/geom/prep/PreparedPolygonPredicate.cpp: Rename location
	filters

2019-06-10  Daniel Baston <dbaston@gmail.com>

	* src/geom/prep/PreparedPolygonPredicate.cpp: Avoid relying on
	numeric ordering of Location

2019-06-09  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/prep/PreparedPolygonPredicate.h,
	src/geom/prep/AbstractPreparedPolygonContains.cpp,
	src/geom/prep/PreparedPolygonPredicate.cpp: Clarify PIP
	short-circuits in PreparedPolygonPredicate

2019-06-09  Daniel Baston <dbaston@gmail.com>

	* tests/xmltester/tests/general/TestPreparedPolygonPredicate.xml: 
	Add some prepared polygon predicate tests

2019-06-08  Daniel Baston <dbaston@gmail.com>

	Merge branch 'remove-coordseq-add'

2019-06-08  Daniel Baston <dbaston@gmail.com>

	Merge branch 'cpp11-profiler'

2019-06-08  Daniel Baston <dbaston@gmail.com>

	* capi/geos_ts_c.cpp, tests/unit/io/WKTReaderTest.cpp: Quiet a
	couple of warnings

2019-06-06  Daniel Baston <dbaston@gmail.com>

	* benchmarks/algorithm/VoronoiPerfTest.cpp: More informative timing
	output in VoronoiPerfTest

2019-06-06  Daniel Baston <dbaston@gmail.com>

	* include/geos/profiler.h, src/util/Profiler.cpp: Remove manual
	memory management in Profiler

2019-06-06  Daniel Baston <dbaston@gmail.com>

	* include/geos/Makefile.am, include/geos/profiler.h,
	include/geos/timeval.h, src/util/Profiler.cpp: Use C++11 std::chrono
	for Profiler  This avoids the need for compiler-specific tests and
	headers, and anecdotally seems to provide more repeatable
	measurements.

2019-06-06  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/GeometryComponentFilter.h,
	src/geom/GeometryCollection.cpp, src/geom/Polygon.cpp,
	src/geom/prep/PreparedPolygonPredicate.cpp,
	tests/unit/geom/GeometryComponentFilterTest.cpp: Add
	GeometryComponentFilter::isDone()

2019-06-06  Daniel Baston <dbaston@gmail.com>

	* src/geom/prep/PreparedPolygonPredicate.cpp: Use custom
	GeometryComponentFilter in PreparedPolygonPredicate to avoid
	creating vectors

2019-06-05  Daniel Baston <dbaston@gmail.com>

	* src/geom/prep/PreparedPolygonPredicate.cpp: Add Point
	short-circuit to
	PreparedPolygonPredicate::isAnyTestComponentInTargetInterior

2019-06-05  Daniel Baston <dbaston@gmail.com>

	* src/geom/prep/BasicPreparedGeometry.cpp: Avoid performing envelope
	test against Points  This causes an Envelope to be created and
	allocated for each point.

2019-06-05  Daniel Baston <dbaston@gmail.com>

	* src/geom/prep/AbstractPreparedPolygonContains.cpp: Avoid
	double-testing all positive PIP results in
	AbstractPreparedPolygonContains

2019-06-05  Daniel Baston <dbaston@gmail.com>

	* include/geos/algorithm/RayCrossingCounter.h,
	src/algorithm/RayCrossingCounter.cpp: Use adaptive OrientationIndex
	in RayCrossingCounter  Provides a roughly 20% gain in
	GEOSPreparedContains benchmark.

2019-06-05  Daniel Baston <dbaston@gmail.com>

	* benchmarks/capi/CMakeLists.txt,
	benchmarks/capi/GEOSPreparedContainsPerfTest.cpp: Add
	GEOSPreparedContains perf test

2019-06-05  Daniel Baston <dbaston@gmail.com>

	* include/geos/operation/predicate/SegmentIntersectionTester.h,
	src/operation/distance/FacetSequence.cpp,
	src/operation/intersection/RectangleIntersectionBuilder.cpp,
	src/operation/predicate/SegmentIntersectionTester.cpp: Remove
	additional unnecessary Coordinate copies  Located by checking usages
	of CoordinateSequence::getAt(size_t, Coordinate&);

2019-06-05  Daniel Baston <dbaston@gmail.com>

	* src/algorithm/LineIntersector.cpp,
	src/geom/CoordinateSequence.cpp,
	src/geom/prep/PreparedLineStringIntersects.cpp,
	src/operation/distance/FacetSequence.cpp,
	src/operation/overlay/PolygonBuilder.cpp,
	src/operation/polygonize/EdgeRing.cpp,
	src/precision/PrecisionReducerCoordinateOperation.cpp,
	src/precision/SimpleGeometryPrecisionReducer.cpp: Remove some
	unnecessary Coordinate copies  Located using a quick check of egrep
	-Rn "Coordinate .*="

2019-06-05  Daniel Baston <dbaston@gmail.com>

	* src/geom/LineSegment.cpp: Resolve trivial TODO in
	LineSegment::reverse

2019-06-04  Daniel Baston <dbaston@gmail.com>

	* doc/example.cpp, include/geos/geom/CoordinateArraySequence.h,
	include/geos/geom/CoordinateSequence.h,
	include/geos/geomgraph/EdgeRing.h,
	include/geos/linearref/LinearGeometryBuilder.h,
	include/geos/noding/SegmentIntersectionDetector.h,
	include/geos/operation/linemerge/EdgeString.h,
	include/geos/operation/polygonize/EdgeRing.h,
	include/geos/operation/valid/RepeatedPointRemover.h,
	src/geom/CoordinateArraySequence.cpp,
	src/geom/CoordinateSequence.cpp, src/geom/Polygon.cpp,
	src/geomgraph/EdgeRing.cpp, src/io/WKTReader.cpp,
	src/operation/buffer/BufferInputLineSimplifier.cpp,
	src/operation/linemerge/EdgeString.cpp,
	src/operation/polygonize/EdgeRing.cpp,
	src/operation/valid/RepeatedPointRemover.cpp,
	tests/bigtest/GeometryTestFactory.cpp,
	tests/unit/algorithm/RobustLineIntersectorTest.cpp,
	tests/unit/geom/PointTest.cpp,
	tests/unit/noding/BasicSegmentStringTest.cpp,
	tests/unit/noding/NodedSegmentStringTest.cpp,
	tests/unit/noding/SegmentNodeTest.cpp,
	tests/unit/operation/valid/IsValidTest.cpp: Move
	CoordinateSequence::add variants to CoordinateArraySequence  Making
	this change removes the assumption that any CoordinateSequence is
	resizable, which opens the door to a CoordinateSequence that is
	blocked by a raw block of memory (such as a PostGIS POINTARRAY).
	The default CoordinateArraySequence constructor now creates a
	CoordinateSequence of unknown dimension (dimension determined when
	the first Coordinate is assigned) rather than of dimension 3. This
	is for consistency with the behavior of the
	CoordinateArraySequenceFactory.

2019-06-04  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/CoordinateArraySequence.h,
	include/geos/geom/CoordinateSequence.h,
	src/geom/CoordinateArraySequence.cpp,
	src/geom/CoordinateSequence.cpp: Implement
	CoordinateSequence::toString()  Instead of being a pure virtual
	function that all implementations must provide,
	CoordinateSequence::toString() now uses the existing ostream
	operator to provide a consistent string representation for any
	CoordinateSequence.

2019-06-04  Daniel Baston <dbaston@gmail.com>

	* src/algorithm/MinimumBoundingCircle.cpp,
	src/algorithm/MinimumDiameter.cpp, src/geom/GeometryFactory.cpp,
	src/geom/LineSegment.cpp,
	src/triangulate/quadedge/QuadEdgeSubdivision.cpp: Remove some
	trivial uses of CoordinateSequence::add

2019-06-03  Daniel Baston <dbaston@gmail.com>

	Merge branch 'make-unique'

2019-06-03  Daniel Baston <dbaston@gmail.com>

	* src/algorithm/locate/IndexedPointInAreaLocator.cpp,
	src/geom/CoordinateArraySequence.cpp,
	src/geomgraph/PlanarGraph.cpp,
	src/operation/overlay/snap/GeometrySnapper.cpp,
	src/operation/valid/RepeatedPointRemover.cpp,
	src/triangulate/DelaunayTriangulationBuilder.cpp,
	src/triangulate/quadedge/QuadEdgeSubdivision.cpp,
	src/triangulate/quadedge/Vertex.cpp: Remove using
	geos::detail::make_unique statements

2019-06-03  Sandro Santilli <strk@kbt.io>

	* .drone-1.0.yml: [drone] pull docker image upfront

2019-06-03  Sandro Santilli <strk@kbt.io>

	* include/geos/algorithm/locate/IndexedPointInAreaLocator.h: 
	[doxygen] Fix more links

2019-06-03  Sandro Santilli <strk@kbt.io>

	* .drone-1.0.yml: [drone] Build doxygen docs too

2019-05-23  Daniel Baston <dbaston@gmail.com>

	* include/geos/util.h,
	src/algorithm/locate/IndexedPointInAreaLocator.cpp,
	src/geom/CoordinateArraySequence.cpp, src/geom/GeometryFactory.cpp,
	src/geomgraph/PlanarGraph.cpp,
	src/operation/overlay/snap/GeometrySnapper.cpp,
	src/operation/valid/RepeatedPointRemover.cpp,
	src/triangulate/DelaunayTriangulationBuilder.cpp,
	src/triangulate/VoronoiDiagramBuilder.cpp,
	src/triangulate/quadedge/QuadEdgeSubdivision.cpp,
	src/triangulate/quadedge/Vertex.cpp: Add make_unique to geos_util.h


2019-06-03  Daniel Baston <dbaston@gmail.com>

	Merge remote-tracking branch 'origin/distanceop-refactor'

2019-06-03  Daniel Baston <dbaston@gmail.com>

	Merge branch 'voronoi-perf'

2019-06-03  Sandro Santilli <strk@kbt.io>

	* include/geos/algorithm/distance/DiscreteFrechetDistance.h,
	include/geos/algorithm/distance/DiscreteHausdorffDistance.h,
	include/geos/operation/distance/DistanceOp.h,
	include/geos/operation/overlay/snap/GeometrySnapper.h,
	include/geos/operation/union/CascadedPolygonUnion.h,
	include/geos/operation/union/CascadedUnion.h,
	include/geos/precision/GeometryPrecisionReducer.h,
	include/geos/precision/SimpleGeometryPrecisionReducer.h,
	include/geos/triangulate/DelaunayTriangulationBuilder.h,
	include/geos/triangulate/IncrementalDelaunayTriangulator.h: Fix some
	doxygen link resolutions

2019-05-29  Daniel Baston <dbaston@gmail.com>

	* include/geos/triangulate/DelaunayTriangulationBuilder.h,
	include/geos/triangulate/IncrementalDelaunayTriangulator.h,
	include/geos/triangulate/VoronoiDiagramBuilder.h,
	include/geos/triangulate/quadedge/QuadEdgeSubdivision.h,
	src/triangulate/DelaunayTriangulationBuilder.cpp,
	src/triangulate/IncrementalDelaunayTriangulator.cpp,
	src/triangulate/VoronoiDiagramBuilder.cpp,
	src/triangulate/quadedge/QuadEdgeSubdivision.cpp,
	tests/unit/triangulate/quadedge/QuadEdgeSubdivisionTest.cpp: Improve
	performance of VoronoiDiagramBuilder  - Ensure vertices are inserted
	in sorted order - Reduce manual memory allocation - Remove some
	unnecessary copying - Use unordered_set instead of set  Overall
	performance improvement is about 20-30% using the random points
	benchmark for the case of a Geometry input. The improvement is > 5x
	for the case of a CoordinateSequence input due to a performance bug
	(vertices not sorted) that may have been recently introduced.

2019-05-29  Daniel Baston <dbaston@gmail.com>

	* benchmarks/algorithm/CMakeLists.txt,
	benchmarks/algorithm/VoronoiPerfTest.cpp: Add Voronoi perf test

2019-05-30  nila <n_larsson@yahoo.com>

	* doc/Doxyfile.in: updated to Doxygen 1.8.14

2019-05-30  nila <n_larsson@yahoo.com>

	* .gitignore: Hide doxygen generated doc files from git

2019-05-29  Daniel Baston <dbaston@gmail.com>

	* capi/geos_ts_c.cpp, include/geos/geom/LineSegment.h,
	include/geos/geom/LineSegment.inl,
	include/geos/operation/distance/ConnectedElementLocationFilter.h,
	include/geos/operation/distance/DistanceOp.h,
	src/geom/LineSegment.cpp,
	src/operation/distance/ConnectedElementLocationFilter.cpp,
	src/operation/distance/DistanceOp.cpp,
	src/operation/distance/FacetSequence.cpp,
	tests/unit/operation/distance/DistanceOpTest.cpp: Resolve memory
	leaks in DistanceOp  This commit takes a fairly invasive approach to
	resolving the leaks and removes all manual memory management from
	the DistanceOp class.

2019-05-22  nila <n_larsson@yahoo.com>

	* include/geos/algorithm/Distance.h,
	include/geos/algorithm/Length.h,
	include/geos/algorithm/LineIntersector.h,
	include/geos/algorithm/MinimumDiameter.h,
	include/geos/geom/CoordinateList.h,
	include/geos/geom/CoordinateSequence.h,
	include/geos/geom/Envelope.h, include/geos/geom/Geometry.h,
	include/geos/geom/GeometryFactory.h,
	include/geos/geom/LineSegment.h, include/geos/geom/Location.h,
	include/geos/geom/PrecisionModel.h,
	include/geos/geom/prep/BasicPreparedGeometry.h,
	include/geos/geom/prep/PreparedLineStringIntersects.h,
	include/geos/geom/prep/PreparedPolygonContains.h,
	include/geos/geom/prep/PreparedPolygonContainsProperly.h,
	include/geos/geom/prep/PreparedPolygonCovers.h,
	include/geos/geom/prep/PreparedPolygonIntersects.h,
	include/geos/geom/prep/PreparedPolygonPredicate.h,
	include/geos/geomgraph/DirectedEdgeStar.h,
	include/geos/geomgraph/EdgeEndStar.h,
	include/geos/geomgraph/PlanarGraph.h,
	include/geos/geomgraph/Quadrant.h,
	include/geos/index/intervalrtree/IntervalRTreeLeafNode.h,
	include/geos/index/quadtree/NodeBase.h,
	include/geos/linearref/LengthIndexOfPoint.h,
	include/geos/linearref/LengthIndexedLine.h,
	include/geos/linearref/LinearGeometryBuilder.h,
	include/geos/linearref/LinearLocation.h,
	include/geos/linearref/LocationIndexedLine.h,
	include/geos/noding/IntersectionFinderAdder.h,
	include/geos/noding/NodedSegmentString.h,
	include/geos/noding/NodingIntersectionFinder.h,
	include/geos/noding/SegmentNode.h,
	include/geos/noding/SegmentSetMutualIntersector.h,
	include/geos/noding/snapround/SimpleSnapRounder.h,
	include/geos/operation/buffer/BufferOp.h,
	include/geos/operation/buffer/BufferParameters.h,
	include/geos/operation/buffer/BufferSubgraph.h,
	include/geos/operation/buffer/OffsetCurveBuilder.h,
	include/geos/operation/buffer/OffsetCurveSetBuilder.h,
	include/geos/operation/overlay/snap/LineStringSnapper.h,
	include/geos/operation/overlay/validate/FuzzyPointLocator.h,
	include/geos/operation/polygonize/EdgeRing.h,
	include/geos/operation/sharedpaths/SharedPathsOp.h,
	include/geos/operation/valid/ConsistentAreaTester.h,
	include/geos/operation/valid/IsValidOp.h,
	include/geos/planargraph/DirectedEdge.h,
	include/geos/planargraph/GraphComponent.h,
	include/geos/planargraph/PlanarGraph.h,
	include/geos/precision/CommonBits.h,
	include/geos/precision/EnhancedPrecisionOp.h,
	include/geos/precision/SimpleGeometryPrecisionReducer.h,
	include/geos/simplify/DouglasPeuckerSimplifier.h,
	include/geos/simplify/TaggedLineStringSimplifier.h,
	include/geos/simplify/TopologyPreservingSimplifier.h,
	include/geos/triangulate/DelaunayTriangulationBuilder.h,
	include/geos/triangulate/quadedge/QuadEdge.h,
	include/geos/triangulate/quadedge/TrianglePredicate.h,
	include/geos/triangulate/quadedge/Vertex.h,
	include/geos/util/GeometricShapeFactory.h,
	src/operation/buffer/SubgraphDepthLocater.cpp,
	src/operation/polygonize/PolygonizeDirectedEdge.cpp,
	src/operation/predicate/RectangleIntersects.cpp,
	src/simplify/TopologyPreservingSimplifier.cpp: Fix inconsistent
	doxygen documentation

2019-05-29  Daniel Baston <dbaston@gmail.com>

	* benchmarks/CMakeLists.txt: Add missing benchmark to CMake build

2019-05-28  Daniel Baston <dbaston@gmail.com>

	* include/geos/geom/CoordinateArraySequence.h,
	include/geos/geom/CoordinateSequence.h,
	src/geom/CoordinateArraySequence.cpp,
	src/geom/CoordinateSequence.cpp, src/geom/Polygon.cpp,
	src/operation/buffer/BufferBuilder.cpp,
	tests/unit/geom/CoordinateArraySequenceTest.cpp: Remove
	CoordinateSequence::deleteAt  Having a deleteAt method in the
	CoordinateSequence interface requires that all CoordinateSequence
	implementations be resizable, which greatly limits the scope of
	possible implementations. The deleteAt method is only used in two
	locations (one of them very inefficiently), so nothing is lost by
	removing it.

2019-05-29  Daniel Baston <dbaston@gmail.com>

	* .codecov.yml: Disable coverage comments on PRs [ci skip]

2019-05-29  Daniel Baston <dbaston@gmail.com>

	Merge branch 'coverage'

2019-05-29  Daniel Baston <dbaston@gmail.com>

	* .codecov.yml: Exclude vendored libs from codecov

2019-05-29  Daniel Baston <dbaston@gmail.com>

	* .travis.yml, CMakeLists.txt, tools/ci/script_cmake.sh: Report code
	coverage from Travis  [skip appveyor]

2019-05-29  Daniel Baston <dbaston@gmail.com>

	* src/algorithm/ConvexHull.cpp: Fix compilation with gcc 4.8

2019-05-29  Daniel Baston <dbaston@gmail.com>

	* doc/example.cpp: Fix compilation of example.cpp

2019-05-28  Daniel Baston <dbaston@gmail.com>

	* capi/geos_ts_c.cpp,
	include/geos/algorithm/MinimumBoundingCircle.h,
